----------------------------------------------------------------
-- Copyright (c) 2012 Klei Entertainment Inc.
-- All Rights Reserved.
-- SPY SOCIETY.
----------------------------------------------------------------

----------------------------------------------------------------------------
-- The current version of the client.  To remain compatible with online features,
-- the major and minor version numbers should match what the server requests.
-- Either the minor or major version should change after publishing to the server.
local VERSION = "0.17.0"
local REVISION = "unknown"

local function parseVersion( v )
    if type(v) == "string" then
	    local i, j, major, minor, build = v:find( "([%d]+).([%d]+).([%d]+)" )
	    return major, minor, build
    end
end

local function isIncompatible( v )
	local major, minor, build = parseVersion( v or "" )
	local currentMajor, currentMinor, currentBuild = parseVersion( VERSION )

	-- Determine if the version argument is incompatible with VERSION
	return major ~= currentMajor or minor ~= currentMinor
end

local fl = io.open( "build.txt", "r" )
if fl then
    for line in fl:lines() do
        REVISION = line:match( "(%d+)" )
        break
    end
end

return
{
	VERSION = VERSION,
    REVISION = REVISION,
	parseVersion = parseVersion,
	isIncompatible = isIncompatible,
}
