--[[

***************************************************************    
*** NOTICE TO TRANSLATORS: DO NOT EDIT THIS FILE DIRECTLY! ***

We have provided a standard PO file to translation in /scripts/languages/strings.po
To add a new language:
- User a PO editor such as POEdit (http://www.poedit.net/) to translate strings.po
- Load your own PO file under /scripts/languages/language.lua

***************************************************************
]]

local util = include( "client_util" )

local DEATH_TIPS = 
{
	"The corporations may have won this time, but the future is always in motion.\nTry again - apply what you have learned from this setback and rebuild the firm!",
	"While risky, searching each level for all the credit safes will better prepare you for future missions.",
	"Alerted guards will hunt the level for your agents. Don't interfere with them if you don't have to.",
    "Some guards have armor. Make sure you look for items that can deal with it.",
    "Each day will increase the security of all the corporations. Plan your flight time carefully.",
    "Every mission provides key benefits to your agents. Choose wisely to build a strong team.",
    "You can set many custom gameplay options when starting a new campaign",
}

local STRINGS=
{
	APPNAME = "隐 形 公 司 ",

    FORMATS =
    {
        ADDRESS = "{1} {2}, {3}", -- {1} = Number, {2} = Street, {3} = City
        CREDITS = "{1} CR", -- credits
        PLUS_CREDS = "+{1} CR",
        LEVEL = "Level {1}",
        PWR = "{1} PWR",
        CREDS = "{1}",
        CREDS2 = "{1} credits",        
        REP = "{1} REP",
        MAX_AP = "MAX AP: {1}",
        PLUS_AP = "+{1} AP",
        AMT_KO = "{1} KO",
        KO_AMT = "KO {1}",
    },

    GENDER_CONTEXT =
    {
        male =
        {
            he = "he", -- He ran away.
            He = "He",
            his = "his", -- His arm hurt.
            His = "His",
            him = "him", -- That's him.
            Him = "Him",
            own = "his", -- The gun is his.
            Own = "His",
        },
        female =
        {
            he = "she", -- She ran away.
            He = "She",
            his = "her", -- Her arm hurt.
            His = "Her",
            him = "her", -- That's her.
            Him = "Her",
            own = "hers", -- The gun is hers.
            Own = "Hers",
        },
        it =
        {
            he = "it", -- It ran away.
            He = "It",
            his = "its", -- Its arm hurt.
            His = "Its",
            him = "it", -- That's it.
            Him = "It",
            own = "its", -- The gun is its.
            Own = "Its",
        },
    },

	INCOGNITA_TEAM_DOWN = 
	{
		"Team eliminated. Disengaging security lock.",
		"Team eliminated. All assets compromised.",
		"Team eliminated. Shutting down neural sync.",
	},

	-- KEVEIN : AGENT STRINGS HERE
	AGENTS = 
	{
		DECKARD = {
			NAME = "Decker",
			FILE = "文 件 #00-000490A-04932325",
			YEARS_OF_SERVICE = "9",
			AGE = "38",
			HOMETOWN = "洛 杉 矶 ",
			RESCUED = "Back on the job.",
			BIO_SPOKEN = "I found Decker living in a bottle after his termination. He's cleaned up since then, but I keep eyes on, just to be sure. The 20th century thing is an unfortunate affectation, but I'm not paying him for his fashion sense.",

			ALT_1 = {
				FULLNAME = "Brian Decker",
				BIO = "Decker affects a persona from a bygone era as an act of protest against a world gone mad for technology. Quick on his feet and with his fists, rumour has it that he's packing more augmentations than he's willing to admit.\n\nHe was chief of security for K&O's California branch until an escalating love affair with the bottle chased him out of the Corporate world.",
				
				TOOLTIP = "Ex-Corporate Security",
			},
			ALT_2 = {
				FULLNAME = "已 存 档 -- 收 藏 家 ",
				BIO = "Before being shunned out of the executive ranks of the Corporate world, Decker used his significant salary to track down and acquire antiques from decades past.\n\nTo believe the rumors, his nostalgia was so strong that he even made some ludicrously expensive modifications to keep some antiques usable in the modern age.",				
				TOOLTIP = "Antiques Collector",
				AGE = "30"
			},

			BANTER = {
				START ={
					"No resistance at the entry point. Amateurs.",
					"赶 紧 速 战 速 决 吧 。 我 要 喝 一 杯 。 ",
					"All of these places start to look the same after a while.",
					"I'm getting too old for this crap.",
					"我 想 知 道 是 谁 在 做 他 们 的 安 保 工 作 的 。 \n\n目 前 为 止 他 们 做 的 很 差 。 ",
					"我 们 进 入 大 楼 了 。 这 应 该 花 不 了 多 少 时 间 。 ",
					"We wouldn't have got in so easy if I were running this joint.",
				},

				FINAL_WORDS =
				{
					"I'm tired of this crap, anyway.",
					"Well played. You got me dead to rights.",
					"Well, damn it.",
					"Can I have one last swig, first?",
				},
			},
		},

		SHALEM = {
			NAME = "萨 勒 姆 11",
			FILE = "文 件 #00-000490A-04932325",
			YEARS_OF_SERVICE = "8",
			AGE = "40",
			HOMETOWN = "贝 鲁 特 ",
			RESCUED = "我 猜 这 意 味 着 休 息 时 间 结 束 了 。 ",
			BIO_SPOKEN = "Shalem is good at covering his tracks. I usually don't employ people I don't understand, but his skillset was too useful to pass up. He's obviously using us as a means to some personal end. We'll see who shows their hand first.",

			ALT_1 = {
				FULLNAME = "雷 蒙 德 \"Shalem 11\"马 利 克 ", 
				BIO = "Shalem was a licensed assassin with a perfect record and an ego to match. He specialized as a sharpshooter, and would track a target for months, patiently waiting for the perfect shot.\n\nEnjoying almost celebrity status, he was able to finance a lavish lifestyle from his contracts. Why he turned away from a life of fame and riches to work for Invisible is an open question.",
				TOOLTIP = "Licensed Assassin",
			},
			ALT_2 = {
				FULLNAME = "已 存 档 -- 军 医 ",
				BIO = "Shalem's mother was a conscript surgeon during the opening years of the Resource Wars. When she lost the use of her right hand in a mortar attack, she trained young Shalem to wield her scalpel for her.\n\nWhile his true passion lies in ending life, he still remembers how to preserve it.",
				TOOLTIP = "Combat Medic",
				AGE = "25"

			},

			BANTER = {
				START ={
					"各 就 各 位 。 现 在 速 战 速 决 。 ",
					"让 我 解 决 任 何 的 反 抗 者 。 ",
					"为 什 么 这 些 任 务 一 定 得 在 室 内 呢 ？ ",
					"掩 盖 视 线 。 ",
					"最 好 别 脏 了 我 的 西 装 。 ",
					"挤 得 要 死 的 角 落 。 我 喜 欢 更 多 的 空 间 来 行 动 。 ",
					"和 屋 顶 没 有 接 触 。 开 始 向 目 标 行 动 。 ",
				},	
				FINAL_WORDS =
				{
					"I should have stayed independent.",
					"This is why I prefer to work alone.",
					"A gun. Is that supposed to be irony? Ha.",
					"Do me a favour aim for the heart. I want to leave a good looking corpse.",
				},
			},			
		},

		XU = {
			NAME = "徐 博 士 ",
			FILE = "文 件 #00-121318A-92178746",
			YEARS_OF_SERVICE = "3",
			AGE = "42",
			HOMETOWN = "香 港 ",
			RESCUED = "太 好 了 。 我 可 不 同 意 囚 禁 。 ",
			BIO_SPOKEN = "Tony Xu's academic papers may as well be in binary to me. I've been told by very clever people that they're very impressive, but I'm more impressed in practical results. He plays the absent-minded professor character well, but when push comes to shove he knows exactly what the score is.",

			ALT_1 = {
				FULLNAME = "徐 托 尼 博 士 ",
				BIO = "Dr. Tony Xu was a brilliant researcher who rose to prominence at the University of Hong Kong. He was caught after one too many 'exploratory' trips into a K&O servers, and spent time in a detention center as a result.\n\nToo much a liability for any self-respecting University, Xu was unemployable upon release. He joined Invisible to gain personal protection while continuing his research.",
				TOOLTIP = "Black Market Academic",
			},
			ALT_2 = {
				FULLNAME = "已 存 档 -- 教 授 ",
				BIO = "As a graduate student, Tony Xu's reputation for success was matched only by his reputation for taking 'academic shortcuts'. His family connections saved him from outright expulsion, but word spreads quickly in the ivory tower.\n\Undeterred by scandal, he earned his Doctorate in record time and moved on to lucrative freelance security contracts.",
				TOOLTIP = "The Professor",
				AGE = "23"
			},

			BANTER = {
				START ={
					"我 们 已 经 渗 透 目 标 。 ",
					"他 们 的 网 络 布 局 简 直 惊 人 。 ",
					"留 心 任 何 对 你 有 用 的 东 西 。 ",
					"你 能 感 觉 到 吗 ？ 无 数 的 数 据 流 在 空 气 中 流 动 。 ",
					"我 希 望 能 在 这 层 找 到 一 个 能 用 的 终 端 。 ",
					"近 来 ， 最 高 端 的 科 研 都 在 公 司 实 验 室 里 进 行 。 ",
					"这 里 充 满 了 电 磁 噪 音 。 ",
				},
				FINAL_WORDS =
				{
					"I don't see a plausible way out of this.",
					"The probabilities are not in my favour this time.",
					"I should have stayed at the university.",
					"I'm smarter than this. What the hell.",
				},
			},
		},		

		INTERNATIONALE = {
			NAME = "国 际 妹 ",
			FILE = "文 件 #00-382392A-41190101",
			YEARS_OF_SERVICE = "8",
			AGE = "36",
			HOMETOWN = "哈 瓦 那 ",
			RESCUED ="他 们 甚 至 不 会 知 晓 我 们 曾 经 来 过 。 ",
			BIO_SPOKEN = "Internationionale is one of the best all-round operatives I've ever seen, but she's held back by an unfortunate abundance of social concern. If used correctly, she's the bedrock upon which you can build a winning team. Just don't ask her about the plight of the global proletariat.",

			ALT_1 = {
				FULLNAME = "玛 丽 亚 \"Internationale\"巴 尔 德 斯 ",
				BIO = "An ex-airborne scout in the Free Cuban Army, Valdes went underground after the re-annexation of Havana.\n\nSeveral years of freelance action against Corporate interests led to a considerable bounty on her head, and she joined Invisible for the chance to pay it off. Her tactical prowess is legendary, but her conscience can be a liability on and off the field.",				
				TOOLTIP ="Freedom Fighter",
			},
			ALT_2 = {
				FULLNAME = "已 存 档 -- 自 由 职 业 者 ",
				BIO = "During her work as a freelancer in the years following Havana's re-annexation and the San Francisco Accord, Internationale became a legend in the anti-Corporate underground.\n\nAccording to classified documents, she once cost Sankaku over 50 million credits in a single week of subersion and sabotage.",				
				TOOLTIP ="Freelancer",
				AGE = "27",
			},

			BANTER = {
				START ={
					"想 拿 什 么 就 拿 什 么 。 他 们 不 会 发 现 的 。 ",
					"每 一 个 都 有 他 们 自 己 的 用 途 ！ ",
					"是 时 候 为 好 人 拿 下 一 个 了 ！ ",
					"我 们 这 么 做 可 以 不 造 成 附 加 伤 害 吗 ？ ",
					"这 些 公 司 狗 让 我 觉 得 恶 心 。 ",
					"记 住 ， 保 安 只 是 尽 他 们 自 己 的 职 责 而 已 。 ",
					"看 看 周 围 。 所 有 这 些 东 西 都 是 建 立 在 寻 常 工 作 者 的 脊 梁 上 的 。 ",
				},	
				FINAL_WORDS =
				{
					"Arise, ye wretched of the earth!",
					"I have but the feeble strength of one.",
					"A new world will be born from the ashes of the old!",
					"Can't you see? The bosses keep us apart!",
				},
			},
		},

		BANKS = {
			NAME = "班 克 斯 ",
			FILE = "文 件 #00-725114A-12852148",
			YEARS_OF_SERVICE = "1",
			AGE = "29",
			HOMETOWN = "都 柏 林 努 亚 ",
			RESCUED = "离 开 这 个 鬼 地 方 。 ",
			BIO_SPOKEN = "Even with the brain damage, Banks is one of the most effective hackers I've ever encountered. With stims and neuro-conditioning she's able to stay lucid, but I wonder what kind of long term effects that might have on her stability.",

			ALT_1 = {
				FULLNAME = 'Jolie "班 克 斯 " Murphy',
				BIO = "Banks earned her hacker nickname siphoning funds from heavily guarded financial accounts. She funneled the proceeds into the rebuilding of her hometown, becoming a local folk hero in the process.\n\nAfter a botched cranial implant, she joined Invisible to get access to the most advanced neuro-rehabilitative care outside of Corporate law.",
				TOOLTIP = "Burnt-out Wire Thief",
			},
			
			ALT_2 = {
				FULLNAME = "已 存 档 -- 罗 宾 汉 ",
				BIO = "Banks has always had a way with finances, but she wasn't always so altruistic. In old Dublin she amassed a small fortune from embezzlement and graft, and lived a life of reckless abandon.\n\nShe found her principles during the Fall Siege, and by the time Dublin Nua was finally liberated she had drained her private accounts several times over.",
				TOOLTIP = "Robin Hood",
				AGE = "23"
			},

			BANTER = {
				START ={
					"你 听 到 了 吗 ？ 没 有 ？ 那 么 ， 我 也 没 听 见 。 ",
					"趁 你 还 有 机 会 ， 尽 情 快 活 吧 ， 陛 下 。 你 没 几 天 好 日 子 过 了 。 ",
					"紧 随 暗 影 。 加 快 脚 步 。 我 们 会 活 着 离 开 这 里 的 。 ",
					"这 个 房 间 闻 起 来 像 烧 焦 的 烤 面 包 。 但 其 他 东 西 也 一 样 ！ ",
					"很 快 这 里 将 会 成 为 一 片 废 墟 。 ",
					"小 谷 地 里 的 农 夫 … … 小 谷 地 里 的 农 夫 … … ",
					"风 将 会 摆 动 大 麦 。 ",
				},
				FINAL_WORDS =
				{
					"Tick tock, tick tock. My time's run out.",
					"The reaper's finally come for his due.",
					"I've had a good run, but not a long one.",
					"Dust to dust.",
				},
			},
		},	

		NIKA = {
			NAME = "尼 卡 ",
			FILE = "文 件 #00-910303A-96581742",
			YEARS_OF_SERVICE = "4",
			AGE = "32",
			HOMETOWN = "圣 彼 得 堡 ",
			RESCUED = "我 还 以 为 你 把 我 忘 了 呢 。 ",
			BIO_SPOKEN = "Muratova is a deadly weapon in human form. One would think that such an aggressive style would be a liability, but she makes it work. Just try not make any sudden moves in her peripheral vision if you want your arms to remain in their sockets.",

			ALT_1 = {
				FULLNAME = 'Nika Muratova',
				BIO = "Muratova served as bodyguard to the head of the most powerful oil company in Russia. A hostile takeover attempt led to an extended melee, during which she neutralized two dozen would-be assassins.\n\nShe relented only after her employer died of a flashbang-induced heart attack. Not much of a conversationalist, Muratova prefers to let her actions do the talking.",
				TOOLTIP = "Blunt Instrument",
			},

			ALT_2 = {
				FULLNAME = 'ARCHIVED -- BODY GUARD',
				BIO = "Muratova spent years honing her martial technique, and this training served her well in her previous employment as a body guard.\n\nShe has broken almost every bone in her body at least once, but it barely slows her down. She claims that it hurts less the more you do it.",
				TOOLTIP = "Body Guard",
				AGE = "27",
			},

			BANTER = {
				START ={
					"我 们 到 了 。 ",
					"准 备 行 动 。 ",
					"我 感 觉 前 面 有 麻 烦 。 准 备 好 。 ",
					"如 果 他 们 想 要 阻 止 我 们 ， 我 们 就 干 掉 他 们 。 ",
					"...",
					"我 们 是 无 法 阻 挡 的 。 ",
				},	
				FINAL_WORDS =
				{
					"Just get it over with.",
					"No more options. Goodbye world.",
					"Uvidimsya v adu.", --(see you in hell)
					"Do svidaniya.", --(goodbye)
				},
			},		
		},	

		SHARP = {
			NAME = "夏 普 ",
			FILE = "文 件 #XX-9485867-84905693",
			YEARS_OF_SERVICE = "6",
			AGE = "49",
			HOMETOWN = "佩 斯 ",
			RESCUED = "I was just about to escape on my own.",
			BIO_SPOKEN = "Most people find Sharp off-putting because of his cybernetic enhancements. *I* find him off-putting because he's a sociopath with almost no regard for human life. I shudder to think of what he's capable of, and I say this as a person who spends most of her time interfacing with a disembodied artificial intelligence.",

			ALT_1 = {
				FULLNAME = 'Alex "夏 普 " McTeague',
				BIO = "It is arguable whether or not the human being born as Alex McTeague still exists. Driven by an obsession with perfecting his form, he has replaced most of his parts with a mechanical or vat-grown replacement.\n\nOriginally funding his transhumanism through corporate bounty hunting, he joined Invisible when his augmentation ambitions grew beyond what is available on the open market.",
				TOOLTIP = "More Machine Than Man",
			},

			BANTER = {
				START ={
					"C'mon meatsacks. Let's get this over with.",
					"I'm faster, smarter, and better looking than any of you.",
					"If we find any augmentations I want to get the first look.",
					"Invigorating!",
					"Your money doesn't buy you perfection of form.",
					"Straight lines. Sharp edges. Hard corners.",
				},	
				FINAL_WORDS =
				{
					"Pathetic scum. I'll come back for you.",
					"How dare you touch perfection!",
					"You are nothing. This changes nothing.",
					"This is not the end. I've got backups.",
				},
			},					
		},	

		PRISM = {
			NAME = "普 利 斯 玛 ",
			FILE = "文 件 #00-910303A-96581742",
			YEARS_OF_SERVICE = "2",
			AGE = "29",
			HOMETOWN = "内 罗 比 ",
			RESCUED = "你 不 会 后 悔 的 。 ",
			BIO_SPOKEN = "Esther is one of our newest recruits, and she shows great promise. She's certainly motivated to get back at the Crops, after the smear-job they did on her. I don't keep up with the Holovids, but even I had heard about her so-called 'youthful indiscretions'. The Corps are never more ruthless than when they are trying to control their public image. I feel the same may be said for Esther.",
			
			ALT_1 = {
				FULLNAME = 'Esther "普 利 斯 玛 " Martins',
				BIO = "Esther Martins was a rising Holovid star when a rival leaked her teenage participation in anti-corporate riots. Fired by her studio and facing an unrelenting public smear campaign, she faked her death and went underground.\n\nWith her dramatic training and a commandeered holorig, she spent a couple years running confidence jobs against corporate execs before joining Invisible.",
				TOOLTIP = "Master of Disguise",
			},

			BANTER = {
				START ={
					"Now you see me...",
					"I was right about these bastards all along.",
					"My head is spinning!",
					"These fat cats make me sick.",
					"Let's rob from the rich and give to ourselves.",
					"Perception is everything.",
				},
				FINAL_WORDS =
				{
					"How about a re-take?",
					"Is this the final curtain?",
					"Do you want my autograph, first?",
					"I'm so tired of running from you people.",
				},
			},				
		},	

		CENTRAL = {
			NAME = "Central",
			FILE = "FILE #00-0000000-0000001",
			YEARS_OF_SERVICE = "??",
			AGE = "68",
			HOMETOWN = "伦 敦 ",
			RESCUED = "It's about time. What am I paying you for, anyway?",
			BIO_SPOKEN = "My name is Olivia Gladstone. I ran the Pan-Euro Infosec Agency, back when sovereign governments were still in fashion. After the war I founded Invisible Inc, a freelance intelligence agency. We may work for the corps, but only to serve our own ends. We've been gathering intelligence for years, waiting for the opportunity to bring the whole machine crashing down. Unfortunately, they found us first.",
			ALT_1 = {
				FULLNAME = 'Olivia Gladstone',
				BIO = "Olivia Gladstone was the highest-ranking officer in the Pan-Euro Infosec Agency before it collapsed at the end of the Resource Wars.\n\nForced into hiding, she re-emerged as the founder and leader of Invisible Inc. She currently holds the record for highest total corporate bounty ever offered for a single target.",
				TOOLTIP = "The Leader",
			},

			BANTER = {
				START ={
					"Alright, people. Don't mess this up.",
					"By the numbers, people. No unnecessary risks.",
					"Just do the job, and we can all go home.",
					"Put THIS on your quarterly earnings report.",
					"Be professional, people.",
					"Let's do the job we came to do.",
				},
				FINAL_WORDS =
				{
					"Just do it. I'm not afraid of death.",
					"Are you watching this, Operator? This is on you.",
					"I won't be taken alive.",
					"Operator, don't let Invisible die with me.",				
				},
			},				
		},	


		MONST3R = {
			NAME = "Monst3r",
			FILE = "FILE #XX-XXXXXX-XXXXXXX",
			YEARS_OF_SERVICE = "0",
			AGE = "46",
			HOMETOWN = "Manchester",
			RESCUED = "Fancy meeting you here.",
			BIO_SPOKEN = "Derek was a promising young recruit in the PEIA when the Resource Wars broke out in the 50s. He was my Chief Information Officer during the height of the conflict, and his elite hacking skills have pulled more than a few missions out of the dustbin.\n\nWhen the war ended the price on his head forced him underground. I had been buying intelligence from 'Monst3r' for ages before realizing that it was Derek. ",

			ALT_1 = {
				FULLNAME = "Derek 'Monst3r' Mossman",
				BIO = "Derek Mossman learned his trade the hard way, running petty info grafts as an orphan in post-industrial Manchester.\n\nSeeking access to the latest technologies, he wiped his own record and enlisted with the Pan-Euro Infosec Agency. He rose quickly through the ranks, joining the elite infiltration group run by Olivia Gladstone. Records after the war's end are spotty at best.",
				TOOLTIP = "The Information Broker",
			},

			BANTER = {
				START ={
					"Information is power.",
					"Let's not take any chances.",
					"Their technology is quaint.",
					"God, I hate how that feels.",
					"Just point me at the consoles.",
				},	
				FINAL_WORDS =
				{
					"This is why I hate live operations.",
					"You want credits? I can get you credits.",
					"Could we not talk this over like adults?",
					"Operator, you better fix this.",
				},
			},				
		},	

		HOSTAGE = {
			NAME = "The Courier",
			FILE = "",
			YEARS_OF_SERVICE = "21",
			AGE = "26",
			HOMETOWN = "unknown",
			RESCUED = "",

			ALT_1 = {
				FULLNAME = 'Francis Hostage',
				BIO = "",
				TOOLTIP = "STATUS: Awake for 54 hours. Vital signs dropping.",
			},

			BANTER = {
				START ={

				},	
			},				
		},			

		PRISONER = {
			NAME = "囚 犯 ",
			FILE = "",
			YEARS_OF_SERVICE = "3",
			AGE = "38",
			HOMETOWN = "unknown",
			RESCUED = "",

			ALT_1 = {
				FULLNAME = 'Corporate Patsy',
				BIO = "",
				TOOLTIP = "STATUS: weak, but ready to go",
			},

			BANTER = {
				START ={

				},
                FINAL_WORDS = {
					"I am not a number! I am a free man!",
                    "I'd rather be back in a cell...",
                    "Hope is a fragile thing.",
                    "Spies. Can't trust the lot of 'em.",
                },
			},				
		},


		HOSTAGE_2 = {
			NAME = "Weak Link",
			FILE = "",
			YEARS_OF_SERVICE = "3",
			AGE = "27",
			HOMETOWN = "unknown",
			RESCUED = "",

			ALT_1 = {
				FULLNAME = 'Corporate Shakedown',
				BIO = "",
				TOOLTIP = "STATUS: weak, but ready to go",
			},

			BANTER = {
				START ={

				},	
			},				
		},							
	},

	MISSIONS = 
	{
		NULL = {},
		JAILBREAK = include( "mission_strings/jailbreak_strings" ), 
		FINALMISSION = include( "mission_strings/final_mission_strings" ),
		ENDING_1 = include( "mission_strings/ending_1_strings" ),
		ESCAPE = include( "mission_strings/escape_strings" ),


		CENTRAL_JUDGEMENT =
		{
			TERMS =
			{
				HASLIST = {
					"Excellent work, Operator. Now to sift through the data and find the juiciest targets.",
					"That contact list will prove invaluable when planning our next move. Excellent work.",
					"That executive had a very interesting list of contacts. I'm sure they won't miss it.",
				},
				NOLIST = {
					"This is unacceptable. We needed that intel, Operator. Now we'll have to just take what targets we can find.",
					"Operator, those contacts would have helped us immensely. Pay more attention to the mission objectives.",
				},
			},
			DISPATCH =
			{
				HASLOOT = {
					"Good hunting, operator. I'm sure we'll put that new toy to good use.",
					"The more equipment we recover, the more tactical options we have in the field. Nice work.",
					"Stow that gear in the secure hold while we're in-flight. I wouldn't want it going off accidentally.",
				},
				NOLOOT = {
					"You were supposed to find high-tech gear in that facility. Don't disappoint me again.",
					"The gear that you skipped over back there could mean the difference between life and death for our agents. That's on your head.",
				},
			},
			VAULT = {
				EASYLOOT =
				{
					"Anything you recover from the field benefits the cause, but I can't help but wonder what they were hiding in the inner vault.",
					"The inner vault was the real target, but at least you got the low hanging fruit. Bring a keycard next time.",
				},
				HARDLOOT =
				{
					"Excellent work, Operator. Now we have to find a way to spend out newfound fortune.",
					"That is precisely the type of initiative I like to see. Pick their bones clean, Operator. Good show.",
				},
				NOLOOT =
				{
					"Would these missions work better if I drew you a map? You're going down there there for a reason, not just to fumble around in the dark.",
					"Do you have stock in this corporation that I don't know about? Why else would you blow off your mission objectives like that?",

				},
			},
			SERVERFARM = {
				BOUGHT ={
					"Nice work. The more tools we have at our disposal, the better.",
					"Incognita has incorporated the new routines. She's already more useful to us.",

				},
				SAW ={
					"Didn't see anything to you liking, eh? I hope that doesn't come back to bite us.",
					"What were you doing down there? We went in to get new programs, and you just walked away.",

				},
				MISSED ={
					"We're wasting opportunities, Operator. It's not like we have time to write new programs ourselves.",
					"Incognita would be a hell of a lot more useful if we gave her more programs to work with, Operator. <sigh> Maybe next time.",
				},
			},
			NANOFAB = {
				BOUGHT ={
					"Nice haul, Operator. Everything is useful, if you're resourceful enough.",
					"I'm sure you considered your purchases carefully. Wouldn't want you wasting the company dime on useless dreck.",
				},
				SAW ={
					"Nothing to your liking? I'm sorry, I'll try finding you a more upscale boutique next time.",
				},
				MISSED ={
					"Operator, get your head on straight. You didn't even use the nanofab. We don't have the luxury of time to waste!",
					"We can make do with normal nanofabs, but the one you missed at this facility would have given us a huge advantage.",
				},				
			},
			CYBERLAB = {
				BOUGHT ={
					"Nothing like a little self-improvement session to make our task a bit easier. Nice work.",
					{"They say augmentation can have side effects that can shorten your lifespan.", "In this case, I'd say the side effects of not having augments would be far more dangerous."},
				},
				SAW ={
					"Those augments were free for the taking, Operator. Tell me you haven't gone Luddite on us.",
				},
				MISSED ={
					"Did you forget why you were down there? We needed those augmentations. We've got to prepare for the battle to come.",
					"You know what would really help our agents stay alive? Augmentations. Like the ones that you opted not to find. Good work.",
				},				
			},

            CFO= {
                GOTLOOT =
                {
                    "Good work, operator. We can re-key that card to give us access to any corporate lockbox.",
                    "Excellent. Now we need to find a place to use that card.",
                    "That card opens up all sorts of interesting possibilities. Let's not let it go to waste.",
                },
                NOLOOT =
                {
                    "We're just wasting time out here, Operator. We really could have used that keycard.",
                    "You didn't get the card. We'll just have to make do with less.",
                    
                },
                KILLEDTHEGUY=
                {
                    "I guess we can take some consolation in the fact that the weasel didn't survive.",
                }
            },	
            DETENTION=
            {
            	GOTAGENT =
            	{
					"Recovery operation successful. Get that agent outfitted and prepped for the next mission.",
					"I'm sure the agent you recovered is grateful to get out of that cell. I'm grateful to have more boots on the ground.",
					"Nice work, Operator. We don't leave our people behind. They're much more useful under our control.",
				},

				GOTOTHER=
				{
					"I'm disappointed that our people weren't down there, but at least we got paid. Keep looking, Operator.",
				},
				GOTNOTHING=
				{
					"Damn it, Operator! Did you even try to find the detention block? Our people might have been in there.",
				},
				LOSTAGENT=
				{
					"This is a sad day, but at least we spared them from corporate deprogramming. They went down fighting.",
					"You let that agent down, Operator. You can expect the same treatment if you're ever caught.",
				},
				LOSTOTHER=
				{
					"The ransom on that worthless ass could have bought us vital supplies. You need to try harder.",
				},
        	},
		},

		DAEMON_REVERSE=
		{
			"Corporate engineering at its finest. We can work with that.",
			"Well, that was unexpected. See if you can use it to our advantage.",
			"Finally, our luck is turning about. Now press the advantage!",
			"Make the best of this situation, Operator - we don't get many lucky breaks.",
		},
		
		AFTERMATH=
		{
			TERMS= {
    			"Good job - you've got the site list. They noticed you poking about and have changed up their patrols. Be careful on your way out.",
    			"You've got it, great. When you activated that terminal, it sent out an automated message to change up the guard duty. Be prepared for new patrol patterns.",
    		},
    		VAULT = {
			    "That triggered a silent alarm. Expect company very soon.",
			    "You've got the goods, now don't dally. They're sending someone to investigate the security breach.",
    		},
    		SERVERFARM= {
			    "New daemons came online the second the connection dropped. I knew we couldn't trust that damned cat!",
			    "The server has been compromised, and the site's automatic security measures are coming online. Watch out for new daemons.",
    		},
    		DISPATCH = {
			    "The item was resting on a pressure plate, and they know it's been moved. Guards are coming your way.",
			    "That got their attention. Don't be there when they arrive.",
    		},
    		CYBERNANO = {
			    "Head office is catching on to us. Several devices have been remotely rebooted- I hope we don't run out of PWR.",
			    "We must have triggered something in their telemetry. They're toggling the power on some of the devices we've taken.",
			},
		},

		MONSTERCAT=
		{
			PRE=
			{
				"Oh no. It's her. Keep your wits about you.",
				"Here, kitty kitty.",
				"Be careful, she likes to play with her food before she eats it.",
				"What the hell is up with the cat shtick, anyway?",
			},
			
			POST=
			{
				"Damn it, ShopCat. That's no way to treat your customers.",
				"You'd never get that kind of treatment at *my* shop. I have standards to uphold.",
				"Is that a person pretending to be a cat, or a cat pretending to be a person? It's weird either way.",
				"On SecNet, nobody knows you are a cat.",
				"Don't say I didn't warn you. Pity you can't get that gear anywhere else.",

			},
		},

		OBJECTIVE_SIGHTED =
		{

			TERMS = 
			{
				"There's the executive terminal. I bet they write gripping TPS reports on that.",
				"The executive terminal is the large device with the simplified controls, there.",
				"That's an executive terminal. It still has a solitaire game up on the screen.",
				"You've found the executive terminal. Hack it and we can get out of here.",
			},
			VAULT = 
			{
				"There's the vault terminal. You'll need to hack that to release the secondary locks.",
				"There's the vault terminal. Hack it, and we can collect the valuables.",
				"You've found the vault terminal. Great - now get over there and finish the job.",
				"The vault terminal is the first level of security we need to get through. Hack it.",
			},
			SERVERFARM = 
			{
				"There's the server terminal. We should be able to contact the black market software dealer through it.",
				"The server terminal is in sight. Time to go shopping.",
				"You've found the terminal. Time to get hacking.",
				"The server terminal is in that room. It would be a shame to leave it undisturbed.",
			},
			DISPATCH = 
			{
				"That must be where the prototype is being stored. Get in there and see what you can find.",
				"You've found the secure lock-box. Time to open it up.",
				"There's the lock-box. Even if we can't use the contents, we can sell them.",
				"There's the secure safe. You're almost done.",
			},

			CYBERLAB = 
			{
				"The cyberlab is up ahead. Let's get some alone-time with those grafters.",
				"There is the cyberlab. I hope they sterilized the machines at the end of the last shift.",
				"You located the cyberlab. Let's leave this mission with better agents than we started with.",
				"Look at those augment grafters. People who aren't us pay top dollar for time on those bad boys.",
			},

			NANOFAB = 
			{
				"There's the unlocked nanofab. Time to convert credits into success.",
				"Not all nanofabs are created equal. You've found a good one, there.",
				"Do you think we have too many credits? Rectify that problem at this nanofab.",
				"Unlocked nanofab located. We've found what we came for.",
			},
		},		

		UTIL = {
            
            DETENION_PROCESSOR = "DETENTION PROCESSOR",
			DETENION_PROCESSOR_SUB = "OPEN CELL DOORS",
			SERVER_FARM = "服 务 器 场 ",
			PROGRAM_UPGRADES_AVAILABLE = "匿 名 者 可 升 级 ",
			ENCRYPTED_DATA = "检 测 到 加 密 数 据 ",
			ADVANCED_TECHNOLOGY = "检 测 到 先 进 的 技 术 ",			
			HEAT_SIGNATURE_DETECTED  =  "检 测 到 热 信 号 ",
			ACCESS_CARD_DETECTED  =  "ACCESS CODE CHIP",
			RESCUE_PRISONER = "救 援 囚 徒 ",
			RESCUE_HOSTAGE = "RESCUE HOSTAGE",
			SCANNER_LOCATED = "检 测 到 电 磁 反 干 扰 信 号 ",
            LOCATING_AGENTS = "LOCATING AGENTS",
            CONNECT = "建 立 连 接 ",
            SYNC = "同 步 ",
            RAPID_PULSE_READING ="RAPID PULSE READING",
		},	


		-- KEVIN, the INSET_TXT are lines spoken by Central when you click on the various locations. I'd like to see them writen as Incognita lines.
		LOCATIONS = 
		{
			TUTORIAL = {
				NAME = "审 讯 室 ",
			},

			DETENTION_CENTER = {
				NAME = "看 守 所 ",
				MORE_INFO = "We're not sure who they're holding here, but intel shows they have high-value.\n\nIt may be one of our missing agents, or a high-value prisoner that may be sold for a tidy profit. Either way, guiding the prisoner out will yield large benefits for our cause.",
				INSET_TITLE = "企 业 囚 犯 ",
				INSET_TXT = "拘 留 中 心 有 着 高 价 值 的 人 力 资 产 以 进 行 审 问 和 反 程 序 影 响 。 \n\n那 儿 可 以 在 线 阻 截 隐 形 公 司 特 工 的 入 侵 。 ",
				DESCRIPTION = "Make your way to the holding cells, and escort any prisoner back to to the telepad in order to escape.",
				REWARD = "Gain extra agents or a hostage rescue reward.",
			},

			SERVER_FARM = {
				NAME = "服 务 器 场 ",
				MORE_INFO = "Incognita can house powerful programs that help break corporate firewalls, provide utility for agents, and defend against daemons.\n\nThere are a wide variety of programs that can help our cause here, but make sure you bring enough credits to pay the broker.",
				INSET_TITLE = "大 型 机 软 件 ",
				INSET_TXT = "服 务 器 群 用 于 开 发 网 络 安 全 科 技 。 \n\n我 们 可 以 找 到 安 全 密 钥 用 于 提 升 我 们 的 渗 透 路 径 。 ",			
				DESCRIPTION = "Find the central server room and hack the inventory terminal",
				REWARD = "Server Farms warehouse advanced security programs that enhance Incognita's abilities.",
			},

			SECURITY = {
				NAME = "安 全 拘 留 所 ",
				MORE_INFO = "",
				INSET_TITLE = "企 业 间 谍 活 动 ",
				INSET_TXT = "这 是 用 于 最 高 价 值 被 拘 留 人 的 安 全 站 点 。 谨 慎 行 事 。 ",
				DESCRIPTION = "This will be a plain-language description of what you are trying to do in this particular mission type.",
			},

			GUARD_OFFICE = {
				NAME = "安 全 调 度 ",
				MORE_INFO = "The corporation at this location is keeping a high-value item in here under heavy security.\n\nA successful infiltration here will gain you an item which normally costs a tidy sum at a Nanofab, for the more desirable cost of zero.",
				INSET_TITLE = "先 进 齿 轮 ",
				INSET_TXT = "这 是 区 域 安 全 办 公 室 ， 所 以 做 好 被 加 强 过 抵 抗 力 的 准 备 。 \n\n高 水 平 的 安 全 操 作 人 员 也 许 有 专 门 化 的 装 置 ， 我 们 可 以 再 利 用 这 种 装 置 。 ",
				DESCRIPTION = "Locate the weapon lockdown room and defeat its security to gain access to the item.",
				REWARD = "A highly valued item to better equip your agents, or sell them for profit.",
			},

			TERMINALS = {
				NAME= "执 行 终 端 ",
				MORE_INFO = "This facility holds the locations of future targets of value.\n\nEach mission type provides key benefits to your agents, and while new locations will be presented to you over time, a successful infiltration here will speed up the process and give you more targets of your choosing.",
				INSET_TITLE = "CURRENT SITE LISTS",
				INSET_TXT = "执 行 终 端 有 数 个 高 级 安 全 证 书 。 \n\n破 解 其 中 一 个 证 书 ， 我 们 就 能 够 确 定 其 他 相 关 设 施 的 精 确 位 置 。 ",						
				DESCRIPTION = "Find the corporate directory terminal and retrieve the information.",
				REWARD = "Pinpoint new corporate locations of interest."
			},

			NANO_FAB = {
				NAME = "纳 米 工 厂 前 厅 ",
				MORE_INFO = "This location contains an advanced Nanofab, providing a wide variety of tools that will help agents overcome more powerful security threats. Choose carefully to compliment their abilities and your strategy as an Operator.\n\nThese items do not come cheap, so you'll need to have saved significant credits to make use of it.",
				INSET_TITLE = "违 禁 档 案 ",
				INSET_TXT = "大 多 数 纳 米 制 造 器 都 有 高 级 安 全 协 议 用 以 阻 止 无 执 照 的 制 造 器 。 \n\n这 个 站 点 的 制 造 器 已 经 被 破 解 ， 因 此 我 们 将 能 够 建 造 更 广 类 别 的 物 品 。 ",				
				DESCRIPTION = "Find the advanced Nanofab Terminal at this location and hack it to gain access.",
				REWARD = "Gain access to a wide variety of counterfeit goods. You'll need enough credits to make use of this.",
			},
			
			VAULT = {
				NAME = "地 下 室 ",
				MORE_INFO = "Vaults contain large sums of credits waiting to be stolen.\n\nHowever, the highest value items are behind locked doors, and if you are not bringing a vault access card into the mission, you will not be able to access it. You may need to infiltrate other missions to obtain it first.",
				INSET_TITLE = "存 储 资 金 ",
				INSET_TXT = "这 个 设 施 存 放 资 金 哈 希 链 表 。 \n\n我 们 可 以 汲 取 一 部 分 而 不 会 引 发 哈 希 撤 销 。 ",				
				DESCRIPTION = "Break into their high security vault.",
				REWARD = "Vaults hold credits and art objects that can be sold. Vault access cards will open the doors to greater riches.",
			},		

			CEO_OFFICE = {
				NAME = "首 席 财 务 套 间 ",
				MORE_INFO = "The financial officer at this location holds pass codes for high value items in other locations. Infiltrating here may yield greater rewards for future locations.",
				INSET_TITLE = "财 务 通 行 秘 钥 ",
				INSET_TXT = "高 级 财 务 官 在 这 个 设 施 里 有 一 个 办 公 室 。 \n\n使 用 他 的 秘 钥 ， 我 们 可 以 操 纵 市 场 以 对 我 们 有 利 。 ",				
				DESCRIPTION = "Find the target, and hack into his cranial security.",
				REWARD = "Vault access card for use in other facilities.",
			},

			CYBERLAB = {
				NAME = "神 经 机 械 实 验 室 ",
				MORE_INFO = "Cybernetic augments give passive abilities to agents, often yielding powerful combinations with other items and programs.\n\nThe machines at this location will provide you the opportunity to install an augment for free, or enhance an agent with an additional augmentation socket.",
				INSET_TITLE = "扩 大 ",
				INSET_TXT = "这 里 是 巨 型 机 械 的 研 究 和 开 发 实 验 室 。 \n\n在 库 存 中 的 巨 型 机 械 还 没 有 对 特 定 的 用 户 设 定 基 因 组 密 码 。 ",				
				DESCRIPTION = "Find the augment grafting laboratory and hack into their machines.",
				REWARD = "Gain a one-time ability to either install free augments in an agent, or expand their capacity for augmentation.",
			},

			FINALMISSION = {
				NAME= "Mainframe",
				MORE_INFO = "There isn't a lot of information about this location, but Monst3r's intelligence show that the security here uses the most state-of-the art technology.\n\nExpect high level security and advanced countermeasures.",
				INSET_TITLE = "SECNET ROOT ACCESS",
				INSET_TXT = "This is the processing center that has been collating network traffic data from all of the corporations.\n\nWith their hardware, incognita may be able to cover our tracks.",
				DESCRIPTION = "Find the central server and upload Incognita before she expires.",
				REWARD = "You may survive to see tomorrow. Maybe."
			},


			TREASURY_HOLDING = "财 政 部 办 公 室 ",
		},
	},

    MAP_NAMES =
    {
        ANCHORAGE = "安 克 拉 治 ",
        VANCOUVER = "温 哥 华 ",
        SAN_FRANCISCO = "旧 金 山 ",
        MEXICO_CITY = "墨 西 哥 市 ",
        KANSAS_CITY = "堪 萨 斯 市 ",
        THUNDER_BAY = "桑 德 贝 ",
        ST_JOHNS = "圣 约 翰 斯 ",
        NEW_YORK = "纽 约 ",
        ATLANTA = "亚 特 兰 大 ",
        HAVANA = "哈 瓦 那 ",
        BOGOTA = "波 哥 大 ",
        LIMA = "利 马 ",
        SANTA_CRUZ = "圣 克 鲁 兹 ",
        BRASILIA = "巴 西 利 亚 ",
        PORTO_ALEGRE = "阿 雷 格 里 港 ",
        SANTA_ROSA = "圣 罗 莎 ",
        REYKJAVIK = "雷 克 雅 维 克 ",
        LONDON = "伦 敦 ",
        MADRID = "马 德 里 ",
        STOCKHOLM = "斯 德 哥 尔 摩 ",
        ROME = "罗 马 ",
        BUDAPEST = "布 达 佩 斯 ",
        ALGIERS = "阿 尔 及 尔 ",
        CASABLANCA = "卡 萨 布 兰 卡 ",
        CAIRO = "卡 伊 罗 ",
        MONROVIA = "蒙 罗 维 亚 ",
        CAPE_TOWN = "开 普 敦 ",
        ANTANANARIVO = "塔 那 那 利 佛 ",
        MOMBASA = "蒙 巴 萨 ",
        GABORONE = "哈 博 罗 内 ",
        DUBAI = "迪 拜 ",
        BEIRUT = "贝 鲁 特 ",
        ISTANBUL = "伊 斯 坦 布 尔 ",
        MOSCOW = "莫 斯 科 ",
        KABUL = "喀 布 尔 ",
        DHAKA = "达 卡 ",
        NEW_DELHI = "新 德 里 ",
        COLOMBO = "科 伦 坡 ",
        BANGKOK = "曼 谷 ",
        SINGAPORE = "新 加 坡 ",
        JAKARTA = "雅 加 达 ",
        MANILA = "马 尼 拉 ",
        PERTH = "佩 斯 ",
        SYDNEY = "悉 尼 ",
        CHRISTCHURCH = "克 赖 斯 特 彻 奇 ",
        BRISBANE = "布 里 斯 班 ",
        TOKYO = "东 京 ",
        SEOUL = "首 尔 ",
        CHENGDU = "成 都 ",
        ASTANA = "阿 斯 塔 纳 ",
        HONG_KONG = "香 港 ",
    },

	CENTRAL_BARKS = 
	{
		AGENT_DOWN = "特 工 倒 下 .情 况 越 来 越 糟 了 .",
		TEAM_DOWN = "该 死 的 ,操 作 者 ！ ",
	},


	GUARD_STATUS = 
	{
		STATUS = "状 态 ",
		PATROLLING = "巡 逻 ",
		IDLE = "固 定 的 ",
		INVESTIGATING = "调 查 ",
		START_INVESTIGATING = "LOOKING AROUND",
		START_HUNTING = "PREPARING TO HUNT",
		HUNTING = "狩 猎 中 ",
		COMBAT = "警 报 ",
		FLEEING = "逃 离 ",
	},

	PROGRAMS = 
	{
		POWER_PER_TURN = "%d力 量 值 /回 合 ",
		POWER = "%d力 量 值 ",
		COST = "COST: %d PWR",
		COST_PER_TURN = "COST: %d PWR PER TURN",
		COOLDOWN = "COOLDOWN: %d TURNS",
		PWR = "PWR",
		TURNS = "回 合 ",
		EQUIPPED = "装 备 ",
		PURCHASED = "程 序 购 买 ",
		PURCHASED_DESC = "你 购 买 了 一 个 匿 名 者 用 程 序 :\n%s",

		POWER_DRIP = 
		{
			NAME = "能 源 溢 出 ",
			DESC = "Generate 1 PWR point per turn.\nPASSIVE",
			SHORT_DESC = "自 动 生 成 能 源 ",
			HUD_DESC = "每 回 合 +1点 力 量 点 ",
			WARNING = "力 量 渗 出 \n+1力 量 点 ",
			MODAL_1 = "匿 名 者 正 在 运 行 一 个 程 序 ",
			MODAL_2 = "能 源 溢 出 ",
			MODAL_3 = "你 的 特 工 机 构 已 经 为 你 提 供 了 能 源 溢 出 程 序 .在 每 局 开 局 时 增 加 1点 力 量 点 .",
		},

		EMERGENCY_DRIP = 
		{
			NAME = "EMERGENCY RESERVE",
			DESC = "Gain 5 PWR at the start of the turn if PWR is 3 or below.\n3 turn cooldown.",
			SHORT_DESC = "GAIN PWR WHEN LOW",
			HUD_DESC = "+ 5 PWR WHEN 3 OR BELOW",
			WARNING = "EMERGENCY RESERVE\n+ %d PWR",
		},

		LOCKPICK =
		{
			NAME = "开 锁 1.0",
			DESC = "2点 力 量 点 破 坏 1个 防 火 墙 ",
			SHORT_DESC = "使 用 开 锁 ",
			HUD_DESC = "破 坏 一 个 防 火 墙 ",
			TIP_DESC = "BREAKS <c:FF8411>1 FIREWALL</c>. COST: <c:77FF77>%d PWR</c>",
		},

		RAPIER =
		{
			NAME = "细 剑 ",
			DESC = "Breaks 1 firewall.\nPWR cost increases by 1 each Alarm Level.",
			SHORT_DESC = "使 用 细 剑 ",
			HUD_DESC = "破 坏 一 个 防 火 墙 ",
			TIP_DESC = "BREAKS <c:FF8411>1 FIREWALL</c>. COST: <c:77FF77>%d PWR</c>",
		},

		LOCKPICK_2 =
		{
			NAME = "开 锁 器 2.0版 本 ",
			DESC = "使 用 3能 源 打 破 2面 防 火 墙 。 ",
			SHORT_DESC = "使 用 开 锁 器 2.0版 本 ",
			HUD_DESC = "打 破 2面 防 火 墙 ",
			TIP_DESC = "BREAKS <c:FF8411>2 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		WRENCH_2 =
		{
			NAME = "扳 扭 2",
			DESC = "只 有 突 破 防 火 墙 正 好 等 于 2力 量 ",
			SHORT_DESC = "使 用 扳 扭 ",		
			HUD_DESC = "破 坏 2个 防 火 墙 ",
			TIP_DESC = "BREAKS EXACTLY <c:FF8411>2 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		WRENCH_3 =
		{
			NAME = "扳 扭 3",
			DESC = "只 有 突 破 防 火 墙 正 好 等 于 3力 量 ",
			SHORT_DESC = "使 用 扳 扭 ",		
			HUD_DESC = "破 坏 3个 防 火 墙 ",
			TIP_DESC = "BREAKS EXACTLY <c:FF8411>3 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		WRENCH_4 =
		{
			NAME = "扳 扭 4",
			DESC = "只 有 突 破 防 火 墙 正 好 等 于 4力 量 ",
			SHORT_DESC = "使 用 扳 扭 ",		
			HUD_DESC = "破 坏 4个 防 火 墙 ",
			TIP_DESC = "BREAKS EXACTLY <c:FF8411>4 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		WRENCH_5 =
		{
			NAME = "扳 扭 5",
			DESC = "只 有 突 破 防 火 墙 正 好 等 于 5力 量 ",
			SHORT_DESC = "使 用 扳 扭 ",		
			HUD_DESC = "破 坏 5个 防 火 墙 ",
			TIP_DESC = "BREAKS EXACTLY <c:FF8411>5 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		HAMMER = 
		{
			NAME = "锤 ",
			DESC = "Breaks 5 firewalls for 5 PWR.\n3 turn cooldown.",
			SHORT_DESC = "使 用 锤 ",		
			HUD_DESC = "破 坏 5个 防 火 墙 ",
			TIP_DESC = "BREAKS <c:FF8411>5 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		DAGGER = 
		{
			NAME = "匕 首 ",
			DESC = "Breaks 3 firewalls for 1 PWR.\n5 turn cooldown.",
			SHORT_DESC = "使 用 匕 首 ",
			HUD_DESC = "破 坏 3个 防 火 墙 ",
			TIP_DESC = "BREAKS <c:FF8411>3 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		DAGGER_2 = 
		{
			NAME = "匕 首 2.0版 本 ",
			DESC = "Breaks 5 firewalls for 3 PWR.\n4 turn cooldown.",
			SHORT_DESC = "使 用 匕 首 ",
			HUD_DESC = "破 坏 5个 防 火 墙 ",
			TIP_DESC = "BREAKS <c:FF8411>5 FIREWALLS</c>. COST: <c:77FF77>%d PWR</c>",
		},

		PARASITE = 
		{
			NAME = "寄 生 虫 ",
			DESC = "Infect target to break 1 firewall at the start of each turn.\n+1 PWR cost per hosted parasite.",
			SHORT_DESC = "主 机 寄 生 虫 ",		
			HUD_DESC = "每 回 合 破 坏 一 个 防 火 墙 ",
			ALREADY_HOSTED = "已 经 有 寄 生 虫 ",
			TIP_DESC = "HOST <c:FF8411>PARASITE</c>. COST: <c:77FF77>%d PWR</c>",
		},

		PARASITE_2 = 
		{
			NAME = "寄 生 虫 2.0版 本 ",
			DESC = "Infect target to break 2 firewalls at the start of each turn.\n+1 PWR cost per hosted parasite.",
			SHORT_DESC = "主 机 寄 生 虫 2.0版 本 ",		
			HUD_DESC = "每 一 回 合 打 破 2面 防 火 墙 ",
			ALREADY_HOSTED = "已 经 有 寄 生 虫 ",
			TIP_DESC = "HOST <c:FF8411>PARASITE 2.0</c>. COST: <c:77FF77>%d PWR</c>",
		},
		
		SNIFFER =
		{
			NAME = "怪 物 检 测 器 ",
			DESC = "显 示 隐 藏 的 后 台 程 序 并 验 证 后 台 程 序 类 型 。 ",
			SHORT_DESC = "显 示 怪 物 ",
			HUD_DESC = "显 示 怪 物 ",
			TIP_DESC = "REVEALS <c:FF8411>DAEMON</c>. COST: <c:77FF77>%d PWR</c>",
		},

		HUNTER =
		{
			NAME = "猎 人 ",
			DESC = "Kills Daemons for 5 PWR.\n3 turn cooldown",
			SHORT_DESC = "使 用 猎 人 ",
			HUD_DESC = "杀 死 怪 物 ",
			TIP_DESC = "KILLS <c:FF8411>DAEMON</c>. COST: <c:77FF77>%d PWR</c>",
		},

		PING =
		{
			NAME = "PING",
			DESC = "产 生 使 人 分 心 的 噪 音 ",
			SHORT_DESC = "产 生 噪 音 ",			
			HUD_DESC = "产 生 噪 音 干 扰 项 ",
			TIP_DESC = "",
		},

		SEED =
		{
			NAME = "SEED",
			DESC = "Your first program each turn costs 4 PWR less to run.",
			SHORT_DESC = "FIRST PROGRAM EACH TURN COSTS 4 PWR LESS",			
			HUD_DESC = "FIRST PROGRAM EACH TURN COSTS 4 PWR LESS",
			TIP_DESC = "",
			WARNING = "SEED\n-4 PWR COST",
		},


		ORACLE =
		{
			NAME = "神 使 ",
			DESC = "在 此 等 级 控 制 一 个 随 机 摄 像 机 ",
			SHORT_DESC = "选 择 任 意 摄 像 机 ",	
			HUD_DESC = "控 制 一 个 随 机 摄 像 机 ",
			TIP_DESC = "",
		},

		FUSION =
		{
			NAME = "溶 解 ",
			DESC = "Gain 3 PWR per turn for 4 turns.\n4 turn cooldown.",
			SHORT_DESC = "冷 却 时 获 得 力 量 点 ",	
			HUD_DESC = "GAIN 3 PWR EACH TURN FOR 4 TURNS",
			WARNING = "溶 解 \n+3力 量 点 ",
			TIP_DESC = "",
		},

		FAUST =
		{
			NAME = "FAUST",
			DESC = "Gain 2 PWR per turn. 20% chance of a Daemon installing.",
			SHORT_DESC = "AUTO GENERATE PWR, CHANCE OF DAEMON",	
			HUD_DESC = "GAIN 2 PWR PER TURN, 20% CHANCE OF DAEMON",
			WARNING = "FAUST\n+ 2 PWR",
			TIP_DESC = "",
		},

		BRIMSTONE =
		{
			NAME = "BRIMSTONE",
			DESC = "Breaks 1 firewall for 3 PWR.\nPASSIVE: +10% chance of DAEMON REVERSAL.",
			SHORT_DESC = "破 坏 一 个 防 火 墙 ",	
			HUD_DESC = "破 坏 一 个 防 火 墙 ",
			TIP_DESC = "",
		},

		LOVE =
		{
			NAME = "TURING",
			DESC = "Reduces all firewalls by 2 for 5 PWR.\n3 turn cooldown.",
			SHORT_DESC = "REDUCES ALL FIREWALLS BY 2",	
			HUD_DESC = "REDUCES ALL FIREWALLS BY 2",
			TIP_DESC = "",
		},

		WILDFIRE =
		{
			NAME = "WILDFIRE",
			DESC = "Gain 5 PWR. +1 to all FIREWALLS.",
			SHORT_DESC = "GAIN PWR, INCREASE FIREWALLS",	
			HUD_DESC = "GAIN 5 PWR, +1 TO ALL FIREWALLS",
			WARNING = "WILDFIRE\n+ 5 PWR  + 1 FIREWALLS",
			TIP_DESC = "",
		},

		WINGS =
		{
			NAME = "翅 膀 ",
			DESC = "Increases AP of all agents by 2.\n2 turn cooldown.",
			SHORT_DESC = "绳 针 :增 加 AP",
			HUD_DESC = "对 所 有 特 工 加 2AP。 ",
			TIP_DESC = "",
		},

		SHADE =
		{
			NAME = "遮 蔽 ",
			DESC = "Reduces sight range of guards.\n2 turn cooldown.",
			SHORT_DESC = "摇 头 :减 少 视 野 ",
			HUD_DESC = "减 少 守 卫 视 野 ",
			TIP_DESC = "",
		},

		LEASH =
		{
			NAME = "束 缚 ",
			DESC = "Control drones for an extra turn.\nPASSIVE.",
			SHORT_DESC = "延 长 无 人 机 控 制 ",
			HUD_DESC = "控 制 无 人 机 +1回 合 ",
			TIP_DESC = "",
		},

		DATA_BLAST =
		{
			NAME = "数 据 爆 炸 ",
			DESC = "Break 1 firewall on all detected devices within a radius of 5 tiles.",
			SHORT_DESC = "使 用 数 据 爆 炸 ",
			HUD_DESC = "打 破 一 面 防 火 墙 ",
			TIP_DESC = "BREAKS <c:FF8411>1 FIREWALL</c>. COST: <c:77FF77>%d PWR</c>",
		},

		ESP =
		{
			NAME = "小 捆 ",
			DESC = "标 记 所 有 的 可 见 守 卫 以 使 他 们 可 以 被 追 踪 。 ",
			SHORT_DESC = "标 记 所 有 可 见 守 卫 ",
			HUD_DESC = "标 记 可 见 守 卫 ",
			TIP_DESC = "",
		},	

		PWR_MANAGER =
		{
			NAME = "算 盘 ",
			DESC = "Increases the agency's starting PWR by 4 points.",
			SHORT_DESC = "Increases starting PWR by 4",
			HUD_DESC = "+4 STARTING PWR",
			TIP_DESC = "",
		},	
		
		PWR_MANAGER_2 =
		{
			NAME = "算 盘 2.0版 本 ",
			DESC = "Increases the agency's starting PWR by 6 points.",
			SHORT_DESC = "Increases starting PWR by 6",
			HUD_DESC = "+6 STARTING PWR",
			TIP_DESC = "",
		},	

		TAURUS =
		{
			NAME = "金 牛 座 ",
			DESC = "将 后 台 程 序 移 至 随 机 设 备 。 ",
			SHORT_DESC = "移 动 一 个 后 台 程 序 ",
			HUD_DESC = "移 动 一 个 后 台 程 序 ",
			TIP_DESC = "MOVES <c:FF8411>DAEMON</c>. COST: <c:77FF77>%d PWR</c>",			
		},					
    },

    RESEARCH =
    {
    	-- Some elements are deprecated with the new final level design. 
    	-- However, these are expected to return at some point if Twitch Draft happens - jl 

    	RESEARCH_PNL_TITLE = "企 业 已 经 研 究 出 ： ",
    	WARNING_TITLE = "%s 研 究 ",
    	GENERIC_TITLE = "已 完 成 研 究 ",

    	NEURAL_IMPLANTS = 
    	{
    		NAME = "神 经 移 植 ",
    		SHORT_DESC = "一 些 敌 人 免 疫 KO",
    		UNIT_DESC = "免 疫 任 何 KO伤 害 ",
    	},

    	ELECTRICAL_INTERFERENCE = 
    	{
    		NAME = "电 磁 干 扰 ",
    		SHORT_DESC = "一 些 敌 人 减 慢 附 近 物 品 冷 却 时 间 ",
    		UNIT_DESC = "对 7个 格 子 内 的 所 有 特 工 增 加 3回 合 物 品 冷 却 时 间 。 ",
    	},

    	ULTRASONIC_ECHOLOCATION = 
    	{
    		NAME = "超 声 波 回 声 定 位 ",
    		SHORT_DESC = "一 些 敌 人 能 看 穿 掩 蔽 物 ",
    		UNIT_DESC = "能 够 看 见 藏 在 掩 蔽 物 下 的 特 工 。 ",
    	},

    	SPRINT_PADS = 
    	{
    		NAME = "猛 冲 面 板 ",
    		SHORT_DESC = "一 些 敌 人 有 额 外 AP",
    		UNIT_DESC = "有 额 外 6AP。 ",
    	},

    	PERIPHERAL_EXPANSION = 
    	{
    		NAME = "外 围 扩 张 ",
    		SHORT_DESC = "一 些 敌 人 有 360度 视 野 ",
    		UNIT_DESC = "有 360度 视 野 半 径 。 ",
    	},

    	PERIPHERAL_IMPROVEMENT = 
    	{
    		NAME = "外 围 提 升 ",
    		SHORT_DESC = "一 些 敌 人 有 180度 视 野 ",
    		UNIT_DESC = "拥 有 180度 视 野 。 ",
    	},

    	MAINFRAME_ATTUNEMENT = 
    	{
    		NAME = "主 机 调 和 ",
    		SHORT_DESC = "",
    		UNIT_DESC = "当 防 火 墙 强 度 更 高 时 拥 有 更 多 AP。 ",
    	},

    	OVERTUNED_REFLEXES = 
    	{
    		NAME = "异 调 反 射 ",
    		SHORT_DESC = "",
    		UNIT_DESC =  "当 看 见 动 作 时 立 即 射 击 特 工 ， 跳 过 监 视 。 ",
    	},

    	RECON_PROTOCOL = 
    	{
    		NAME = "侦 察 协 议 ",
    		SHORT_DESC = "",
    		UNIT_DESC =  "具 有 长 巡 逻 路 径 ",
    	},

    	ULTRAVIOLET_SPECTROMETER = 
    	{
    		NAME = "紫 外 线 光 谱 仪 ",
    		SHORT_DESC = "一 些 敌 人 看 穿 斗 篷 ",
    		UNIT_DESC = "能 够 看 见 穿 着 隐 身 斗 篷 的 特 工 。 ",
    	},

    	LONG_RANGE_SENSORS = 
    	{
    		NAME = "远 距 离 传 感 器 ",
    		SHORT_DESC = "一 些 敌 人 偶 尔 探 测 特 工 ",
    		UNIT_DESC = "间 歇 性 地 注 意 到 距 离 最 近 的 特 工 。 ",
    	},

    	ENHANCED_ARMOR = 
    	{
    		NAME = "加 强 护 甲 ",
    		SHORT_DESC = "一 些 敌 人 拥 有 额 外 护 甲 ",
    		UNIT_DESC = "拥 有 1额 外 护 甲 。 ",
    	},

    	REGENERATIVE_NANOCELLS = 
    	{
    		NAME = "再 生 纳 米 细 胞 ",
    		SHORT_DESC = "一 些 敌 人 无 法 被 杀 死 ",
    		UNIT_DESC = "具 有 1回 合 KO而 无 法 被 击 杀 。 ",
    	},

    	IMPROVED_HEART_MONITOR = 
    	{
    		NAME = "强 化 心 脏 监 听 器 ",
    		SHORT_DESC = "一 些 敌 人 有 升 级 的 心 脏 监 听 器 ",
    		UNIT_DESC = "对 死 亡 时 +4警 告 等 级 ， 无 法 被 禁 用 。 ",
    	},

    	CONSCIOUSNESS_MONITOR = 
    	{
    		NAME = "意 识 监 视 器 ",
    		SHORT_DESC = "",
    		UNIT_DESC = "当 被 KO时 +2警 告 "
    	},
	}, 

	REVERSE_DAEMONS = 
	{
		REVERSE_PNL_TITLE = "I N C O G N I T A  R E V E R S E  E N G I N E E R E D",
		WARNING_TITLE = "%s Algorithm",
		GENERIC_TITLE = "Daemon Reversed", 

		ORDER = 
		{
			NAME = "ORDER",
			DESC = "Increases all agents' AP by 3",
			SHORT_DESC = "Increases agents' AP by 3",
			ACTIVE_DESC = "AGENT'S AP INCREASED BY ALGORITHM",
		},

		ATTUNE = 
		{
			NAME = "ATTUNE",
			DESC = "Decreases all program PWR cost by 1",
			SHORT_DESC = "Decreases program cost by 1",
			ACTIVE_DESC = "PROGRAM PWR COST DECREASED BY ALGORITHM",
		},

		ENERGIZE = 
		{
			NAME = "FORTUNE",
			DESC = "Gain 200 CREDITS",
			SHORT_DESC = "Gain 200 CREDITS",
			ACTIVE_DESC = "200 CREDITS EARNED BY ALGORITHM",
		},
	},

	DAEMONS = 
	{
		DAEMON_PNL_TITLE = "公 司 正 在 安 置 :",
		WARNING_TITLE = "%s怪 物 ",
		GENERIC_TITLE = "安 置 怪 物 ",
		MERCURY = 
		{
			NAME = "水 银 ",
			DESC = "减 少 AP", 
			SHORT_DESC = "永 久 减 少 特 工 1单 位 AP", 
			ACTIVE_DESC = "通 过 后 台 程 序 减 少 的 特 工 AP", 
		},
		ARSENIC = 
		{
			NAME = "砒 霜 ",
			DESC = "摧 毁 物 品 ", 
			SHORT_DESC = "永 久 摧 毁 一 个 非 武 器 物 品 ", 
			ACTIVE_DESC = "被 后 台 程 序 摧 毁 的 物 品 ", 
		},
		DEATHCAP = 
		{
			NAME = "死 亡 之 帽 ",
			DESC = "增 加 冷 却 时 间 ", 
			SHORT_DESC = "永 久 增 加 3单 位 物 品 冷 却 时 间 ", 
			ACTIVE_DESC = "由 后 台 程 序 导 致 物 品 冷 却 时 间 的 增 加 ", 
		},
		BELLADONNA = 
		{
			NAME = "颠 茄 ",
			DESC = "增 加 CPU消 耗 ", 
			SHORT_DESC = "永 久 增 加 程 序 2单 位 CPU消 耗 ", 
			ACTIVE_DESC = "由 后 台 程 序 到 的 程 序 消 耗 增 加 ", 
		},
		HEMLOCK = 
		{
			NAME = "铁 杉 ",
			DESC = "摧 毁 武 器 ", 
			SHORT_DESC = "永 久 摧 毁 一 把 武 器 ", 
			ACTIVE_DESC = "被 后 台 程 序 摧 毁 的 武 器 ", 
		},
		CYANIDE = 
		{
			NAME = "氰 化 物 ",
			DESC = "减 少 泰 瑟 KO", 
			SHORT_DESC = "永 久 减 少 特 工 的 泰 瑟 伤 害 ", 
			ACTIVE_DESC = "通 过 后 台 程 序 减 少 的 特 工 泰 瑟 伤 害 ", 
		},
		RUBIKS = 
		{
			NAME = "鲁 比 克 斯 ",
			DESC = "提 示 防 火 墙 ",
			SHORT_DESC = "由 一 个 提 示 防 火 墙 ",
			ACTIVE_DESC = "怪 物 制 造 防 火 墙 ",
		},
		VALIDATE = 
		{
			NAME = "确 认 ",
			DESC = "在 此 水 平 上 增 加 一 个 护 卫 ",
			SHORT_DESC = "卵 护 卫 ",
			ACTIVE_DESC = "怪 物 生 育 的 守 卫 ",
		},
		SIPHON = 
		{
			NAME = "虹 吸 ",
			DESC = "消 耗 力 量 点 ",
			SHORT_DESC = "消 耗 力 量 点 ",
			ACTIVE_DESC = "%d力 量 点 被 怪 物 吸 取 ",
		},
		FRACTAL = 
		{
			NAME = "不 规 则 片 层 ",
			DESC = "用 随 机 物 品 制 造 两 个 新 怪 物 程 序 ",
			SHORT_DESC = "生 育 更 多 怪 物 ",
			ACTIVE_DESC = "怪 物 安 置 新 怪 物 ",
		},
		PARADOX = 
		{
			NAME = "悖 论 ",
			DESC = "通 过 暂 时 打 断 阻 止 匿 名 者 ",
			SHORT_DESC = "无 法 打 断 能 力 ",
			ACTIVE_DESC = "匿 名 者 攻 击 打 断 %d 回 合 ",
		},
		BLOWFISH = 
		{
			NAME = "河 豚 鱼 ",
			DESC = "跟 踪 进 展 ",
			SHORT_DESC = "跟 踪 进 展 ",
			ACTIVE_DESC = "报 警 提 示 ％ d怪 物 ",
		},	
		FAILSAFE = 
		{
			NAME = "FAILSAFE",
			DESC = "Reboots 2 objects each turn.",
			SHORT_DESC = "Reboots 2 objects each turn ",
			ACTIVE_DESC = "DAEMON REBOOTS 2 OBJECTS EACH TURN",
		},		
		LABYRINTH = 
		{
			NAME = "迷 宫 ",
			DESC = "减 少 所 有 特 工 2单 位 AP",
			SHORT_DESC = "Reduces agents' AP by 2",
			ACTIVE_DESC = "后 台 程 序 减 少 特 工 2单 位 AP",
		},		
		MODULATE = 
		{
			NAME = "调 制 ",
			DESC = "程 序 消 耗 +2能 源 ",
			SHORT_DESC = "能 源 消 耗 ",
			ACTIVE_DESC = "%d 回 合 程 序 消 耗 +2能 源 ",
		},
		AUTHORITY =
		{
			NAME = "授 权 ",
			DESC = "Safes are alarmed and will trigger a nearby guard to investigate when opened.",
			SHORT_DESC = "保 险 箱 发 出 警 报 ",
			ACTIVE_DESC = "保 险 箱 发 出 警 报 。 ",
			WARNING = "AUTHORITY DAEMON\nGUARD ALERTED",
		},			
		MASK =
		{
			NAME = "面 具 ",
			DESC = "当 面 具 被 激 活 时 后 台 程 序 被 隐 藏 。 ",
			SHORT_DESC = "后 台 程 序 被 隐 藏 ",
			ACTIVE_DESC = "后 台 程 序 被 隐 藏 。 ",
		},
		FELIX =
		{
			NAME = "菲 利 克 斯 ",
			DESC = "从 中 介 吸 取 资 金 ",
			SHORT_DESC = "Siphons credits",
			ACTIVE_DESC = "Siphons %d credits from the agency.",
		},
		ALERTBLOWFISH =
		{
			NAME = "BLOWFISH 2.0",
			DESC = "跟 踪 进 展 ",
			SHORT_DESC = "跟 踪 进 展 ",
			ACTIVE_DESC = "报 警 提 示 ％ d怪 物 ",
		},
		ALERTPULSE =
		{
			NAME = "PULSE 2.0",
			DESC = "Short-circuits items, adding 3 to all item cooldowns.",
			SHORT_DESC = "+3 to all item cooldowns",
			ACTIVE_DESC = "ITEM COOLDOWNS SHORT-CIRCUITED",
		},
		ALERTMODULATE =
		{
			NAME = "MODULATE 2.0",
			DESC = "程 序 消 耗 +2能 源 ",
			SHORT_DESC = "能 源 消 耗 ",
			ACTIVE_DESC = "%d 回 合 程 序 消 耗 +2能 源 ",
		},
		ALERTFRACTAL =
		{
			NAME = "FRACTAL 2.0",
			DESC = "Spawns Daemons on all FIREWALLS.",
			SHORT_DESC = "Spawns Daemons",
			ACTIVE_DESC = "SPAWNS DAEMONS ON ALL FIREWALLS.",
		},
		PANIC = 
		{
			NAME = "COUNTERMEASURES",
			DESC = "One guard is sent to investigate the location of an agent each turn.",
			SHORT_DESC = "Agent locations discovered",
			ACTIVE_DESC = "ONE GUARD SENT TO INVESTIGATE THE LOCATION OF AN AGENT EACH TURN",
		},
	},


	UI =
	{
		CONFIRMLASTWORDS = "If you are out of options, your agent can go down quipping.\n\nThis will terminate the mission if you are out of rewinds, but at least you will lose with style.",

		GENOPTIONS=
		{
		    REWINDS = {"0 (IRONMAN)", "1 REWIND", "3 REWINDS", "5 REWINDS", "10 REWINDS", "99 REWINDS" },
		    HOURS = { "24 Hours", "48 Hours", "72 Hours", "120 Hours", "Endless" },
		    ALARMTYPE = {"容 易 ", "普 通 "},
		    GUARDSPAWNS = { "LESS", "普 通 ", "MORE" },
            PROPSPAWNS = { "NONE", "LESS", "普 通 ", "MORE", "MANY" },
		    KOTIME = {"+99", "+4", "+2", "+1", "0", "-1" },
		    DAEMONS = { "LESS", "普 通 ", "MORE" },
		    TIMEATTACK = { "OFF", "30 Seconds", "1 Minute", "2 Minutes", "5 Minutes" },
		},   	
		ENEMY_ACTIVITY = "敌 人 活 动 ",
		AGENT_ACTIVITY = "AGENT ACTIVITY",
		TURN = "TURN %d",

		PREV = "< PREV",
		NEXT = "> NEXT",
		OK = "> OK",

		GUARD_KILLED = "Killed",
		GUARD_ALERTED = "Alerted",
		GUARD_DISTRACTED = "Distracted",
		GUARD_GHOSTED = "Undisturbed",

		CORPSE_OF = "CORPSE OF %s",

		MISSION_SUCCESS = "访 问 报 告 ",
		MISSION_FAILURE = "AGENCY ELIMINATED",
		MISSION_LOCATION = "LOCATION: %s",

		CENTRAL_TITLE ="基 地 ",
		MONST3R_TITLE ="MONST3R",
		INCOGNITA_TITLE = "匿 名 者 ",

		TASWELL_TITLE = "TASWELL",
		TASWELL_INFO_BTN = "MORE INFO",
		TASWELL_QUOTE = "\"Hey it's Tuesday, but I really love Mondays.\"",
		TASWELL_INFO = "Ryan Davis (1979-2013) was a much respected video game journalist, and co-founder of Giant Bomb. He touched a lot of our lives through the years, and this is a small tribute to his legacy. We thank him for his contribution to the craft.\n\n-Klei Development Team",

		--MONST3R_DOWN = "Get him back on his feet. We need him to prevent reinforcements.",
		CENTRAL_DOWN = "Gladstone's down. We can't run this show without her.",
		BOTH_CRITICAL_DOWN = "Critical assets incapacitated. Revive before continuing.",

		RECAP = 
		{
			HACKED = "DEVICE HACKED",
			NOTHACKED = "DEVICE NOT HACKED",
			SELLING = "ITEMS SOLD",
			CREDITS_STOLEN = "CREDITS STOLEN",
			VALUABLES = "VALUABLES FOUND",
			SAFES = "SAFES",
			CLEANUP = "CLEANUP COST",
			PURCHASES = "COST OF PURCHASES",
			MAPPING = "MICROSLAM CREDITS",
			ECONCHIP = "ECONCHIP CONVERSION",
			HOSTAGE = "HOSTAGE RECOVERY",
		},


		MONSTER_CATSHOP_PRE =
		{
			"Oh no. It's *her*. Keep your wits about you.",
			"Here, kitty kitty.",
			"Be careful, she likes to play with her food before she eats it.",
			"On SecNet, nobody knows you're a cat.",
		},
		MONSTER_CATSHOP_POST =
		{
			"Damn it, ShopCat. That's no way to treat your customers.",
			"You'd never get that kind of treatment at my shop. I have standards to uphold.",
			"Is that a person pretending to be a cat, or a cat pretending to be a person? It's weird either way.",
			"Don't say I didn't warn you. Pity you can't get that gear anywhere else.",
		},

		INGAME_FINALE_1 = 
		{
			"It was a clean insertion, but they'll figure out we're here soon enough.",
			"There should be a communications nexus somewhere on this floor. If you get me there, I can keep the corp reinforcements tied up.",
			"Alright. Let's get moving.",
		},

		INGAME_FINALE_2 = 
		{
			"Just look at this rig! They've got a Sendheiser P-37 feeding into a nitrogen cooled transduction coil. And is that a triple inverse loop flop enhancer? I've never seen-",
			"Will this work?",
			"Oh this will do nicely. Very nicely indeed.",
		},

		INGAME_FINALE_3 =
		{
			INTRO = "I need to get to the central processing center on the next floor. Lead us straight there, everything else is a distraction.",
			ELEVATOR_AGENT = "Where do you think you're going? Only I know the Incognita transfer procedure!",
			ELEVATOR_CENTRAL = "I need to do this alone. Secure this hallway and don't let anyone past.",
			ELEVATOR_CENTRAL_DEAD = "We've made it. It cost us dearly, but we've made it.",
		},

		MAP_DIALOG_INFINITE_INTRO = 
		{
			"We're in a tight spot. The last few missions drained our accounts almost entirely. We're barely afloat.\n\nIf we don't turn things around soon, we'll have to close up shop.",
			"There's plenty of profit to be made out there if we're bold enough. I'm authorizing you to go off-contract.\n\nIncognita is looking for corporate vulnerabilities. Exploit these, take whatever you can, and rebuild the firm.",
			"这 家 公 司 是 我 一 生 的 工 作 .我 们 都 曾 为 之 付 出 .\n\n别 让 我 失 望 ,操 作 员 .",
		},

		MAP_DIALOG_INFINITE_DAYS =
		{
			"", --not used. there's a multi-part script for this one.
			"Good work so far, Operator - we're really starting to have an impact.\n\nYou can expect heavier resistance from this point on, so don't get sloppy.", --getting higher
			"My inside sources tell me that the corporations are starting to get worried. They're implementing stricter security protocols at all sites, worldwide.\n\nBe prepared.", --getting higher
			"The corporations are on to us, and are redoubling their security efforts again.\n\nYour hard job just got harder. Don't drop the ball.", --getting higher
			"Incognita has detected unidentified Daemon signatures lurking throughout SecNet. There's no time for countermeasures, so you'll be facing them immediately upon transport from now on.\n\nI'm going to need you to think outside the box on this one.",  --super daemons are here to stay!  ***ALREADY RECORDED***
			"I'm proud of what we've accomplished so far, but we can't afford to back down now. There's plunder out there for the taking, and take it we shall.\n\nI have complete confidence in your abilities, and I am entrusting you to lead the remainder of this operation.\n\nCentral out.", --keep on truckin' on
		},


		MAP_DAY_1_MISSION_1 =
		{
			"Operator, are you there?\n\nGood - I was afraid you didn't make it out. Headquarters is gone. Most of our agents have been captured or killed, and our accounts are all frozen.\n\nI don't know how the corporations found us, but you can bet they won't give up now that they've had a taste of blood.",
			"The jet's stealth rig should keep us hidden if we keep moving, but Incognita can't survive long on backup power.\n\nShe's got 72 hours, tops. We need to mount a counterattack before then, or we'll be defenseless against their scans.",
			"If that happens, we may as well just crash this thing into the ocean. You've never seen the inside of a corporate deprogramming chamber.\n\nI won't see the inside of another.",
			"Incognita is scanning for targets of opportunity where we can replenish our supplies. Follow her leads and gather what resources you can - I'll run through our contacts and see what favours I can call in.\n\nWe're going to need all of the advantages we can find in the coming days.",
		},

		MAP_DAY_1_MISSION_2 =
		{
			"I've re-established contact with Monst3r - his network picked up the attack just before it hit us, and we're working to trace it back to the source.\n\nIn the meantime, he's offered to sell us some of his more rarefied stock.",
			"Greetings.\n\nI don't often perform transactions face to face, but Gladstone is an old friend. I'll contact you when anything becomes available.",
			"Thank you, Monst3r.\n\nIf we find their central server, we may be able to bring them down. Or at least distract them long enough that they lose our trail.\n\nContinue scavenging operations, and I'll keep you posted as more intel develops.",
		},

		MAP_DAY_1_MISSION_2_NEW_LOCATIONS =
		{
			"Oh, and one more thing. I see you're having some difficulty finding infiltration targets. I've got a couple of leads that I was working on when all this hit the fan.\n\nConsider this a token of my goodwill.",
		},


		MAP_DAY_1_MISSION_3 =
		{
			"Pattern analysis inconclusive. Please supply additional information and retry.",
			"Damn it!\n\nWe're running blind out here. I spent years building up our central network. We'd know exactly where to strike if we had that kind of access.",
			"Power reserves critical. Entering standby mode.",
			"Carry on, Operator. We'll figure something out.",
		},


		MAP_DAY_2_MISSION_1 =
		{
			"我 们 要 去 一 趟 某 个 地 方 。 Monst3r会 解 释 的 。 ",
			"You guys are good at covering your tracks. You've been hitting the corps for years, but they've never been able to follow you home.\n\nI guess they were too distracted fighting each other to bother.\n\nOr maybe you were considered a useful pawn - 'enemy of my enemy' and all that.",
			"What we do... we do well.",
			"Well, you must have finally done something to get their undivided attention.\n\nThey were able to pinpoint your HQ by linking their surveillance nets. That's unprecedented - not just for the usual bullshit political reasons, but because of the sheer computational power required.\n\nThey must have an ungodly powerful network hidden out there somewhere.",
			"在 那 儿 能 够 放 置 电 子 入 侵 系 统 。 ",
			"Right. If you put your AI on that network, it would have an incredible degree of access.",
			"Enough to wipe their security records and put Invisible back underground.",
			"Ha. More like enough to force them underground.\n\nAnd who knows what else - as I said it would be incredible.",
			"But that's jumping ahead. We have to find it first.",
			"They're still looking for you, but they're not hiding the fact any more.\n\nEach time you do an infiltration, the global SecNet lights up like a Christmas tree.\n\nDo that enough times, and we should be able to cross-reference the traffic and find the location of the root node.",
			"And then we can strike back.",
			"Well, then. It's time for us to poke the bear.",
		},

		MAP_DAY_2_MISSION_3 =
		{
			"Pattern resolution at 50%. Nearing confidence threshold.",
			"Now we're getting somewhere. Where did you find this thing, anyway?",
			"Incognita was built back in the 40's by the pan-European government to run climate models.\n\nWhen the war broke out she was retrofitted to predict troop movements. When we lost the war I salvaged what I could of her central intelligence unit.\n\nWe built Invisible together.",
			"Funny, you never struck me as the anthropomorphizing type.",
			"And you've never struck me as particularly charitable, and yet here you are, helping us out.",
			"I guess we all have our weaknesses.",
		},


		MAP_DAY_3_MISSION_2 =
		{
			"Operator. Your performance in the field has been pleasantly efficient thus far.\n\nPlease continue to perform at a high level, so that we may complete our mutual goals.",
			"I think she likes you.",
			"We need to get her off of emergency power. Her peripheral subsystems are starting to degrade.",
			"If you haven't already, you probably want to gear up. You're going to be facing tougher firewalls and heavily armored guards from here on out, and the pea shooters you started with aren't going to cut it.\n\nYou don't want to get caught without the right tools."
		},


		MAP_DAY_3_MISSION_3 =
		{
			"I'm reading increased chatter across all of SecNet.\n\nThey've issued a worldwide alert, and they're coordinating their responses.",
			"Just a couple more runs and we should have it.",
			"Provided we survive.",
		},

		LAST_MISSION = "Operator, choose your next target carefully - This is our last opportunity to prepare for our final stand.",

		MAP_DAY_4_MISSION_1 =
		{
			"Tracing... tracing... There! I've got it!", 
			"Target resolved.",
			"That's practically in my backyard. How the hell did they keep that hidden?",
			"策 划 一 条 直 接 路 线 。 多 谢 ， Monst3r。 ",
			"Thank me later. I'll meet you there - I've got to see this rig in person.",
			"Operator, ready the team. This is going to be a wild ride.",
		},



		--after general mission 
		MAP_DIALOG_1 = "We need to keep moving - if the corps get a fix on our location, we won't last long in a direct fight.\n\nKeep up the hit-and-run, and we might just get through this.",
		--after general mission where the difficulty steps up
		CENTRAL_MISSION_DIFFICULTY = "我 们 似 乎 把 马 蜂 的 老 巢 给 搅 了 。 军 队 已 经 察 觉 到 我 们 的 存 在 了 ， 并 派 出 了 双 倍 的 保 全 人 员 。 你 的 任 务 开 始 变 得 更 加 困 难 。 ",
				


		-- KEVIN , here is the Monst3r shop lines
		MONST3R = 
		{
			-- When Monster is giving you the Daemon Blocker 
			DAEMON_BLOCKER = "一 个 前 Sankaku的 执 行 官 把 这 个 东 西 和 一 些 intel私 运 了 出 来 ， 我 会 将 你 的 进 程 转 到 一 个 新 的 守 护 进 程 上 去 。 不 用 谢 我 ， 我 只 是 让 一 个 顾 客 活 着 罢 了 。 ",

			-- When Monster has nothing to sell
			OPEN_NO_SPECIALS=
			{
				"Keep this short - I can't afford pulling down any more heat at the moment.",
				"中 心 告 诉 我 你 给 我 打 过 电 话 。 现 在 我 没 什 么 能 给 你 的 ， 但 是 如 果 你 有 多 余 的 物 品 ， 我 可 以 帮 你 搬 运 一 些 。 ",
				"朋 友 ， 碗 柜 是 空 的 。 你 很 幸 运 ， 这 是 卖 方 市 场 。 ",
			},

			OPEN_SPECIAL =
			{
				"我 有 些 你 可 能 会 感 兴 趣 的 货 。 我 需 要 做 个 快 速 的 决 定 — 这 东 西 很 抢 手 。 ",
				"我 现 在 是 冒 着 巨 大 的 风 险 卖 给 你 。 别 让 我 后 悔 。 ",
				"我 是 为 了 一 个 顾 客 保 存 此 物 的 。 非 常 有 激 情 的 售 货 员 — 你 找 不 到 比 这 更 便 宜 的 了 。 ",
				--[["Operator, I've found a something for your agents. My source won't give it up cheaply, but you won't find anything this powerful through official channels.",
				"One of my contacts just offered me this little treasure. You're not going to find anything like this in a nanofab.",
				"I've found a one-time-only offer on some military grade hardware. If you want it we have to act now.",
				"Here's another opportunity. These good are hot, so we have to move them now or never.",--]]
			},

			SELL_ITEM =
			{ 
				"Thank you for your business.",
				"Much appreciated. Good gear is so hard to come by these days.",
				"I'll find a good home for this.",
				"I should be able to move this and make a tidy profit.",
				"I have a client who's looking for that. You just made my day.",
				"You keep me in stock, and I'll keep you in credits.",
				"We should do business more often.",
				"Arbitrage is a beautiful thing, isn't it?",
				"The more you buy and sell, the closer I get to retirement. Funny how the house always wins.",
				"I should charge you a cleaning fee. This still has some blood on it.",
			},

			BUY_ITEM =
			{
				"Now be careful with that, I don't want to lose a loyal customer.",
				"Something tells me I'm not going to see that item again in one piece.",
				"All sales are final. Well, as soon as we close this connection at least.",
				"There. Now you're ready to take on the world.",
				"It's dangerous to go alone. Here, take this.",
				"My usual guarantee terms apply. I guarantee that you're on your own if you break this.",
				"Anything for the cause.",
				"Good call. That's prime gear.",
				"Don't go using it all up in once place, now.",
			},

			NOSELL =
			{
				"You're lucky I didn't call 'no take-backs'.",
				"Pity. I already had another buyer in mind.",
				"Do you *ever* commit to your decisions?",
				"You want it, then you don't. Then you do. Sigh.",
				"Oooohhh. Decisiveness. I like that in a client.",
				"You won't be seeing that again.",
				"Whatever you think is best.",
			},

			
			NOBUY =
			{
				"Having second thoughts? You're lucky I have such a generous return policy.",
				"You're right. You'd probably just hurt yourself with it, anyway.",
				"Oh good, I was hoping to keep that one for myself, anyway.",
				"Are you sure you don't want it? It's a collector's edition.",
				"This isn't a lending library, you know.",
				"Suit yourself.",
				"Hey I'm just trying to help.",
			},

			PLOT_POINTS =
			{
				"Me and Gladstone go way back. She ever tell you how we met? I was her chief tech officer in the PanEuro cyber-interdiction force.\n\nWe put up a good fight, but it was a dead cause. In the end, the corporations just had the most toys.",
				"How did you get recruited for Invisible? Gladstone's been trying to get me onboard for years, but I lost my stomach for wetwork.\n\nBesides, all real power is economic. My personal income as a freelance is bigger than a small country's GDP.",
				"I'm surprised it took the Corps this long to finally go after you. They're usually not so lenient with dissent. Have you ever seen a city block after a K&O pacification sweep?\n\nMessy stuff. They're completely ruthless when their bottom line is threatened.",
				"Keep your eye on that AI, will you? The way Gladstone talks to it gives me the creeps.\n\nThere's a reason you're supposed to reset the damn things every couple of years.",
			},

		},


		EARLY_ACCESS_MESSAGE = "隐 形 公 司 是 一 个 回 合 制 潜 行 游 戏 。 每 一 步 都 需 要 你 仔 细 考 虑 ， 否 则 这 有 可 能 就 是 你 最 后 一 步 。 \n\n该 游 戏 还 在 开 发 中 ， 但 是 核 心 游 戏 组 件 已 经 为 你 准 备 好 了 。 我 们 现 在 正 在 努 力 完 成 游 戏 的 制 作 ， 我 们 很 期 待 能 够 得 到 来 自 你 的 反 馈 。 \n\n如 果 你 有 任 何 问 题 或 者 建 议 ， 请 访 问 我 们 的 论 坛 ！ ",
		EARLY_ACCESS_NEXT_UPDATE = "状 态 :%s",
		EARLY_ACCESS_FRESH = "<c:8cffff>新 建 设 !</>",
		EARLY_ACCESS_DAYS = "<c:8cffff>下 一 项 建 造 还 有 %d 日 </>",
		EARLY_ACCESS_IMMINENT = "<c:8cffff>下 一 项 建 造 即 将 进 行 </>",

        MODS_DEFAULT_LOCALE = "ENGLISH",
        MODS_FIND_MORE = "Find More in Workshop...",
        MODS_UPDATE = "REFRESH LANGUAGES",
        MODS_UPDATING = "UPDATING: %{1}",
        MODS_OFFLINE = "REFRESH LANGUAGES\n(OFFLINE)",
        MODS_REFRESH_COMPLETE = "Finished refreshing language packs from Steam Workshop.",

		INSTALL_AUGMENT = "安 装 强 化 ",
		PUTTING_AUGMENT_IN_INVENTORY = "No augment slots available. Placing augment in inventory.",

		DIFFICULTYDESC=
		{
			"The facility is guarded by civilian-level security forces and minimal infoSec assets.",--"守 卫 森 严 ",
			"There are some elite enforcement agents on-site. You will face advanced tactics and equipment.",--"守 卫 非 常 森 严 ",
			"Expect heavy resistance: elite agents are stationed in this facility.",--"守 卫 极 其 森 严 ",
			"Most guards at this facility will have elite training and equipment. Use extreme caution.",--"守 卫 绝 对 森 严 ",
			"This facility houses a full compliment of elite security staff. Infiltration is not advised.",--"COMPLETELY GUARDED",
			"Expect lethal resistance from the moment you enter the facilty.", --"OMNI ALLY",
		},
        DIFFICULTY_OMNI = "Expect lethal resistance from the moment you enter the facilty.", -- Custom final mission text.
		DIFFICULTY = 
		{
			"守 卫 森 严 ",
			"守 卫 非 常 森 严 ",
			"守 卫 极 其 森 严 ",
			"守 卫 绝 对 森 严 ",
			"COMPLETELY GUARDED",
			"OMNI ALLY",
			"OMNI GUARDED",
			"OMNI PROTECTED",
			"OMNI CONTROLLED",
			"OMNI SHIELDED",
			"OMNI OVERWHELMED",
		},

		CAMERA_DRONE_DISPATCHED = "CAMERA DRONE DISPATCHED GUARD",

		DIFF_OPTION_LEVEL_RETRIES = "LEVEL RETRIES",
		DIFF_OPTION_IRONMAN = "IRON MAN",
		DIFF_OPTION_AUTOALARM = "自 动 递 增 警 报 ",
		DIFF_OPTION_TIMEATTACK = "TIME ATTACK MODE",
		DIFF_OPTION_DANGERZONE = "SHOW DANGER ZONES",
		DIFF_OPTION_MELEEFRONT = "ALLOW MELEE WHILE SEEN",
		DIFF_OPTION_COUNTERMEASURES = "INCREASED FINAL RESISTANCE",
		DIFF_OPTION_REWINDS = "倒 回 ",
		DIFF_OPTION_ROOMS = "ROOMS IN LEVEL",
		DIFF_OPTION_HOURS = "战 役 时 数 ",
		DIFF_OPTION_MONEY = "起 始 金 钱 ",
		DIFF_OPTION_ALARM = "警 报 倍 速 ",
		DIFF_OPTION_CREDITS = "CREDIT MULTIPLIER",
		DIFF_OPTION_CONSOLES = "每 级 的 控 制 台 ",
		DIFF_OPTION_SAFES = "每 级 的 保 险 箱 ",
		DIFF_OPTION_DAEMONS = "DAEMON QUANTITY",
		DIFF_OPTION_STARTPWR = "MISSION START PWR",
		DIFF_OPTION_ALARMTYPE = "ALARM STAGES",
		DIFF_OPTION_GUARDSPAWNS = "GUARDS PER LEVEL",
        DIFF_OPTION_BEGINNER_PATROLS = "SAFE GUARD PATROLS",
		DIFF_OPTION_ALARMKO = "ALARM WHEN GUARDS KO",
		DIFF_OPTION_KOTIME = "ADDITIONAL KO TIME",

		DIFF_OPTION_LEVEL_RETRIES_TIP = "<c:FF8411>LEVEL RETRIES</c>\nTurning this mode on will allow you to retry missions at the beginning of the mission or previous day.\n\nThe levels will be randomly generated again, so you'll get a fresh challenge without losing your agent progress.",
		DIFF_OPTION_TIMEATTACK_TIP = "<c:FF8411>TIME ATTACK</c>\nIn this mode, you get a limited amount of time per turn, and then it will auto advance to the corporation's turn.\n\nHow quickly can you complete the game without dying?",
		DIFF_OPTION_AUTOALARM_TIP = "<c:FF8411>AUTO-INCREMENT ALARM</c>\nWhen selected, the alarm will automatically go up 1 point each round after the corporations turn.\n\nTurning this off will still allow the alarm to increase, but it will only move when it is triggered by some event such as a guard being killed or an agent being discovered by a camera.",
		DIFF_OPTION_DANGERZONE_TIP = "<c:FF8411>DANGER ZONES</c>\nWith this option selected, your agency's powerful AI computer Incognita is able to calculate and predict places that will put your agents in danger.\n\nAreas that are being watched by the enemy will appear in red on the floor. These areas will be seen even before the source of the vision has been revealed. ",
		DIFF_OPTION_MELEEFRONT_TIP = "<c:FF8411>MELEE WHILE SEEN</c>\nBy default, your agents reaction times are faster than the guards, and you can melee them as long as you are in melee range. With this option off, you can only melee a guard from outside their cone of vision.",
		DIFF_OPTION_COUNTERMEASURES_TIP = "<c:FF8411>INCREASED FINAL RESISTANCE</c>\nIn the final mission, the corporations have a number of tricks up their sleeves to put your agents in danger. With this option off, the corporations lose one of their more dangerous security mechanisms.",
		DIFF_OPTION_REWINDS_TIP = "<c:FF8411>REWINDS</c>\nA rewind will allow you to turn back time to the beginning of your previous turn. Setting zero rewinds will set your game in IRON MAN mode.",
		DIFF_OPTION_ROOMS_TIP = "<c:FF8411>ROOMS IN LEVEL</c>\nThe general size of the level can be adjusted by increasing or decreasing the number of rooms the procedural generation will try to form. During the generation code, some of these rooms may be merged together to create larger spaces, so the results will not be exactly as you predict.",
		DIFF_OPTION_HOURS_TIP = "<c:FF8411>CAMPAIGN HOURS</c>\nThe campaign hours determines how long the campaign will last before the agency is challenged with the final mission. Setting the hours to endless will cause the final mission to never appear, thus potentially allowing the team to infiltrate forever. ",
		DIFF_OPTION_MONEY_TIP = "<c:FF8411>STARTING MONEY</c>\nSet how many credits the agency will have right at the start of the game.",
		DIFF_OPTION_ALARM_TIP = "<c:FF8411>ALARM MULTIPLIER</c>\nCertain events during the game will cause the alarm to move up one or more bars. This setting will multiply the number of bars any event triggers. Alarm multiplier x5 will cause the alarm to go up 5 when discovered by a camera, or 10 when a guard is killed.",
		DIFF_OPTION_CREDITS_TIP = "<c:FF8411>CREDIT MULTIPLIER</c>\nGuards, corporate safes and mission completion are all sources of income for the agency. This option will multiply all money collected in the game by its value. If the Credit Multiplier is 0.5 and a guard would normally be looted for 400 credits, in this world he will only have 200 on him.",
		DIFF_OPTION_CONSOLES_TIP = "<c:FF8411>CONSOLES PER LEVEL</c>\nThis setting will control the number of consoles spread throughout the level. This will also increase the amount of PWR available in the level.",
		DIFF_OPTION_SAFES_TIP = "<c:FF8411>SAFES PER LEVEL</c>\nThis setting will control the number of safes spread throughout the level. This will also increase the amount of CREDITS available in the level.",
		DIFF_OPTION_DAEMONS_TIP = "<c:FF8411>DAEMON QUANTITY</c>\nDetermines the number of daemons installed onto devices throughout the level.",
		DIFF_OPTION_STARTPWR_TIP = "<c:FF8411>MISSION START PWR</c>\nThis setting is the amount of PWR the agency will start with at the beginning of each mission.",
		DIFF_OPTION_ALARMTYPE_TIP = "<c:FF8411>ALARM STAGES</c>\nEvery 5 increments of the alarm, corporation security will increase. Each level introduces new dangers to the level. Setting this option to 'EASY' means the first level of security will have no dangerous effect, and will be delayed until the second security level is reached.",
		DIFF_OPTION_GUARDSPAWNS_TIP = "<c:FF8411>GUARDS PER LEVEL</c>\nThis setting will adjust the number and type of guards that will be spawned in the level from the start of the mission.\n\nLESS will have fewer guards than the normal setting and the elite guard types will show up later.\n\nMORE will have a larger number of guards than normal and they will upgrade to elite unit types earlier. ",
        DIFF_OPTION_BEGINNER_PATROLS_TIP = "<c:FF8411>BEGINNER PATROLS</c>\nPatrol paths generated for guards are more friendly: they do not enter into your starting room, and prefer not passing across rooms.",
		DIFF_OPTION_ALARMKO_TIP = "<c:FF8411>ALARM WHEN GUARDS KO</c>\nSetting this feature on will give the guards more advanced heart monitors that will activate even when they have been knocked out. KOing a guard will cause the alarm to go up 1 point.",
		DIFF_OPTION_KOTIME_TIP = "<c:FF8411>ADDITIONAL KO TIME</c>\nThis setting adjusts the number of turns a Neural Disrupter will KO a guard for. Setting this value to 99 will effectively remove the guards from play when they are knocked out.",

		DIFF_OPTION_IRONMAN_TIP = "<c:FF8411>IRON MAN MODE</c>\nInvisible, Inc. has an undo feature called REWIND that lets you fix one mistake per mission. Iron Man mode sets the REWINDS to 0 to maximize the tension and achievement of victory.",
		DIFF_OPTION_SHOW_SETTINGS_TIP = "<c:FF8411>SHOW SETTINGS</c>\nToggling this button will show all the settings used to generate the campaigns. Changing any of the options will put you into CUSTOM mode",

		NORMAL_DIFFICULTY = "Beginner", 
		EXPERIENCED_DIFFICULTY = "Experienced",
		HARD_DIFFICULTY = "Expert", 
		VERY_HARD_DIFFICULTY = "Expert Plus", 
		ENDLESS_DIFFICULTY = "Endless", 
		ENDLESS_PLUS_DIFFICULTY = "Endless Plus", 
		TIME_ATTACK_DIFFICULTY = "Time Attack", 
		CUSTOM_DIFFICULTY = "自 定 义 ", 
		TUTORIAL_DIFFICULTY = "教 程 ", 
		DIFFICULTY_STR = "困 难 ",
		NORMAL_SHORT_DESC = "For players just starting out.",
		EXPERIENCED_SHORT_DESC = "Things are starting to heat up.",
		HARD_SHORT_DESC = "Designed for seasoned players of Invisible, Inc.",
		ENDLESS_SHORT_DESC = "Play an unlimited campaign.",
		ENDLESS_PLUS_SHORT_DESC = "Play an unlimited campaign on the hardest difficulty.",
		TIME_ATTACK_SHORT_DESC = "Test your skills against the clock.",
		VERY_HARD_SHORT_DESC = "This mode is a bit ridiculous. Are you ready?",
		CUSTOM_SHORT_DESC = "Your rules, your way.",

		NORMAL_DESC = "If you are new to Invisible, Inc. we suggest selecting this mode. This mode is designed to teach you the unique mechanics of the game, and will still provide a formidable challenge.",
		EXPERIENCED_DESC = "Now that you have a better hang of the game, the corporations are tougher and we're pulling away the safety net. No more level retries: your every action counts.",		
		HARD_DESC = "This is the base difficulty and tuning for the game. It assumes you understand the mechanics of the game well, and pulls no punches.",		
		VERY_HARD_DESC = "We hide the danger zones if you can't see the sources. In addition, the alarm increases when knocking out guards, and you start with less PWR.",
		ENDLESS_DESC = "There is no time limit and no end mission here, and the difficulty continues to rise as the days go by.\n\nHow long can you survive?",		
		ENDLESS_PLUS_DESC = "No time limits, on the most difficult option settings. How long can you keep Invisible afloat?",		
		TIME_ATTACK_DESC = "We're evening the playing field, and you only have 2 minutes to complete every turn. Are you able to act fast enough, or will the corporations get you first?",		
		CUSTOM_DESC = "Change the campaign generation options as you prefer.\nClicking on another difficulty will reset the values to their default settings.",

		REWIND ="返 回 ",
		REWIND_CONFIRM ="返 回 ",
		REWIND_TIP = "Rewind the game to the start of the previous turn.\n\nREWINDS REMAINING: ",
		REWINDS_REMAINING ="REWINDS REMAINING: {1}",
        REWIND_SUGGEST = "REWIND will revert the simulation back to the start of your previous turn.\n\nWould you like to do so now?",        
        REWIND_GAME_OVER = "END CAMPAIGN",

        REGEN_LEVEL = "REGENERATE LEVEL",
        REGEN_LEVEL_BODY = "Regenerating the level will restart the current mission with a new level layout. Are you sure?",

        SCREEN_NAME_GENERATION_OPTIONS = "CAMPAIGN GENERATION",
        SCREEN_NAME_TEAM_SELECT = "选 择 你 的 队 伍 ",

        SHOT_PRESENTATION_ELIMINATING_TARGET = "ELIMINATING TARGET",
        SHOT_PRESENTATION_IMMINENT_DANGER = "IMMINENT DANGER",

		QUIT_CONFIRM = "你 确 定 你 要 退 出 游 戏 吗 ?",
		QUIT = "退 出 游 戏 ",
		NEW_GAME = "新 游 戏 ",

		PRERELEASE_COMPAT_BODY = "We have detected an Early Access save file. This file is not compatible with this version of the game, so it has been reset. We can, however, restore your XP for agent unlocks.\n\nWould you like to start fresh with the latest build, or keep your experience points?",
		PRERELEASE_COMPAT_TITLE = "SAVE GAME COMPATIBILITY",
		PRERELEASE_COMPAT_YES = "Keep XP",
		PRERELEASE_COMPAT_NO = "Start Fresh",

		CAUGHT_MODAL_1 = "被 一 名 守 卫 抓 住 ",
		CAUGHT_MODAL_2 = "守 卫 监 视 ",
		CAUGHT_MODAL_3 = "一 个 守 卫 准 备 射 击 你 的 特 工 .你 的 特 工 可 以 迅 速 藏 进 角 落 里 隐 藏 ,或 者 你 可 以 让 另 一 个 特 工 帮 忙 .",

		LOOT_MODAL_TITLE = "A U G M E N T A T I O N  G R A F T",
        LOOT_MODAL1 = "The {1} augment has been permanently installed on {2}.",
        LOOT_MODAL2 = "LOOT",

        LOCALE_CHANGED_HEADER = "Language Changed",
        LOCALE_CHANGED_BODY = "Changes to the current language will take effect when the game restarts.",

		ALARM_INSTALL ="A U T O M A T E D  S E C U R I T Y  S Y S T E M",

		ALARM_INSTALL_FIRST_1 ="SECURITY LEVEL",
		ALARM_INSTALL_FIRST_2 ="The corporation detected Incognita's signal when your agents teleported into the facility.\n\nEvery turn, the SECURITY LEVEL will increase as they track her. New security measures are added every 5 increments.",

		ALARM_LEVEL_NUM = "警 报 级 别 %d",
        ALARM_ADD = "警 报 +{1}",
        ALARM_INCREASE = "SECURITY LEVEL INCREASED",
        ALARM_SOUND = "ALERT\nSOUND DETECTION",
        ALARM_CAMERA_SCAN = "ALERT\nCAMERA SCAN",
        ALARM_LASER_SCAN = "ALERT\nINFRARED SCAN",
        ALARM_SPOTTED = "ALERT\nAGENT DETECTED",
        ALARM_GUARD_BODY = "ALERT\nGUARD BODY DETECTED",

		ALARM_FIREWALLS = "该 公 司 已 安 装 了 防 火 墙 的 升 级 .所 有 的 防 火 墙 都 增 加 +%d强 度 ",
		ALARM_CAMERAS = "该 公 司 将 激 活 更 多 的 摄 像 机 .在 完 全 激 活 前 你 有 一 个 回 合 .",
		ALARM_PATROLS = "该 公 司 带 了 %d个 保 安 进 入 大 楼 .",
		ALARM_BOOTING = "They've cracked Incognita's first layer of encryption. Be careful, the next alarm levels will be quite dangerous.",
		ALARM_ENFORCERS = "The corporation has called in %d elite enforcer(s). Their security has also pinpointed %d agent location(s).",

		ALARM_TOOLTIP = "<c:F4FF78>SECURITY LEVEL</>\nThe facility detected Incognita's distrubance as she beamed you in. They are slowly tracking her signal down, and raising their defences as it locks onto your team's location. New security measures are added every 5 increments.",
		ALARM_NEXT_BOOTING = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nThe security system will finish booting, no new threats, yet.",
		ALARM_NEXT_CAMERAS = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nMore surveillance cameras will activate.",
		ALARM_NEXT_FIREWALLS = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nMAINFRAME firewalls will increase.",
		ALARM_NEXT_PATROL = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nGuard patrols will increase.",
		ALARM_NEXT_ENFORCERS = "\n\n<c:F4FF78>NEXT SECURITY MEASURE:</>\nElite Enforcer units will arrive.",
		ALARM_NEXT_AFTER_SIX = "\n\n<c:F4FF78>FULL ALERT:</>\nNew enforcer units will arrive to replace lost units.",

		SCANNER_ALERT_HEAD = "先 进 公 司 装 备 ",
		SCANNER_ALERT_TITLE = "扫 描 放 大 器 ",
		SCANNER_ALERT_TXT = "一 个 先 进 的 扫 描 放 大 器 已 精 确 定 位 您 的 位 置 .一 个 卫 兵 已 经 派 人 去 调 查 .",

		PWR_DRAIN_ALERT_HEAD = "先 进 公 司 装 备 ",
		PWR_DRAIN_ALERT_TITLE = "能 源 反 接 节 点 ",
		PWR_DRAIN_ALERT_TXT = "高 磁 电 设 备 消 耗 你 的 力 量 值 .它 会 耗 尽 每 回 合 ％ d个 力 量 值 ",

        ALERT_HEART = "警 报 \n心 脏 监 护 器 ",
        ALERT_DAMAGED_HEART = "警 报 \n损 坏 的 心 脏 监 护 器 ",
        ALERT_IMPROVED_HEART = "警 报 \n改 良 的 心 脏 监 护 器 ",

		SAVE_NOT_COMPATIBLE = "保 存 游 戏 不 一 致 ",
		SAVE_GAME_VERSION = "保 存 游 戏 版 本 ： ",
		CURRENT_VERSION = "当 前 版 本 ： ",
		CONTINUE_CAMPAIGN = "继 续 竞 选 ",

		UPDATE_COMPLETE = "没 有 剩 余 数 据 \n---解 码 完 成 ---",

		START_MISSION = "> 开 始 使 命 ",

		MISSION_COMPLETE = "访 问 报 告 ",
		CAMPAIGN_COMPLETE = "%s MODE COMPLETE",
		UPGRADE = "> 特 工 升 级 ",
		MAP = "> MISSION SELECT",
		ACHIEVEMENTS = "> ACHIEVEMENTS",

		ABORT_MISSION = "任 务 失 败 ",
		RETIRE_AGENCY = "退 役 特 工 ",
        RETIRE_AGENCY_CONFIRM = "Are you SURE you want to retire your agency? This will cash in your earned experience.",
		SAVE_AND_EXIT = "存 储 并 退 出 ",
        SAVE_AND_EXIT_CONFIRM = "Do you wish to save and exit the current game?",
		CONFIRM_TARGET = "确 认 目 标 位 置 ",
		CONFIRM_TARGET_OK = "潜 入 <c:F4FF78>%s</c> 设 施 :\n%s\n\n<c:F4FF78>%s\n%d hours</c>",		
		EXIT = "X注 销 ",
		CONTINUE = "> 继 续 ",
		FORUMS = "访 问 论 坛 ",
		BACK = "< BACK",
		SELL_TO_MONST3R = "卖 给 MONST3R",
		BUY_FROM_MONST3R = "从 MONST3R处 购 买 ",

		RESCUED = "RESCUED",
		ACTIVE = "活 跃 ",
		REEQUIPPED = "重 装 ",
		MIA = "失 踪 人 员 ",
		NOT_PAID = "未 _付 ",

        ON_FILE = "ON FILE",
        ON_ARCHIVE = "ARCHIVE",
		LOCKED = "锁 住 ",
		INCOGNITA_NAME = "匿 名 者 ",
        INCOGNITA_TT = "Quantum AI Construct",

        BIO_FORMAT = "REAL NAME: {1} / AGE: {2} / STATUS: ACTIVE",

        AGENT_PANEL_CLICK_FOR_DETAILS = "CLICK FOR DETAILS",

		MAP_EXPLORATION = "地 图 搜 索 ",
		EXPLORATION_CREDITS = "探 索 奖 励 ",
		MISSION_REWARD = "客 户 发 货 单 ",
		CLEAN_SWEEP = "一 网 打 尽 奖 励 ",
		CLEAN_UP_COST = "清 理 行 迹 费 用 ",
		ALARM_LEVEL = "报 警 追 踪 器 等 级 ",
		KILLS = "无 效 守 卫 ",
		NO_BONUS = "无 红 利 ",
		TOTAL_CREDITS ="最 新 资 金 总 额 ",
		CURRENT_CREDITS ="现 有 资 金 ",
		CORPORATE_INTEL ="公 司 智 能 ",
		REPUTATION_EARNED = "赢 得 荣 誉 ", 
		AGENTS_LOST ="已 失 去 特 工 ",
        AGENTS_WILLBE_LOST = "AGENTS IN FIELD WILL BE LOST",
        AGENTS_IN_FIELD = "AGENTS IN FIELD",
        AGENTS_ESCAPED = "ESCAPED AGENTS",
        TEAM_STATUS = "TEAM STATUS",
        ABORT_DISABLED = "\n\n<c:ff0000>ABORT MISSION DISABLED</c>\n<C:ffffff>At least one agent must escape to continue the agency.</c>",
		CORPORATE_MAP = "公 司 地 图 ",
		AGENTS_HIRED = "以 雇 佣 特 工 ",
		ITEM_ACQUIRED = "已 获 得 物 品 ",
        EXP_GAINED = "<c:f0ff78>{1}</c> / {2} XP",
        EXP_CAP = "{1} / AT CAP!",
        NET_WORTH = "NET WORTH: %d",

		SECURITY_HACKED = "已 破 解 安 全 系 统 ", 
		GUARDS_KOD = "已 KO守 卫 ",
		SAFES_LOOTED = "已 掠 夺 保 险 柜 ", 
		CREDITS_EARNED = "已 获 得 金 钱 ", 
		PROGRAMS_EARNED = "已 挣 得 程 序 ",
		ITEMS_EARNED = "已 获 得 物 品 ", 
		PROGRAMS_ACQUIRED = "已 获 得 程 序 ",
		ITEMS_PURCHASED = "已 购 买 物 品 ",
		MISSIONS_COMPLETED = "已 完 成 任 务 ", 
		TOTAL_XP = "总 经 验 获 得 ", 

		UPGRADE_SCREEN_AVAILABLE_CREDITS = "%d CR",
		UPGRADE_SCREEN_SELECT_UPGRADE = "SELECT A SKILL TO UPGRADE",
		UPGRADE_SCREEN_UPGRADE_TITLE = "UPGRADE {1}",
        UPGRADE_SCREEN_CONFIRM = "Apply your Agent upgrades?",
        UPGRADE_SCREEN_CONFIRM_BUY = "Are you SURE you want to buy a {1} for {2} CR?",
        UPGRADE_SCREEN_CONFIRM_SELL = "Are you SURE you want to sell a {1} for {2} CR?",
        UPGRADE_SCREEN_AUGMENT_CONFIRM = "Are you SURE you want to install {1}?",
        UPGRADE_SCREEN_MAX = "MAX",

		NEW_GAME_CONFIRM = "I'M READY",

        HOTKEYS = {
            GAMEPLAY = "游 戏 可 玩 性 ",
            NEXT_TURN = "NEXT TURN",
            MAINFRAME = "TOGGLE MAINFRAME",
            CYCLE_SELECT = "CYCLE SELECTION",
            CHAR_SHEET = "CHARACTER SHEET",
            USE_OVERWATCH = "TOGGLE OVERWATCH",
            USE_MELEE = "TOGGLE AMBUSH",
            USE_PEEK = "PEEK",
            USE_SPRINT = "TOGGLE SPRINT",
            CAMERA_CONTROLS = "CAMERA CONTROLS",
            CAMERA_ROTATE_LEFT = "ROTATE LEFT",
            CAMERA_ROTATE_RIGHT = "ROTATE RIGHT",
            CAMERA_UP = "PAN UP",
            CAMERA_DOWN = "PAN DOWN",
            CAMERA_LEFT = "PAN LEFT",
            CAMERA_RIGHT = "PAN RIGHT",
            PAUSE = "CANCEL and OPTIONS",
            TOGGLE_WALLS = "TOGGLE WALLS UP/DOWN",
            TOGGLE_VIEW = "TOGGLE VIEW",
        },

        GENERATING_WORLD = {
	        "Procedural generation algorithm initialized.",
			"Computing facility layout and room connectivity...",
			"Facility complete. Generation successful.",
    	},

		TOOLTIPS = {
			CONTROLLABLE = "可 控 制 的 ",
			CONTROLLABLE_DESC = "控 制 主 机 中 的 这 个 单 元 来 获 得 暂 时 控 制 权 。 ",

			CURRENTLY_EQUIPPED = "EQUIPPED: %s",

			FIREWALLS = "FIREWALLS: %d",
			FIREWALLS_DESC = "Use INCOGNITA PROGRAMS to break.",

			MAINFRAME_INACTIVE = "INACTIVE", 
			MAINFRAME_ACTIVE = "活 跃 ",
			MAINFRAME_OFF = "OFF",

			GRENADE_GUARD = "SUPPORT GUARD",
			GRENADE_GUARD_DESC = "This unit clears rooms with flash grenades.", 

			NO_HEARING = "没 有 声 音 ",
			NO_HEARING_DESC = "没 有 探 测 到 声 音 ",

			KO_IMMUNE = "KO免 疫 ",
			KO_IMMUNE_DESC = "KO伤 害 没 有 效 果 ",

			HEART_MONITOR = "心 脏 监 护 器 ",
			HEART_MONITOR_DESC = "如 果 这 个 小 组 死 亡 的 话 ， 警 戒 的 等 级 会 增 加 。 ",

			BARRIER = "屏 障 ",
			BARRIER_DESC = "这 个 小 组 拥 有 护 甲 ， 那 就 像 是 主 机 中 的 防 火 墙 。 ",

			HEAVY_ARMOR = "重 甲 %d",
			HEAVY_ARMOR_DESC = "需 要 护 甲 刺 穿 武 器 。 ",

			KO_RESISTANT = "KO耐 力 %d",
			KO_RESISTANT_DESC = "降 低 KO时 间 ",

			PERIPHERAL_BOOST = "外 围 推 动 ",
			PERIPHERAL_BOOST_DESC = "180度 视 线 ",

			PROTECTIVE_SHIELDS = "防 护 屏 %d",
			PROTECTIVE_SHIELDS_DESC = "抵 挡 该 目 标 的 子 弹 防 护 屏 每 遭 受 一 次 攻 击 降 低 1点 。 ",

            MAGNETIC_REINFOREMENTS = "MAGNETIC REINFORCEMENTS",
            MAGNETIC_REINFOREMENTS_DESC = "If this device has more than 2 FIREWALLS, EMP's break 2 FIREWALLS instead of disabling it.",

			EMP_VULNERABLE = "电 磁 脉 冲 脆 弱 ",
			EMP_VULNERABLE_DESC = "电 磁 脉 冲 可 永 久 摧 毁 该 单 位 先 进 的 电 子 设 备 。 ",			

			COUNTER_HACK = "黑 客 ",
			COUNTER_HACK_DESC = "每 一 回 合 ， 在 %d格 内 取 得 1个 主 机 设 备 ",

			KO_DEAMON = "计 算 机 意 识 ",
			KO_DEAMON_DESC = "如 果 发 生 了 KO， 该 单 位 将 获 得 一 个 主 机 设 备 来 作 为 守 护 进 程 。 ",

			DRONE_SCAN = "LOCAL SCANNER",
			DRONE_SCAN_DESC = "Drones investigate with a short range scanner that will locate targets even behind cover.",

			NULL_ZONE = "NULL ZONE",
			NULL_ZONE_DESC = "This drone emits a field which blocks hacking of firewalls in a range of {1} tiles.",

			MAINFRAME_REBOOT ="重 启 ： %d",
            MAINFRAME_REBOOTING = "REBOOTING...",
			MAINFRAME_GRID = "%s电 网 ",
			MAINFRAME_LINKED_TO_POWER_GRID ="该 设 备 已 被 连 接 至 电 网 [%s]。 ",
            MAINFRAME_PARASITE = "PARASITE HOSTED",
            MAINFRAME_PARASITE_V2 = "PARASITE 2.0 HOSTED",
            MAINFRAME_MASKED = "DAEMON MASKED",
            MAINFRAME_DAEMON = "DAEMON PROGRAM",
            MAINFRAME_HIDDEN_DAEMON = "HIDDEN DAEMON",
            MAINFRAME_HACK_UNIT = "HACK {1}",

			SHOP = "商 店 ",
			SHOP_DESC = "花 资 金 购 买 物 品 。 ",
			STEAL = "偷 窃 ",
			STEAL_DESC = "可 以 从 已 登 录 的 账 户 中 盗 取 资 金 ， 但 这 有 可 能 会 提 高 警 戒 等 级 。 ",
			HACK = "入 侵 ",
			HACK_DESC = "侵 入 主 机 模 式 来 获 得 资 金 。 每 一 回 合 都 更 新 。 ",

			EQUIPPED = "装 备 ",
			NOT_INSTALLED ="未 安 装 ",

			ADDS_REPUTAION = "增 加 %d声 望 ",
			STACKABLE = "Multiples of this augment will stack",
			NOT_STACKABLE = "Can't install multiples of this augment",			                
			RETURN_FOR_CREDIT = "WORTH %d CREDITS",

            UPGRADE_INVENTORY = "UPGRADE INVENTORY",
            EMPTY_SLOT = "EMPTY SLOT",
            ENCUMBERED = "<c:A30000>ENCUMBERED\n-{1} AP</>",
            WILL_ENCUMBER = "<c:A30000>ENCUMBERED\nUsing this slot will slow the agent by {1} AP</>",

			LOOT_TOOLTIP = "<ttbody><ttheader2>LOOT {1} CR</>\nLoot credits</>",
            ANARCHY_STEAL = "<ttbody><ttheader2>STEAL {1} CR</>\nSteal credits</>",
            ANARCHY_BONUS = "\n(+{1} bonus from ANARCHY)",
            PWR_STEAL = "<ttbody><ttheader2>STEAL {1} PWR</></>",

			TEAM_SELECT_PWR_DESC = "<c:F4FF78>PWR USE</>\nSome programs require PWR from the Agency to operate.",
			TEAM_SELECT_PWR = "\n\nThis program uses {1} PWR for each use.",			
			TEAM_SELECT_NOPWR = "\n\nThis program does not require PWR",

			TEAM_SELECT_FIREWALL_DESC = "<c:F4FF78>FIREWALL BREAKING</>\nCorporate assets are often protected by FIREWALLS. Many of the Agency's programs are designed to break them down.",
			TEAM_SELECT_FIREWALL = "\n\nThis program breaks {1} FIREWALLS each use.",			
			TEAM_SELECT_NOFIREWALL = "\n\nThis program does not break FIREWALLS.",

			TEAM_SELECT_STEALTH ="",
			TEAM_SELECT_HACKING ="",
			TEAM_SELECT_STRENGTH ="",
			TEAM_SELECT_ANARCHY ="",

			EMPTY_PROGRAM_SLOT ="<c:F4FF78>EMPTY PROGRAM SLOT</>\nAcquire new programs for empty program slots.",


		},

		TOOLTIP_REQUIRES_SKILL_LVL = "需 要 %s 技 能 等 级 %d",
		TOOLTIP_CANT_PURCHASE = "你 现 在 不 可 以 购 买 .",
		TOOLTIP_ALREADY_OWN = "你 已 经 拥 有 这 个 大 型 机 程 序 ！ ",
		TOOLTIP_PROGRAMS_FULL = "你 已 经 拥 有 最 大 的 主 机 程 序 ！ ",
		TOOLTIP_INVENTORY_FULL = "单 位 库 存 已 满 ！ ",
		TOOLTIP_NOT_ENOUGH_CREDIT = "资 金 不 足 !",

		TOOLTIP_AGENT_DOWN = "特 工 倒 下 ",
		TOOLTIP_AGENT_DOWN_DESC = "This agent is down. Drag them to the exit or use a medgel to revive.",
		TOOLTIP_NAME_PARALYZED = "%s PARALYZED",
		TOOLTIP_NAME_KO_TIME = "%s KO (%d)",
		TOOLTIP_TAGGED = "标 注 ",
		TOOLTIP_TAGGED_DESC = "",

		TOOLTIP_HACK_WITH_INCOGNITA = "黑 客 与 匿 名 者 ",
		TOOLTIP_HACKED = "CAPTURED",
		TOOLTIP_HACK_MAINFRAME_DEVICE = "Captures this device in the mainframe",			
		TOOLTIP_HACK_MAINFRAME_DEVICE_CAPTURED = "This device is under agency control",			
		TOOLTIP_HACK_CAMERA_DB = "显 示 所 有 相 机 坐 标 ",
		TOOLTIP_HACK_CONSOLE_DB = "显 示 所 有 控 制 台 坐 标 ",
		TOOLTIP_HACK_GUARD_DB = "所 有 心 脏 监 视 仪 坐 标 ",
		TOOLTIP_HACK_MAP_DB = "显 示 设 施 概 要 ",
		TOOLTIP_HACK_DAEMON_DB = "在 主 机 中 发 现 守 护 进 程 ",		

		TOOLTIP_INACTIVE = "INACTIVE",
		TOOLTIP_INACTIVE_DESC = "This camera is currently inactive. It will activate when the Security Level increases surveillance.",

		TOOLTIP_DESTROYED = "DESTROYED",
		TOOLTIP_DESTROYED_DESC = "This device has been destroyed.",

		TOOLTIP_SCANNER = "SCANS YOUR LOCATION",
		TOOLTIP_SCANNER_DESC = "Sends a guard to investigate your location each alarm level",

		SHOP_INVENTORY = "目 录 ",
		SHOP_LOOT ="抢 夺 %s",
		SHOP_SELL = "目 录 / 售 卖 ",
		SHOP_SERVER = "使 用 盗 版 软 件 ： GR@ND B@Z@@R",
		SHOP_MINISERVER = "ACCESS TO WAREZ: M1N1 B@Z@@R",
		SHOP_MONST3R = "与 MONST3R的 对 话 ",		
		SHOP_PRINTER = "NANO制 造 者 ",
		SHOP_BUYBACK = "BUYBACK",
		SHOP_NANOFAB = "NANOFAB", 
		SHOP_CANNOT_SELL = "不 能 出 售 ",
		SHOP_WAREZ = "盗 版 软 件 物 品 栏 ",
		SHOP_SELL_AREYOUSURE = "Are you sure you want to sell %s for %d credits?",
		SHOP_SELL_AREYOUSURE_TITLE = "Confirm Sale",
		SHOP_SELL_CONFIRM = "Sell Item",
		SHOP_SELL_CONFIRM_ABILITY = "Sell Program",

		CATSHOP_BUY = {
			"You will not regret this purchase!",
			"Thank you for your business!",
			"An excellent choice!",
			"Your taste in soft warez is exquisite!",
			"Don't forget to read the readme!",
		},
		CATSHOP_SELL = {
			"A classic piece of soft warez. Where did you find this?",
			"I will give this a good home.",
			"Normally I only buy mint condition, but you have an honest face.",
			"I am doing you a big favour taking this. You should really be paying me.",
			"Thank you, human. A fair transaction!",
		},
		CATSHOP_BUYBACK = {
			"What is wrong? That was a good bargain, no?",
			"You don't want to do that? Why are you teasing me?",
			"We are here to perform transaction, not to play with sparkly buttons.",
			"Are these soft warez not to your liking, human?",
		},
		CATSHOP_OPEN = {
			"Greetings, Human! I have soft warez for your consumption!",
			"Make this transaction quick! My ball of twine is waiting!",
			"Each code line is custom-personalized. Very high quality work!",
			"Hello customer! Artisan data packages, just for you!",
			"Welcome to Shopcat's Soft Warez Emporium!",
			"Round zeros! Straight ones! A fair price, and thumping beats!"
		},


		SMALLCATSHOP_BUY = {
			"THANK YOU FOR YOUR BUSINESS.",
			"PURCHASE COMPLETE. PLEASE VISIT A GR@ND B@Z@@R FOR EVEN MORE VALUE!",
			"HIGH LEVEL PROGRAMS AVAILABLE AT OUR FULL-SIZE LOCATIONS.",
			"THE CAT IS WHERE IT IS AT.",
		},
		SMALLCATSHOP_SELL = {
			"TRANSACTION COMPLETE.",
			"BITS FLAGGED FOR RECYCLING.",
			"JOIN OUR LOYALTY PROGRAM TODAY!",
		},
		SMALLCATSHOP_BUYBACK = {
			"RETURN PROCESSED.",
		},
		SMALLCATSHOP_OPEN = {
			"WELCOME TO THE AUTO_TERM M1N1-B@Z@@R.",
			"QUALITY SOFTWARE AT QUALITY PRICES.",
			"YOUR ONE-STOP SOFTWARE SHOP.",
			"ALL PROGRAMS GUARANTEED* 100% BUG-FREE",
		},


		HUD_TIME_ATTACK_TIME_LEFT = "TIME LEFT\n%02d:%02d",
		HUD_TOTAL_TIME = "TIME ATTACK: %02d:%02d:%02d",
        PAUSE_TOTAL_TIME = "%02d:%02d:%02d",
		HUD_DAYS_TURN_ALARM = "TURN %02d  /  DAY %02d  /  %s  /  %s",
		HUD_ATTACK_USED = "攻 击 使 用 ",

		HUD_INCOGNITA_NORMAL = "ACCESS\nINCOGNITA\n>",
		HUD_INCOGNITA_MAINFRAME = "CLOSE\nINCOGNITA\n<",

		HUD_CONFIRM_ABILITY = "确 认 行 动 ",
		HUD_CONFIRM_ESCAPE = "如 果 %s逃 走 则 该 等 级 结 束 .您 确 定 要 离 开 %s吗 ？ ",
		HUD_CONFIRM_PARTIAL_ESCAPE = "Escaped agents can not re-enter the mission, and the teleporter will be on cooldown for a couple of turns after transport.\n\nAre you sure you want to leave now?",


		HUD_WARN_EXIT_EXECTERM = "Are you sure you want to leave? You don't have the contact list from the Executive Terminal.",
		HUD_WARN_EXIT_CYBERLAB = "Are you sure you want to leave? You haven't used the Augmentation Lab yet.",
		HUD_WARN_EXIT_NANOFAB = "Are you sure you want to leave? You haven't visited the Nanofab yet.",
		HUD_WARN_EXIT_MISSION_DISPATCH = "Are you sure you want to leave? You don't have the High-Security loot item.",
		HUD_WARN_EXIT_CEO = "Are you sure you want to leave? You don't have the Vault Passkey.",
		HUD_WARN_EXIT_MISSION_VAULT = "Are you sure you want to leave? You haven't looted the Vault yet.",
		HUD_WARN_EXIT_SERVERFARM = "Are you sure you want to leave? You haven't used the Server Terminal yet.",
		HUD_WARN_EXIT_DETENTION = "Are you sure you want to leave? You haven't freed the prisoner from the Detention Cells.",

		HUD_ITEMS_LEFT = "<c:F4FF78>ASSETS STILL IN THE FIELD:</c>",	

        HUD_WEAPON_ACTIVE = "活 跃 ",
        HUD_WEAPON_USED = "USED",
        HUD_WEAPON_AMMO = "{1}/{2}",

        HUD_CANCEL_TT = "CANCEL: <tthotkey>[ RIGHT CLICK ]</>",
        HUD_INTEREST_TT = "INTEREST POINT",
        HUD_RIGHT_CLICK = "RIGHT CLICK",
        HUD_LEFT_CLICK = "LEFT CLICK",
        HUD_MOVE = "MOVE",
        HUD_CANCEL = "取 消 ",
        HUD_SELECT = "SELECT",
        HUD_ON = "开 ",
        HUD_OFF = "OFF",
        HUD_MAINFRAME = "MAINFRAME",
        HUD_HOTKEY = "热 键 ",
        HUD_INVENTORY = "目 录 ",
        HUD_INVENTORY_ENCUMBERED = "INVENTORY <c:A30000>(ENCUMBERED)</>",

        TRACKED = "AGENT TRACKED",
        TRACKED_TT = "The enemy will turn as you move.",  
        DOOR_TRACKED = "WARNING", 
        DOOR_TRACKED_TT = "The enemy will react to this action.",
        WATCHED = "监 视 ",
        WATCHED_TT = "敌 人 正 在 监 视 这 片 区 域 .",
        NOTICED = "NOTICED",
        NOTICED_TT = "This location is noticed by the enemy.",
        HIDDEN = "HIDDEN",
        HIDDEN_TT = "This location is hidden from enemy sight.",

        WARNING_NEW_DAEMON = "New Daemons Incoming.",
        WARNING_RECAPTURE = "Mainframe Devices Rebooting.",
        WARNING_NO_AP = "Not enough Action Points.",
        WARNING_NO_AP2 = "End your turn to refresh Action Points",
        WARNING_CANT_MOVE = "{1} cannot move there.",
        WARNING_NO_PATH = "There is no valid path there.",
        WARNING_NO_TARGETS = "No valid targets.",
        WARNING_MAX_AGENTS = "You have the maximum number of agents, your team cannot support any more.",
        WARNING_CANT_USE = "Cannot Use Ability",
        WARNING_NO_ATTACKS = "Agent has no more ATTACKS this turn.",

        WARNING_CONSCIOUSNESS_MONITOR = "ALERT\nCONSCIOUSNESS MONITOR",
        
		WARNING_OBSERVE_GUARD = "Central is concerned about that guard.",
		WARNING_OBSERVE_GUARD_2 = "OBSERVE him before you continue.",

		WARNING_PEEK_GUARD = "Peek through the door.",
		WARNING_PEEK_GUARD_2 = "Peeking from the side of the door is safer.",

		WARNING_NO_CENTRAL = "That unit cannot move there.",
		WARNING_NO_CENTRAL_2 = "Only CENTRAL can complete this final task.",
        
        WARNING_MOVE_INTO_SIGHT = "Moving into enemy vision is dangerous",
		WARNING_MOVE_INTO_SIGHT_2 = "",

        FLAG_KO_PIN_TT = "This unit is KO for {1} turn(s). This countdown is paused while the unit is pinned.",
        FLAG_KO_TT = "This unit is KO for {1} turn(s).",
        FLAG_DEAD_TT = "This agent is down. Revive with a MED-GEL or by dragging to the escape point.",
        FLAG_CONTROL_TT = "Hacked for {1} turn(s)",
                
        THOUGHTVIS_TOOLTIPS =
        {
	        investigating = "Investigating curious event",
	        engaged = "Intruders spotted",
	        combat = "Engaging intruders",
	        hunting = "Hunting for intruders",
	        fleeing = "Fleeing intruders",
        },
        
        INTEREST_INVESTIGATING = "Security is curious about this location",
        INTEREST_HUNTING = "Security is closing on this location",

        COMBAT_PANEL_TAG = "TAG",
        COMBAT_PANEL_FAIL_KO = "0 KO",
        COMBAT_PANEL_NO_LOS = "BLOCKED",
        COMBAT_PANEL_ARMORED = "ARMORED",
        COMBAT_PANEL_KILL = "KILL",
        COMBAT_PANEL_IMMUNE = "IMMUNE",
        COMBAT_PANEL_NO_GEAR = "NO WEAPON",
        COMBAT_PANEL_SEEN = "SPOTTED BY TARGET",
        COMBAT_PANEL_COOLDOWN = "{1} TURNS",
        COMBAT_PANEL_COOLDOWN_2 = "ON COOLDOWN",
        COMBAT_PANEL_NO_ATTACK = "攻 击 使 用 ",                
        COMBAT_PANEL_PINNING = "PINNING UNIT", 
        COMBAT_PANEL_NO_RANGE = "NOT IN RANGE", 
        COMBAT_PANEL_NO_PWR = "NOT ENOUGH PWR", 

        MAP_SCREEN_TOTAL_PLAY_TIME = "TIME ATTACK: <c:F4FF78>%02d:%02d:%02d</>",
		MAP_SCREEN_DAYS_SPENT = " 日 %02d / %02d:%02d:%02d",
		MAP_SCREEN_DAYS_SPENT_SMALL = "DAY %02d /",
		MAP_SCREEN_REMAINING = "HOURS REMAINING <c:F4FF78>%s</>",
		MAP_SCREEN_EXPIRES = "期 满 : <c:F4FF78>%s 时 </>",
		MAP_SCREEN_DISTRESS = "遇 难 信 号 ",
		MAP_SCREEN_LOCATION = "坐 标 ",
		MAP_SCREEN_TRAVEL_TIME = "%s: %d HOURS",

		MAP_SCREEN_REMAINING_TOOLTIP = "Amount of time before Incognita runs out of backup power.",
		MAP_SCREEN_CREDITS_TOOLTIP = "Amount of credits Invisible, Inc. has to spend on purchases and upgrades.", 
		MAP_SCREEN_NET_WORTH_TOOLTIP = "The value of all of agents' upgrades, items, programs, and credits Invisible, Inc. owns.",

		MAP_CODE_NAME = "CODE NAME: {1}",
        MAP_SECURITY = "Security: {1}",
		MAP_SCREEN_EXPIRED = "合 同 到 期 ",
		MAP_SCREEN_DAYS = "日 ",
		MAP_SCREEN_DAY_COUNT = "DAY %d",

		MAP_INFILTRATE = "> 渗 透 ",
		MAP_DONOTINFILTRATE = "< CANCEL",
		MAP_MOREINFO = "MORE INFO",

		BUTTON_ACCEPT = "接 受 ",
		BUTTON_CANCEL = "取 消 ",
		BUTTON_APPLY = "应 用 ",
		BUTTON_CLOSE = "关 闭 ",
		BUTTON_CONTINUE = "继 续 ",
		BUTTON_UNDO = "取 消 ",
        BUTTON_OK = "OK",

		TEAM_SELECT = 
		{
			LOCKED_AGENT_NAME = "机 密 的 ",
			UNLOCK_TO_USE = "需 要 更 多 的 XP来 解 锁 ",
			UNLOCK_CENTRAL_MONSTER = "COMPLETE EXPERIENCED DIFFICULTY TO UNLOCK",
			LOCKED_AGENT_DESC = "这 个 特 工 目 前 是 机 密 的 .",
			LOCKED_LOADOUT = "您 已 选 择 机 密 成 员 加 入 你 的 队 伍 .请 选 择 即 将 出 发 的 队 伍 .",
			LOCKED_ALT = "机 密 的 ",
		},


		SAVESLOTS =
		{
			DELETE_AREYOUSURE = "If you complete the game or retire the agency, you will earn experience that unlocks new agents and programs. If you delete this save, you will lose the experience gained.\n\nAre you sure you want to delete this save slot?",
			DELETE_SAVE = "删 除 存 储 ",
			SEE_PATCHNOTES = "阅 读 更 多 ",
			CONTINUE = "继 续 游 戏 ",
			ENDLESS_MODE = "无 尽 模 式 ",
			STORY_MODE = "故 事 模 式 ",
			TUTORIAL = "教 程 ",
			DAYS_SPENT = "%02d 日 / %02d 时 ",
			EMPTY_SLOT = "> 开 始 新 游 戏 ",

			PLAYED_TUTORIAL = "如 果 你 是 第 一 次 玩 隐 形 公 司 建 议 播 放 教 程 \n\n你 是 第 一 次 玩 吗 ?",
			PLAY_TUTORIAL = "播 放 教 程 ",
			PLAY_STORY = "跳 过 教 程 ",
		},

		ACTIONS = 
		{
            UNLOCK_DOOR = "Unlock Door\nACTION",
            CLOSE_DOOR = "Close Door\nACTION",
            OPEN_DOOR = "Open Door\nACTION",
            NO_ENTRY = "No Entry",
            PICKUP =
            {
                NAME = "PICKUP",
                TOOLTIP = "Pickup items",
            },
            GIVE =
            {
                NAME = "TRANSFER",
                TOOLTIP = "Transfer items",
            },
			LOOT_BODY = 
			{
				NAME = "偷 窃 ",
				TOOLTIP = "偷 贵 重 物 品 ",
			},
			LOOT_CORPSE = 
			{
				NAME = "LOOT CORPSE",
				TOOLTIP = "Approach body to loot this corpse",
			},
			SEARCH_SAFE = 
			{
				NAME = "LOOT CONTENTS",
				TOOLTIP = "Capture the device to unlock its contents",
				TOOLTIP_NOFIREWALLS = "Move next to device to loot its contents",
			},
			OPERATE_DEVICE = 
			{
				NAME = "OPERATE DEVICE",
				TOOLTIP = "Capture the device to unlock it",
				TOOLTIP_NOFIREWALLS = "Move next to device to operate it",
			},			
			INSTALL_AUGMENT = 
			{
				NAME = "安 装 强 化 ",
				TOOLTIP = "激 活 强 化 安 装 硬 件 ",
			},	
			CHARGE_INHIBITOR = 
			{
				NAME = "给 抑 制 器 充 能 ",
				TOOLTIP = "给 你 的 Archdaemon充 能 ",
			},		
		},

		REASON =
		{
			NOT_ENOUGH_PWR = "力 量 不 足 ",
			NOT_ENOUGH_CREDITS = "金 钱 不 足 ",
            FULL_STASH = "Not enough room in storage.",
			INCOGNITA_LOCKED_DOWN = "匿 名 者 锁 定 ",
			EQUIPPED_ON_COOLDOWN = "装 备 冷 却 能 力 ",
			NO_CAMERAS = "没 有 剩 余 的 未 捕 获 摄 像 机 ",
			NO_TAGGED_GUARDS = "所 有 可 见 的 警 卫 都 有 标 签 ",
			NO_ROOM_FOR_DAEMON = "没 有 空 间 运 行 守 护 进 程 ",
            NO_DAEMON = "未 发 现 守 护 进 程 ",
            WRONG_WRENCH = "扭 转 用 力 错 误 {1}", 
            DAEMON_REVEALED = "已 经 发 现 守 护 进 程 ",
            NULLZONE_BY = "由 {1}守 卫 ",
            SECURED = "SECURED",
            SECURED_2 = "BY NULL DRONE",
			ALREADY_USED = "已 经 被 使 用 ",
            ALREADY_TRAPPED = "Already Trapped",
			COOLDOWN = "%d MORE TURNS TO COOLDOWN.",
			MONST3R_REQUIRED = "Monst3r needs to manually open this after obtaining the security codes from the Security Hub.",	
			INVENTORY_FULL = "物 品 栏 已 满 ",
            CANT_CARRY = "没 有 物 品 栏 ",
            NOT_CARRYABLE = "不 能 搬 运 ",
			NOT_CARRIED = "未 搬 运 ",
			CANT_DROP = "不 能 下 降 ",
			NO_TRAP = "这 里 没 有 陷 阱 ",
            NO_PROGRAM = "没 有 装 备 任 何 程 序 ",
			ALREADY_EQUIPPED = "已 经 装 备 完 成 ",
			NOT_EXIT = "不 是 出 口 ",
			CANT_ESCAPE = "无 法 隐 藏 ！ ",
			CANT_ABANDON = "Can't abandon the team!",
			NO_ICE = "没 有 防 火 墙 ",
			NO_DAEMONS = "没 有 守 护 进 程 ",
			ATTACK_USED = "攻 击 使 用 ",
			CONSOLE_LOCKED = "控 制 台 已 经 锁 上 了 ",
			ONLY_MONSTER = "Only Monst3r can jack into this console",
			ALREADY_HACKING = "Already being hacked",
			ALREADY_DEPLOYED = "Already something deployed",

			ENEMY_PINNED = "敌 人 被 麻 痹 ",
			INVALID_TARGET = "无 效 的 目 标 ",
			NO_MELEE_WEAPON = "没 有 近 战 武 器 ",
			NO_WEAPON = "没 有 武 器 ",
			CANT_STACK_BODIES = "不 能 堆 积 尸 体 ",
			REQUIRES_AP = "获 得 %dAP",
			HACKED_DRONES_CANT_OVERWATCH = "被 劫 持 的 无 人 机 无 法 掩 护 射 击 ",
			UNIT_IS_KO = "单 位 被 KO",
			NO_GUN = "No ranged weapon equipped",
			NO_VIABLE_TARGET = "没 有 有 生 命 力 的 目 标 ",
			NO_PEEK = "没 有 什 么 可 以 窥 视 的 ",
			ALREADY_PRIMED = "已 经 准 备 好 了 ",
            NO_AMMO = "No Ammo",
			AMMO_FULL = "弹 药 已 满 ",
			CANT_RELOAD = "无 法 给 这 支 武 器 上 弹 ",
			NO_MAGAZINE = "没 有 弹 匣 ",
			CHARGE_FULL = "充 能 已 满 ",
			NO_POWER_PACK = "没 有 电 源 组 ",
			MUST_TOGGLE_BEFORE_MP = "Must have full AP to use",
			OUT_OF_ORDER = "出 现 故 障 ",
			OUT_OF_STOCK = "脱 销 ",
			NO_INVENTORY = "没 有 物 品 栏 ",
			UNLOCK_WITH_VAULT_TERMINAL = "使 用 金 库 终 端 来 解 锁 此 物 件 ",
			CANNOT_AUGMENT_THIS_UNIT = "无 法 强 化 这 个 病 人 ",
			MACHINE_INACTIVE = "这 台 机 器 没 有 被 激 活 ",
			NO_ARCHDAEMON_INHIBITOR = "未 发 现 Archdaemon",
			ARCHDAEMON_CHARGED = "Archdaemon抑 制 器 已 充 能 完 毕 ",
			MACHINE_USED = "该 台 机 器 已 经 被 使 用 过 ",
			CANT_CLOAK_IN_VISION = "无 法 使 用 斗 篷 I来 从 敌 人 的 视 线 中 隐 藏 起 来 。 ",
			NO_INJURED_TARGETS = "没 有 受 伤 的 目 标 ",
            REQUIREMENTS = "{1}: Must be level {2}",

            CANT_REACH = "在 范 围 外 ",
            CANT_REACH_BY = "在 范 围 外 ： {1}格 ",
            CANT_MELEE_REACH = "TOO FAR: Target must be adjacent",
            BLOCKED = "被 阻 挡 ",

            DROP_BODY_TO_USE = "丢 下 尸 体 来 使 用 ",
            BAD_TARGET_RANGE = "INVALID TARGET: Out of range",
            BAD_TARGET_VIZ = "INVALID TARGET: Area not revealed",
		},

        DOORS =
        {
            ELEVATOR = "已 锁 上 — 完 成 目 标 ",
            OFFICE = "已 锁 上 — 终 止 守 护 进 程 ",
            SECURITY =  "LOCKED - LVL1 SECURITY PASSCARD",
            SECURITY_LONGDESC =  "Lvl1 security passcards can be stolen from the guards, and only work in the facility where they are found.",
            VAULT = "LOCKED - VAULT ACCESS CARD",
            VAULT_LONGDESC = "Vault Access Cards can be found by interrogating corporate executives in Financial Suite missions.",
            SPECIAL_EXIT = "SECURITY EXIT",
            SPECIAL_EXIT_LONGDESC = "Security Exit Cards are stored in a safe somewhere in the building.",
            INUSE = "已 锁 上 — 在 使 用 中 ",
            GUARD = "已 锁 上 — 警 卫 电 梯 ",
            DISABLED = "无 法 使 用 大 门 ",
            DROP_BODY = "丢 下 尸 体 使 用 大 门 ",
            CANT_USE = "无 法 使 用 大 门 ",
            CANT_BREAK = "无 法 打 破 ",
            NOT_CLOSED = "未 关 闭 ",
            NOT_OPEN = "未 打 开 ",
            NOT_LOCKED = "未 锁 上 ",
            ALREADY_LOCKED = "已 经 锁 上 ",
            BREAK = "BREAK",
            BREAK_TT = "Break this door.",
            BROKEN = "BROKEN",
            CLOSED = "CLOSED",
            CLOSE = "关 闭 ",
            CLOSE_TT = "Close this door.",
            OPEN = "OPEN",
            OPEN_TT = "Open this door.",
            NO_ENTRY = "NO ENTRY", 
            NO_ENTRY_TT = "An unopenable door that can only be used by GUARDS, EXECUTIVES and ENFORCERS.",
            LOCKED = "锁 住 ",
            LOCK_TT = "Lock this door with a passcard.",
            LOCK = "LOCK",
            UNLOCK = "UNLOCK",
            UNLOCK_TT = "Unlock this door.",
            TOOLTIP = "DOOR",
            TOOLTIP_VAULT = "VAULT DOOR",
            TOOLTIP_SPECIAL_EXIT = "SECURITY EXIT",
            TOOLTIP_SECURITY = "LVL1 SECURITY DOOR",
            GUARD_ELEVATOR = "GUARD ELEVATOR",
        },

		FLY_TXT =
		{
			PLUS_PWR = "+{1}能 源 ",
			MINUS_PWR = "-{1} PWR",
			PANIC = "PANIC",
			AUGMENT_INSTALLED = "强 化 已 安 装 ",
			PREDICTIVE_BRAWLING = "PREDICTIVE BRAWLING +{1} AP",								 
			ADRENAL_REGULATOR = "ADRENALIN REGULATOR +{1} AP",
			VENTRICULAR_PIERCING = "PIERCING UP",
			SPRINTING = "SPRINTING",
			SNEAKING = "潜 行 ",
			REVIVED = "已 恢 复 ",
			MOVEMENT_BOOSTED = "MOVEMENT BOOSTED",
            TURRET_OVERWATCH = "OVERWATCH",
            REBOOTING = "重 新 启 动 ",
            PARALYZED = "PARALYZED",
            PERSONAL_SHIELD = "PERSONAL SHIELD",
            EXTRA_ATTACK = "EXTRA ATTACK",
            TAGGED = "标 注 ",
            ARMORED = "ENEMY ARMORED!",
            SIGHTED = "ENEMY SIGHTED!",
            RECAPTURED = "RECAPTURED!",
            ENCUMBERED = "ENCUMBERED!\n-{1} AP",
            ATTACK_USED = "攻 击 使 用 ",
            ARMOR_UP = "ARMORED UP",
            SCANNING = "SCANNING",
            DECODING = "DECODING in {1}...",
            DECODING_COMPLETE = "DECRYPTION COMPLETE",
            AMBUSH_READY = "AMBUSH READY",
            OVERWATCH_READY = "OVERWATCH READY",
            REVEALED = "REVEALED",
            UNLOCKED = "UNLOCKED",
            MONITOR_DISABLED = "HEART MONITOR DISABLED",
            DOOR_SLAMMED = "DOOR SLAMMED",
            FACILITY_REVEALED = "FACILITY MAP\nREVEALED",
            WIRELESS_HIJACK = "WIRELESS HIJACK",
            POWER_ON = "POWER ON",
            POWER_OFF = "POWER OFF",
            NOT_ENOUGH_PWR = "NOT ENOUGH PWR",
            IMPROVED_HEART_MONITOR = "IMPROVED HEART\nMONITOR",
            CONSCIOUSNESS_MONITOR = "意 识 监 视 器 ",    
            THERMAL_GENERATOR = "THERMAL GENERATOR",        
		},

		DIALOGS = 
		{
			SCAN = "扫 描 ",
			AGENT_RESCUED = "特 工 已 经 被 救 出 ",

            NO_DAEMON_TITLE = "NO DAEMON",
            NO_DAEMON_BODY = "No daemon is installed on this device.",

			AUGMENT_MACHINE_BODY_2 =  "<c:F4FF78>Install the %s</c> augment design. This function requires an open Augment Socket on the patient in order to be successful.",
			AUGMENT_MACHINE_3 = "安 装 %s",
			AUGMENT_MACHINE_MAXED = "This agent has reached it's augment slot capacity and cannot install additional slots.",

			ITEM_RECEIVED = "ITEM RECEIVED",
			INVENTORY_RECIEVED = "{1} has received <c:F4FF78>{2}</c>",
			INVENTORY_ON_FLOOR = "{1} gets <c:F4FF78>{2}</c> and puts it on the floor as their inventory is full.",
		},

	},

	CORP = 
	{
		FTM = 
		{
			NAME = "Factory to Market Wholesalers",
            SHORTNAME = "FTM",
			DESCRIPTION = "FTM is the world's largest producer of consumer electronics. Traditionally a downmarket producer trading on volume, they have recently introduced a line of professional grade security and surveillance products.",
			SHORTDESC = "FTM has advanced surveillance and scanning technology. You'll need to move fast in order to avoid detection.",
            THREATS = {"Backscatter proximity scanners", "Personal barrier projectors" },
		},
		SANKAKU = 
		{
			NAME = "Sankaku Heavy Industries",
            SHORTNAME = "三 角 ",
			DESCRIPTION = "Sankaku started as an industrial automation provider in the early 21st century. In recent decades it has capitalized on the corporate class' growing dissatisfaction with human labour to expand into everything from education to law enforcement.",
			SHORTDESC = "Specializing in robotics, you can expect weaponized drones.",
            THREATS = {"Akuma combat drone", "Null info-security drone" },
		},

		OMNI = 
		{
			NAME = "OMNI",
            SHORTNAME = "OMNI",
            DESCRIPTION = "We don't know much about OMNI, but they appear to combine the most dangerous aspects of all of the world's leading corporate powers.",
            SHORTDESC = "We know very little about OMNI, but they appear to have more advanced technology than any other corporation.",
            THREATS = {"??", "??"},
		},

		KO = 
		{
			NAME = "Kelfried & Odin Weapons Foundry",
            SHORTNAME = "K&O",
            DESCRIPTION = "An ancient family-held concern, K&O have been producing weapons since 'technology' meant a particularly sharpened stick. Finally free from government regulation, they've proven as adept at wielding weapons as they are at building them.",
            SHORTDESC = "Free from government regulation, K&O has the most advanced weaponry and automated defenses of all the corporations.",
			THREATS = {"Highly-trained security personnel", "Automated point defense turrets"},            

		},
		PLASTECH = 
		{
			NAME = "Plastech Cybermedical",
            SHORTNAME = "失 败 的 实 验 存 储 ",
            DESCRIPTION = "Plastech Medical made record profits in the early 21st century selling life-extension technologies to aging baby boomers. When that well dried up, they funneled their vast cash reserves into R&D and cornered the market for cybernetic augmentation.",
            SHORTDESC = "Using cybernetic augmentation, they have modified their troops to meld with the mainframe.",
            THREATS = {"Highly augmented security personnel", "Network stem-linked sysadmins"},
		},
	},

	ABILITIES = {

		TOOLTIPS = {
			CANT_ACT = "无 法 行 动 ",
			NOT_AUGMENT = "不 是 一 个 强 化 ",
			NO_AUGMENT_SLOTS_AVAILABLE = "No available augment slots.",
			AUGMENT_ALREADY_INSTALLED = "This augment is already installed.",
			UNLOCK_WITH_INCOGNITA = "Unlock this using Incognita.",
			HACK = "入 侵 %s",
			BREAKS_FIREWALLS = "Breaks %d firewalls.",
			SCAN = "Reveals DAEMON program on %s",
		},

		TEMPORARY_LOSS = "ERROR>>> TEMPORARY...LOSS.",

		ACCESS_BANK = "登 录 银 行 账 户 ",
		DEACTIVATE_LOCK = "解 除 封 锁 ",
		DEACTIVATE_LOCK_DESC = "Open the doors and let Central into the Corporate Mainframe.",
		UPLOAD_INCOGNITA = "Upload Incognita",
		UPLOAD_INCOGNITA_DESC = "An act of motherly kindness.",
		GENERATE_PWR = "生 成 能 源 ",
		GENERATE_PWR_DESC = "生 成 {1}能 力 。 ",
		CARRYABLE = "丢 下 ",
		CARRYABLE_DESC = "Drop this item on the floor.",
		DROP ="丢 下 ",
		PICKUP = "捡 起 %s",
		NT = "NT",
		DEPLOYABLE = "Deploy",
		DEPLOYABLE_DESC = "Deploy this item.",
		DEPLOY = "部 署 ",
		DECODING = "DECODING",
		DECODING_DESC = "Decrypting the lock mechanism: %d turns.",
		DISARM = "DISARM",
		DISARM_TRAP = "解 除 陷 阱 ",
		DISARM_TRAP_DESC = "使 一 个 已 显 示 的 陷 阱 无 效 。 ",
		EQUIPPABLE = "Equip",
		EQUIPPABLE_DESC = "Equip this item.",
		ESCAPE = "Exit Level",
		ESCAPE_DESC = "Use the teleporter to return to the jet.",
		ICEBREAK = "破 冰 ",
		SCAN_DEVICE = "扫 描 设 备 ",
		SCAN = "扫 描 ",
		MANUAL_SHUTDOWN = "手 动 关 闭 ",
		MANUAL_SHUTDOWN_DESC = "禁 用 %s%d回 合 ",
		INSTALL_AUGMENT = "安 装 强 化 ",
		INSTALL_AUGMENT_DESC = "将 此 永 久 安 装 入 强 化 插 槽 内 ",
		INTERROGATE = "审 问 ",

		HIJACK_CONSOLE = "劫 持 控 制 台 ",
		HIJACK_CONSOLE_DESC = "入 侵 该 控 制 台 ， 取 回 能 源 。 ",
		HIJACK_CONSOLE_DESC_CONVERT_TO_CRED = "Use {1} to convert this console's PWR to credit.",
		HIJACK_CONSOLE_INSTALL_VIRUS = "安 装 病 毒 ",
        HIJACK_STORE_PWR = "Store PWR",
		HIJACK_STORE_PWR_DESC =  "Store PWR from this console into the prototype chip.",
		HIJACK_CONSOLE_NAMES ={
			CONVERT_TO_CREDIT = "转 化 [%d PWR]为 奖 金 ",
			CONVERT_TO_CREDIT_BONUS ="转 化 [%d PWR]和 %d奖 励 为 +%d资 金 ",
			GET_PWR = "劫 持 [%d PWR]",
			GET_PWR_BONUS = "劫 持 [%d PWR]和 %d奖 励 ",
		},		

		JACKIN = "破 坏 ",
		JACKIN_DESC ="Jack in with Monst3r to unlock the mainframe door.",
		MELEE = "拿 下 ",
		MELEE_DESC = "<tthotkey>攻 击 </>\nKO目 标 :%d回 合 ",
		MELEE_OVERWATCH =  "近 距 离 反 应 ",
		MELEE_OVERWATCH_DESC = "该 特 工 会 自 动 攻 击 近 距 离 的 敌 人 ",
		MOVE_BODY = "转 移 尸 体 ",
		MOVE_BODY_DROP = "丢 下 尸 体 ",
		MOVE_BODY_DROP_DESC = "将 尸 体 留 在 这 里 ",
		MOVE_BODY_DRAG = "拖 动 尸 体 ",
		MOVE_BODY_DRAG_DESC = "将 尸 体 转 移 至 新 的 地 点 ",
		OBSERVE = "观 察 ",
		OBSERVE_DESC = "预 测 该 名 警 卫 的 移 动 ",
		OPEN_DETENTION_CELLS = "使 牢 房 的 门 失 效 ",
		OPEN_DETENTION_CELLS_DESC = "打 开 拘 留 牢 房 ",
		OPEN_SECURE_BOXES = "打 开 安 全 柜 ",
		OPEN_SECURE_BOXES_DESC = "解 锁 安 全 柜 ",
		INSTALL_INCOGNITA = "Install Incognita",
		INSTALL_INCOGNITA_DESC = "Connect Incognita's portable memory to this data terminal socket.",
		OVERWATCH = "掩 护 射 击 ",
		OVERWATCH_ON = "开 ",
		OVERWATCH_DESC = "<tthotkey>ATTACK</>\nThis unit will shoot at movement during the enemy's turn.",
		OVERWATCH_MELEE = "Ambush",		
		OVERWATCH_MELEE_DESC = "<tthotkey>ATTACK</>\nThis agent will melee nearby moving enemies during the enemy turn.",		
		PARALYZE = "麻 醉 剂 ",
		PARALYZE_DESC = "Inject pinned victims with paralytic toxin. Target will be KO'd for {1} more turns.",
		PEEK = "窥 视 ",
		PEEK_DESC = "仔 细 观 察 角 落 。 \n窥 视 最 近 的 大 门 。 ",
		PRIME_EMP = "首 要 电 磁 脉 冲 ",
		PRIME_EMP_DESC = "将 电 磁 脉 冲 包 放 在 地 面 上 并 使 其 准 备 好 。 它 会 在 每 回 合 结 束 时 爆 炸 。 ",
		READABLE = "可 读 的 ",
		READABLE_DESC = "某 人 留 下 了 一 个 便 签 ",
		RELOAD = "手 动 上 弹 ",
		RELOAD_DESC = "给 装 备 好 的 枪 上 弹 。 ",
		RECHARGE = "充 能 设 备 ",
		RECHARGE_DESC = "使 用 充 能 包 将 当 前 的 冷 冻 时 间 降 低 2。 ",
		RESCUE = "营 救 ",
		RESCUE_DESC = "营 救 这 个 特 工 。 ",
		SPRINT = "Sprint",
		SPRINT_TOGGLE ="TOGGLE SPRINT",
		SPRINT_DESC = "+{1} AP this turn\nMovement makes noise\nMust have full AP to activate.",
		SET_NAME = "设 置 %s",
		OVERWATCH_SHOOT = "脸 部 特 写 镜 头 ",
		OVERWATCH_SHOOT_DESC = "该 武 器 可 以 对 抗 敌 人 的 火 力 ",
		SHOOT = "射 击 ",
		SHOOT_DYING = ":死 亡 %d",
		SHOOT_KO = ":KO%d",

		STORE = "打 开 商 店 ",

		USABLE = "可 用 的 ",
		USABLE_DESC = "上 传 病 毒 至 %s",
		CLOAK = "斗 篷 ",
		CLOAKED = "CLOAKED",
		CLOAK_DESC = "持 续 了 一 个 回 合 。 需 要 冷 却 来 重 新 使 用 。 ",
		CLOAK_USE = "使 用 斗 篷 ",
		CLOAK_DURATION = "在 使 用 中 \n回 合 剩 余 ： %d",
		CLOAK_COOLDOWN = "斗 篷 再 充 能 \n回 合 ： %d",
		INJECTION = "注 射 ",
		INJECTION_APPLY =  "应 用 %s",

		REVIVE = "恢 复 ",
		REVIVE_NAME = "恢 复 %s",
		REVIVE_DESC = "使 用 %s恢 复 一 个 特 工 。 ",

		STIM = "兴 奋 剂 ",
		STIM_DESC = "打 一 针 来 恢 复 一 个 特 工 的 AP。 ",

		USE_AGGRESSION = "Ventricular Lance",
		USE_AGGRESSION_DESC = "+1 Melee and Ranged PIERCING for 1 turn.",

		WIRELESS_SCAN = "无 效 扫 描 仪 ",

		THROW ="投 掷 ",
		THROW_DESC = "This object can be thrown.",

		BREAK_DOOR = "毁 坏 该 门 ",
		BREAK_DOOR_DESC = "猛 击 此 门 ， 使 其 永 久 性 开 放 。 ",

		LAST_WORDS = "LAST WORDS",
		LAST_WORDS_DESC = "<c:FDFA68>DELIVER FINAL WORDS</>\nIf there's nothing left to do...",
	},


	ITEMS = {
		AMMO = "弹 药 %d/%d",

		TOOLTIPS = {
			EMP_SAFE = "EMP RESISTANT",
			EMP_SAFE_DESC = "These safes require an electronic signal to open. They do not function while deactivated.",
			AIM ="瞄 准 ",
			AIM_DESC = "点 击 这 个 武 器 瞄 准 和 射 击 敌 人 .",
			IGNORES_ARMOR = "Ignores Armor",
			IGNORES_ARMOR_DESC = "A targets armor level does not matter to this weapon.",
			ARMOR_PIERCING = "穿 甲 ",
			ARMOR_PIERCING_DESC = "%d穿 甲 ",
			ARMOR_PIERCING_NONE = "No Armor Piercing",
			ARMOR_PIERCING_NONE_DESC = "This item does not pierce through enemy armor.",			
			MASS_PWR_DRAIN = "Massive PWR Drain", 
			MASS_PWR_DRAIN_DESC = "Drains all PWR, resetting it to 0.",
			KO_DAMAGE = "KO伤 害 ",
			KO_DAMAGE_DESC = "%d回 合 击 倒 守 卫 ",
			RECHARGE =  "Cooldown",
			RECHARGE_DESC = "%d回 合 冷 却 时 间 ",
			COSTPOWER = "使 用 力 量 点 ",
			COSTPOWER_DESC = "当 使 用 时 消 耗 %d力 量 点 ",
			RANGE = "范 围 ",
			RANGE_DESC = "该 效 果 可 以 影 响 %d格 ",
			CANTAG = "标 记 目 标 ",
			CANTAG_DESC = "标 记 目 标 ,揭 示 了 他 们 的 巡 逻 路 径 ",		
			INSTALL = "安 装 ",	
			INSTALL_DESC = "该 设 备 要 安 装 之 后 才 可 运 行 。 ",	
			DISPOSABLE = "一 次 性 的 ",
			DISPOSABLE_DESC = "该 物 品 只 能 使 用 一 次 。 ",	
		},

		KEYWORDS = {
			CRITICAL =
            {
                NAME = "CRITICAL",
                DESC = "此 效 果 触 发 在 特 工 成 功 地 发 出 一 个 重 击 后 .",
            },
			NETWORK = 
            {
                NAME = "NETWORK",
                DESC = "This effect triggers after Incognita has fully broken any firewall.",
            },
			MELEE =
            {
                NAME = "MELEE",
                DESC = "此 效 果 触 发 在 该 特 工 成 功 击 倒 了 一 个 近 战 攻 击 的 敌 人 后 .",
            },
			CLOAK =
            {
                NAME = "CLOAK",
                DESC = "此 效 果 触 发 在 特 工 变 为 以 任 何 理 由 隐 匿 后 .",
            },
			ITEM =
            {
                NAME = "ITEM",
                DESC = "这 个 效 果 触 发 在 特 工 使 用 库 存 项 目 时 .",
            },
			STIM =
            {
                NAME = "STIM",
                DESC = "This effect triggers after this agent successfully uses a stim item.",
            }
		},

		AUGMENT = "扩 大 ",

		--KEVIN, this begins the list of items, Augments are in a list by themselves, and then the rest.

		AUGMENTS = {

			CENTRALS = "Antiviral Proxy",
			CENTRALS_TIP = "Gain 5 PWR on any DAEMON install.",
			CENTRALS_FLAVOR = "The highly confidental work of a Daemon engineer, this subdermal chip re-routes PWR from other networked subroutines. Rumor has it that Central has the only prototype.",

			MONSTERS = "Fabricator Multithreading",
			MONSTERS_TIP = "Nanofabricator purchases cost 15% less.",
			MONSTERS_FLAVOR = "As an expert hacker and savvy tech opportunist, Monst3r has built a unique network of hyper efficient Nanofabricator coroutines.",

			DECKARDS = "Neural Networking",
			DECKARDS_TIP = "Allows agent to uncover DAEMONS in adjacent objects.",
			DECKARDS_FLAVOR = "Over the years, most of Decker's vertebrae have been replaced with synthetics of varying quality. When jacked in, the jolts of pain allow him to differentiate subroutines.",

			DECKER_2 = "Sensory Injector",
			DECKER_2_TIP = "Gives the agent +2 AP when seen by the enemy (including peripheral vision)",						
			DECKER_2_FLAVOR = "Many a guard have caught a glimpse of Decker. None have caught him.",

			INTERNATIONALS = "无 线 发 射 器 ",
			INTERNATIONALS_TIP = "Allows agent to hack items from a distance, through walls. Automatically reveals nearby mainframe objects.", --talk about the range?
			INTERNATIONALS_FLAVOR = "使 用 她 的 皮 肤 作 为 天 线 ， 国 际 歌 可 以 从 远 处 操 纵 电 子 设 备 。 ",

			INTERNATIONALS_2 = "Network Siphon", 
			INTERNATIONALS_2_TIP = "Generates PWR when ALARM LEVEL increases.\nPWR gained: 2x Alarm Level.",
			INTERNATIONALS_2_FLAVOR = "优 秀 特 工 的 标 志 就 是 能 够 将 敌 人 的 长 处 变 为 他 们 的 弱 点 。 ",

			SHALEMS = "Enhanced Optics",
			SHALEMS_TIP = "付 出 +1护 甲 穿 刺 给 远 程 武 器 ",
			SHALEMS_FLAVOR = "广 泛 训 练 和 弹 道 协 同 处 理 器 使 得 萨 勒 姆 可 以 操 纵 子 弹 沿 最 佳 轨 迹 运 行 。 ",

			BANKS = "加 密 计 算 机 ",
			BANKS_TIP = "Unlocks lvl1 security doors without a passcard",	
			BANKS_FLAVOR = "植 入 到 班 克 的 脑 内 的 量 子 解 码 器 可 轻 易 的 破 解 大 多 数 密 码 。 ",

			TONYS = "Subdermal Tools",
			TONYS_TIP = "A local EMP blast that disables mainframe devices for 1 turn. Agent's AP is reduced by 1",		
			TONYS_FLAVOR = "Dr. Xu carries the tools of his trade in a purpose-built cavity in his prosthetic arm. Unfortunately, the large power capacitor needed to charge the EMP impairs Xu's stamina.",				

			TONYS_2 = "Thermal Generator",
			TONYS_TIP_2 = "Once a turn, generates 2 PWR when the agent uses an item with cooldown of 3 or more.",		
			TONYS_FLAVOR_2 = "Thermal Generator was a joint project between Dr Xu and his colleague Alex McTeague. A very early design, it is still comparable to the cutting edge of current augment technology.",				

			PRISM_2 = "Refraction Chamber",
			PRISM_2_TOOLTIP = "Gain +1 PWR when a mainframe device is hacked. Max +2 PWR per turn.",
			PRISM_2_FLAVOR ="Collects ambient energy from data signals, most efficient during large flurries of network activity such as when firewalls come down.",

			SHARP_1 = "Modular Cybernetic Frame",
			SHARP_1_TOOLTIP ="Start with 6 augment slots.\nEach 3 augments installed gives melee weapons +1 KO damage.",
			SHARP_1_FLAVOR ="In his reach to perfect the connection between mind and machine, Alex has converted nearly 90% of his body into a highly modular robotic frame.",

			NIKAS = "肾 上 腺 素 调 节 器 ",
			NIKAS_TIP = "Gives the agent an extra ATTACK a turn. Gains 3 AP after any ATTACK.",						
			NIKAS_FLAVOR = "在 危 险 中 ， 妮 佳 可 以 使 她 的 神 经 系 统 充 满 热 液 体 进 攻 。 有 时 候 她 这 么 做 纯 粹 是 为 了 找 乐 子 。 ",

			NIKAS_2 = "Discharge Re-router",
			NIKAS_2_TIP = "Once per turn, agent's DISRUPTER ATTACK reduces all ITEM COOLDOWNS by 1",						
			NIKAS_2_FLAVOR = "Nika loves scrambling neurons so much, she had a tech write a custom routine that makes her disrupter recharge itself and everything around it.",

			SADOCHISTIC_PUMPS = "Sadochistic 泵 ",
			SADOCHISTIC_PUMPS_TIP = "Killing adds 6 AP",
			SADOCHISTIC_PUMPS_FLAVOR = "这 个 泵 可 以 将 蜥 蜴 大 脑 分 泌 物 返 回 自 身 ， 放 大 宿 主 的 攻 击 或 逃 避 反 应 的 本 能 。 ",

			DMS = "死 人 开 关 ",
			DMS_TIP = "在 宿 主 死 后 激 活 。 ", --what does this do?
			DMS_FLAVOR = "杀 死 宿 主 可 以 触 发 开 关 ， 不 过 目 的 是 什 么 呢 ？ ",

			NET_DOWNLINK = "网 络 下 发 链 路 ",
			NET_DOWNLINK_TIP ="Agent gains 2 AP (MAX: 6 AP)",
			NET_DOWNLINK_FLAVOR = "将 一 部 分 基 础 脑 功 能 下 载 至 远 程 控 制 器 上 ， 使 得 宿 主 专 注 在 更 加 紧 急 的 事 情 上 面 。 ",

			ANATOMY_ANALYSIS = "解 剖 分 析 ",
			ANATOMY_ANALYSIS_TIP = "Kills do not increase the alarm tracker. Costs 3 PWR per kill.",
			ANATOMY_ANALYSIS_FLAVOR = "A single precise strike to the right location is enough to disrupt most commercial heart monitors. Fortunately, the calculations involved in finding that location are beyond normal human cognition.",

			DISTRIBUTED_PROCESSING = "分 布 式 处 理 ",
			DISTRIBUTED_PROCESSING_TIP = "50 ％ 的 几 率 在 每 个 回 合 的 开 始 获 得 力 量 点 .",
			DISTRIBUTED_PROCESSING_FLAVOR = "人 类 的 处 理 能 力 还 有 很 大 的 增 加 空 间 。 人 造 神 经 束 有 可 能 被 植 入 所 有 主 要 的 肌 肉 内 ， 而 力 量 的 损 失 却 很 少 。 ",

			TORQUE_INJECTORS = "扭 矩 喷 油 器 ",
			TORQUE_INJECTORS_TIP = "降 低 物 品 冷 却 1",
			TORQUE_INJECTORS_FLAVOR = "手 很 灵 活 但 是 却 不 够 高 效 。 通 过 限 制 沿 某 一 轴 线 的 移 动 ， 我 们 可 以 提 高 其 他 的 速 度 和 效 率 。 ",

			TITANIUM_RODS = "钛 棒 ",
			TITANIUM_RODS_TIP = "Melee weapons deal +1 KO damage",
			TITANIUM_RODS_FLAVOR = "有 时 候 ， 最 简 单 的 事 情 却 最 有 效 率 。 金 属 骨 骼 可 以 使 你 的 攻 击 非 常 有 力 。 ",

			SUBDERMAL_CLOAK = "Subdermal Cloak",
			SUBDERMAL_CLOAK_TIP ="Renders the user invisible until their next turn.", 
			SUBDERMAL_CLOAK_FLAVOR = "Replacing the top layer of skin, this circuitry converts the brain and muscle enhancers used in stim to create a holographic projection.",

			HOLOCIRCUIT = "记 忆 电 圈 超 载 器 ",
			HOLOCIRCUIT_TIP ="击 倒 特 工 周 围 小 面 积 的 所 有 敌 人 ", 
			HOLOCIRCUIT_FLAVOR = "Modern tactical displays stream terabytes of situational data directly into the corneas of security forces. They also provide an avenue of attack.",

			MICROSLAM_APPARATUS = "微 型 猛 击 设 备 ",
			MICROSLAM_APPARATUS_TIP = "将 一 部 分 已 探 索 过 的 地 图 转 化 成 一 些 额 外 的 资 金 。 ", 
			MICROSLAM_APPARATUS_FLAVOR = "该 嵌 入 的 设 备 可 以 实 施 猛 击 （ 实 时 定 位 和 绘 图 ） 来 创 造 一 个 已 探 索 过 的 区 域 的 环 境 地 图 ， 并 且 可 以 自 动 将 数 据 上 传 至 中 央 服 务 器 中 。 ",
            
            PREDICTIVE_BRAWLING = "预 测 争 吵 ",
			PREDICTIVE_BRAWLING_TIP =  "获 得 6AP",
			PREDICTIVE_BRAWLING_FLAVOR = "P.B.将 肌 肉 和 感 觉 中 枢 的 全 部 控 制 权 给 与 了 一 个 高 级 的 战 斗 人 工 智 能 机 器 人 。 舒 服 的 自 然 场 景 和 室 内 音 乐 混 合 在 一 起 持 续 的 分 散 宿 主 的 意 识 。 ",

			CHAMELEON_MOVEMENT = "变 色 龙 行 动 ",
			CHAMELEON_MOVEMENT_TIP = "Gain 6 AP.", 
			CHAMELEON_MOVEMENT_FLAVOR = "和 它 的 名 字 相 反 ， 变 色 龙 移 动 植 入 物 并 不 能 使 宿 主 改 变 他 们 的 外 观 。 而 是 — 它 会 分 析 周 围 的 环 境 来 向 他 们 展 示 最 不 引 人 注 目 的 那 条 路 。 ",

			PIERCING_SCANNER = "穿 刺 扫 描 仪 ",
			PIERCING_SCANNER_TIP = "Gives +1 armor piercing to ranged weapons.", 
			PIERCING_SCANNER_FLAVOR = "A suite of sensors and AI routines that analyze weaknesses in ballistic armor.",

			PENETRATION_SCANNER = "渗 透 仪 ",
			PENETRATION_SCANNER_TIP = "Gives +1 armor piercing to melee weapons.", 
			PENETRATION_SCANNER_FLAVOR = "A suite of sensors and AI routines that analyze weaknesses in blunt trauma armor.",

			CARBON_MYOMER = "碳 合 成 肌 肉 纤 维 ",
			CARBON_MYOMER_TIP = "Agent can carry one more item easily.", 
			CARBON_MYOMER_FLAVOR = "替 换 合 成 肌 肉 纤 维 可 以 在 人 体 内 部 未 使 用 的 地 方 生 成 一 个 可 以 访 问 的 的 隔 间 。 ",

			SKELETAL_SUSPENSION = "骨 骼 暂 停 ",
			SKELETAL_SUSPENSION_TIP = "提 升 拖 动 速 度 ", 
			SKELETAL_SUSPENSION_FLAVOR = "纳 米 纤 维 成 网 状 包 裹 着 骨 骼 ， 极 大 地 减 少 了 关 节 炎 的 风 险 。 ",

			FINAL_LEVEL = "OMNI Security Chip",
			FINAL_LEVEL_TIP = "Bring to the final security door to unlock", 
			FINAL_LEVEL_FLAVOR = "Filled with OMNI security algorithms. Easily the most valuable megabyte and a half of data in the world.", 

		},

		CREDCHIP = "Credchip",

		FINAL_YELLOW = "黄 色 门 卡 ",
		FINAL_YELLOW_TIP = "Use along with the Red Keycard to open the elevator.",
		FINAL_YELLOW_FLAVOR = "", 

		FINAL_RED = "红 色 门 卡 ",
		FINAL_RED_TIP = "Use along with the Yellow Keycard to open the elevator.",
		FINAL_RED_FLAVOR = "", 

		QUEST_MATERIAL = "神 秘 物 质 ",
		QUEST_MATERIAL_TIP = "神 秘 的 物 质 块 .",
		QUEST_MATERIAL_FLAVOR = "",

		CLIP =  "充 能 包 ",
		CLIP_TIP = "让 一 个 武 器 充 满 弹 药 或 者 降 低 一 个 物 品 的 冷 却 。 ",
		CLIP_FLAVOR = "Weapons capable of penetrating corporate armor require expensive and unstable energy packs.",
	
		--ranged taser, KO 2-3 turns,     Nonlethal 1
		DART_GUN1_NAME = "神 经 飞 镖 ",
		DART_GUN1_TOOLTIP = "远 距 离 制 服 警 卫 ",
		DART_GUN1_FLAVOR = "A small, propelled shot delivers a knockout toxin to an unarmored target over a long range. Quiet and effective, but it can be awkward when the target comes to their senses.",
	
		--AP, more KO    Nonlethal 2
		DART_GUN_DAM = "钻 孔 飞 镖 ",
		DART_GUN_DAM_TOOLTIP = "远 程 目 标 。 ",
		DART_GUN_DAM_FLAVOR = "微 型 继 动 器 可 以 在 将 注 射 器 深 深 地 推 入 目 标 的 组 织 之 后 再 释 放 药 物 ， 使 得 药 物 可 以 更 加 有 效 的 发 挥 作 用 。 ",

		-- nonletha 2b - high capacity, level 1 damage
		DART_GUN_AMMO = "暴 乱 飞 镖 ",
		DART_GUN_AMMO_TOOLTIP = "高 容 量 毒 药 武 器 。 ",
		DART_GUN_AMMO_FLAVOR = "改 良 过 的 容 器 可 以 存 储 更 多 的 毒 药 ， 从 而 可 以 进 行 额 外 的 注 射 。 企 业 的 保 安 部 队 使 用 该 武 器 控 制 人 群 。 ",

		-- recharging dart gun, level 2 damage
		DART_GUN_BIO = "生 物 飞 镖 ",
		DART_GUN_BIO_TOOLTIP = "Recharges every 7 turns.",
		DART_GUN_BIO_FLAVOR = "每 次 使 用 后 ， 使 用 一 种 小 型 的 生 物 反 应 器 为 此 飞 镖 发 射 器 重 新 充 能 。 不 要 打 开 — 未 包 含 用 户 可 用 部 件 。 ",		
		
		DARTGUN_MONST3R = "Overclocked Neural D.A.R.T.",
		DARTGUN_MONST3R_TOOLTIP = "Spawns a Daemon after use. Recharges every 8 turns.", --"Take down targets from the side or rear",
		DARTGUN_MONST3R_FLAVOR = "There's no counting the number of hackers that have fried themselves with an overclocked energy gun. Monst3r's successful re-wiring has never been repeated.",

		TAGGER_GUN = "T.A.G.手 枪 ",
		TAGGER_GUN_TIP = "使 用 信 号 枪 能 力 可 以 制 造 一 个 护 盾 来 显 示 他 的 巡 逻 路 径 .",
		TAGGER_GUN_FLAVOR = "发 射 一 个 不 可 探 测 的 微 型 无 人 机 ， 使 其 持 续 不 断 的 通 过 量 子 纠 缠 向 中 央 服 务 器 传 输 地 理 遥 感 勘 测 。 ",

		--tier 1 lethal
		PISTOL = "等 离 子 手 枪 ",
		PISTOL_TOOLTIP = "远 程 目 标 。 致 命 伤 害 。 ",
		PISTOL_FLAVOR = "Corporate HVAC systems detect the gunpowder in traditional firearms instantly, making them useless during infiltrations. Plasma weapons may have limited ammo and a high credit cost, but at least they don't broadcast your position to the entire facility when you take them out of your pocket.",

		REVOLVER_DECKARD = "翻 新 左 轮 手 枪 ", 
		REVOLVER_DECKARD_TOOLTIP = "远 程 目 标 。 致 命 伤 害 。 无 法 上 弹 。 ",
		REVOLVER_DECKARD_FLAVOR = "An old revolver that has been extensively refurbished to work nearly as well as modern plasma gun. Each bullet is an irreplaceable hand-made plasma composite.",

		--AP gun
		PISTOL_DAM = "炊 具 ",
		PISTOL_DAM_TOOLTIP = "远 程 目 标 。 致 命 伤 害 。 ",
		PISTOL_DAM_FLAVOR = "The cooker bypasses even thicker armor by adding a negative counter-charge to the standard plasma bolt.",

		--high ammo AP 2
		PISTOL_AMMO = "手 持 加 农 炮 ",
		PISTOL_AMMO_TOOLTIP = "远 程 目 标 。 致 命 伤 害 。 ",
		PISTOL_AMMO_FLAVOR = "最 初 是 为 军 队 在 资 源 战 争 中 使 用 的 随 身 武 器 ， 在 后 政 府 时 代 ， 手 持 加 农 炮 在 黑 市 上 又 再 度 流 行 起 来 。 ",

		--scavenged, tier 2 AP
		PISTOL_KO = "K&O手 枪 ",
		PISTOL_KO_TOOLTIP = "标 准 配 备 K&O等 离 子 ",
		PISTOL_KO_FLAVOR = "即 使 是 低 等 级 的 公 司 警 卫 在 执 行 高 价 值 的 安 装 工 作 的 时 候 也 会 配 备 先 进 的 武 器 。 ",

		--rifle, 2 shots, 1AP
		RIFLE_SHALEM = "沙 漠 之 风 ",
		RIFLE_SHALEM_TOOLTIP = "远 程 目 标 。 致 命 伤 害 。 ",
		RIFLE_SHALEM_FLAVOR = "萨 勒 姆 的 私 人 步 枪 ， 在 他 的 职 业 刺 客 生 涯 中 发 挥 了 重 大 作 用 。 ",

		--N/A		
		RIFLE_SNIPER = "特 种 部 队 步 枪 ",
		RIFLE_SNIPER_TOOLTIP = "",
		RIFLE_SNIPER_FLAVOR = "",

		--can get in incident, shoots through walls, super high AP
		RIFLE_XRAY = "X-射 线 步 枪 ",
		RIFLE_XRAY_TOOLTIP = "远 程 目 标 。 致 命 伤 害 。 ",
		RIFLE_XRAY_FLAVOR = "一 种 实 验 的 等 离 子 武 器 ， 能 够 穿 过 墙 追 踪 目 标 。 ",

		--high damage, shoot a lot on one turn, then it overheats
		PISTOL_ENERGY = "飓 风 枪 ",
		PISTOL_ENERGY_TOOLTIP = "无 限 弹 药 每 次 任 务 中 ， 只 能 使 用 一 回 合 。 还 在 消 耗 一 个 特 工 的 攻 击 。 致 命 伤 害 ",
		PISTOL_ENERGY_FLAVOR = "飓 风 在 一 个 便 携 式 的 核 反 应 堆 周 围 生 成 。 当 被 激 活 之 后 ， 反 应 堆 会 变 的 危 险 ， 可 以 在 极 短 的 时 间 内 生 成 足 够 的 能 量 来 支 持 几 乎 接 近 无 限 次 的 等 离 子 射 击 冷 却 棒 会 在 爆 炸 后 折 断 ， 这 可 以 阻 止 融 化 ， 但 是 却 使 手 枪 变 得 迟 钝 ， 直 到 它 可 以 在 场 外 使 用 为 止 。 " ,

		--N/A
		SMG = "SMG",
		SMG_TOOLTIP = "",
		SMG_FLAVOR = "",

        RADIO = "漂 亮 的 收 音 机 ",
        RADIO_FLAVOR = "外 观 整 洁 的 收 音 机 。 他 有 个 标 记 着 ‘ 强 度 ’ 的 按 钮 。 ",

		--built in weapon on drone
		DRONE_TURRET = "欧 贝 克 炮 塔 ",
		DRONE_TURRET_TOOLTIP = "",
		DRONE_TURRET_FLAVOR = "最 低 级 的 企 业 安 全 部 队 可 使 用 等 离 子 武 器 只 会 强 化 日 益 增 长 的 阶 级 矛 盾 。 ",

		--N/A
		TURRET = "炮 塔 炮 ",
		TURRET_TOOLTIP = "",
		TURRET_FLAVOR = "",


		GRENADE_FLASH = "闪 光 弹 ",
		GRENADE_FLASH_TOOLTIP = "暂 时 眩 晕 区 域 内 的 守 卫 。 ",
		GRENADE_FLASH_FLAVOR = "有 时 老 技 术 依 旧 是 好 技 术 。 ",

		GRENADE_CAMERA =  "摄 像 机 罐 ",
		GRENADE_CAMERA_TOOLTIP = "投 掷 部 署 。 看 到 区 域 内 360度 的 视 野 。 可 回 收 。 ",
		GRENADE_CAMERA_FLAVOR = "提 供 周 围 的 全 方 位 视 野 。 包 括 安 全 的 避 免 令 人 难 堪 的 袖 珍 照 片 。 ",

		GRENADE_HOLO =  "全 息 投 影 机 ",
		GRENADE_HOLO_TOOLTIP = "投 掷 部 署 假 冒 的 掩 护 物 体 。 投 影 机 可 以 在 1格 远 处 听 见 。 可 回 收 。 ",
		GRENADE_HOLO_FLAVOR = "全 息 投 影 技 术 广 泛 应 用 于 城 市 中 心 的 广 告 活 动 和 娱 乐 场 所 。 ",

		GRENADE_SCAN =  "扫 描 弹 ",
		GRENADE_SCAN_TOOLTIP = "投 掷 到 房 间 内 扫 描 特 工 和 守 卫 。 能 够 暂 时 看 到 房 间 内 的 守 卫 。 ",
		GRENADE_SCAN_FLAVOR = "提 供 周 围 环 境 有 限 的 视 野 。 ",

		GRENADE_SMOKE =  "烟 雾 弹 ",
		GRENADE_SMOKE_TOOLTIP = "投 掷 烟 雾 弹 制 造 出 烟 雾 遮 蔽 区 域 内 的 视 野 。 ",
		GRENADE_SMOKE_FLAVOR = "The jet-black smoke not only occludes vision, but overpowers smell with the harsh odour of burnt circuit board.",

		MED_GEL = "医 疗 胶 ",
		MED_GEL_TOOLTIP = "一 次 性 用 品 。 复 活 垂 死 的 特 工 。 \n站 在 倒 下 的 特 工 旁 边 使 用 。 ",
		MED_GEL_FLAVOR = "一 个 医 疗 胶 包 括 一 群 在 营 养 浆 液 中 的 细 胞 修 复 纳 米 机 器 人 ， 抗 生 素 ， 还 有 人 造 血 管 。 它 们 尝 起 来 像 石 榴 。 ",

		STIM_1 = "Stim I",
		STIM_1_TOOLTIP = "恢 复 4AP。 ",
		STIM_1_FLAVOR = "增 强 大 脑 和 肌 肉 的 化 学 药 品 混 合 物 。 最 好 不 要 问 细 节 。 ",

		STIM_2 = "Stim II",
		STIM_2_TOOLTIP = "恢 复 6AP。 ",
		STIM_2_FLAVOR = "一 种 强 烈 的 强 化 化 学 药 品 混 合 物 。 可 能 稍 微 使 人 上 瘾 。 ",

		STIM_3 = "Stim III",
		STIM_3_TOOLTIP = "刷 新 特 工 的 攻 击 并 恢 复 8AP。 ",
		STIM_3_FLAVOR = "一 种 非 常 强 烈 的 增 强 性 能 的 化 学 药 品 混 合 物 。 你 有 看 过 你 的 手 吗 ？ 我 是 说 ， *真 正 的 *看 ？ ",		

		--while pinning
		PARALYZER_BANKS = "自 定 义 麻 痹 药 ",
		PARALYZER_BANKS_TOOLTIP = "用 于 固 定 目 标 。 将 目 标 KO额 外 3回 合 。 ",
		PARALYZER_BANKS_FLAVOR = "班 克 斯 在 单 人 的 公 司 劫 案 中 完 善 了 配 方 。 在 完 成 多 次 作 案 而 没 有 造 成 伤 亡 的 情 况 下 ， 她 被 称 为 现 代 罗 宾 汉 。 ",

		PARALYZER_1 ="麻 痹 药 I",
		PARALYZER_1_TOOLTIP = "用 于 固 定 目 标 。 将 目 标 KO额 外 2回 合 。 ",
		PARALYZER_1_FLAVOR = "将 同 种 毒 素 作 为 D.A.R.T， 但 是 以 一 个 更 实 际 的 输 送 方 法 。 ",		

		PARALYZER_2 ="麻 痹 药 II",
		PARALYZER_2_TOOLTIP = "用 于 固 定 目 标 。 将 目 标 KO额 外 3回 合 。 ",
		PARALYZER_2_FLAVOR = "稍 微 改 变 毒 素 使 目 标 瘫 痪 更 长 的 时 间 。 ",	

		PARALYZER_3 ="麻 痹 药 III",
		PARALYZER_3_TOOLTIP = "Use on pinned targets. KOs targets for an extra 4 turns",
		PARALYZER_3_FLAVOR = "输 送 大 剂 量 的 瘫 痪 毒 素 。 使 你 能 够 在 逃 跑 之 前 获 得 时 间 喘 口 气 。 ",			

		--deployed in place, guards kill them
		PORTABLE_SERVER_1 = "便 携 式 服 务 器 I",
		PORTABLE_SERVER_1_TOOLTIP = "Generates 1 PWR per 2 turns when deployed. Deploying has a 2 turn cooldown.",
		PORTABLE_SERVER_1_FLAVOR = "便 携 式 服 务 器 能 缓 慢 地 增 加 特 工 与 电 子 侵 入 系 统 的 联 系 。 如 果 被 发 现 的 话 ， 安 全 部 队 会 扰 乱 它 。 ",		

		PORTABLE_SERVER_2 = "便 携 式 服 务 器 II",
		PORTABLE_SERVER_2_TOOLTIP = "Generates 1 PWR per 1 turns when deployed. Deploying has a 2 turn cooldown.",
		PORTABLE_SERVER_2_FLAVOR = "由 稍 微 更 好 的 组 件 制 成 的 便 携 式 服 务 器 。 别 在 野 外 弄 丢 了 -这 些 东 西 很 贵 的 ！ ",				

		PORTABLE_SERVER_3 = "便 携 式 服 务 器 III",
		PORTABLE_SERVER_3_TOOLTIP = "Generates 2 PWR per 1 turn when deployed. Deploying has a 2 turn cooldown.",
		PORTABLE_SERVER_3_FLAVOR = "便 携 式 服 务 器 未 解 锁 版 本 。 数 字 更 高 的 总 是 更 好 ， 对 吗 ？ ",	

		LAPTOP_INTERNATIONALE = "Custom Console", 
		LAPTOP_INTERNATIONALE_TOOLTIP = "Generates PWR when ALARM level changes if deployed.\nAlarm Level x 2 = PWR. Deploying has a 2 turn cooldown.",
		LAPTOP_INTERNATIONALE_FLAVOR = "优 秀 特 工 的 标 志 就 是 能 够 将 敌 人 的 长 处 变 为 他 们 的 弱 点 。 ",

		CLOAK_DECKARD = "改 装 的 隐 形 装 置 ",
		CLOAK_DECKARD_TOOLTIP = "Renders the user invisible until their next turn or if they attack.",
		CLOAK_DECKARD_FLAVOR = "Decker managed to sneak this rig out of the building the day he was fired from his last corporate job.",

		CLOAK_1 = "隐 形 装 置 I",
		CLOAK_1_TOOLTIP = "Renders the user invisible until their next turn or if they attack. This version will only maintain its effect for 4 tiles of movement.",	
		CLOAK_1_FLAVOR =  "Cloaking rigs use an array of holographic projectors to bend light around a small area, rendering it almost invisible. The projectors overheat quickly, however, limiting their utility.",

		CLOAK_2 = "隐 形 装 置 II",
		CLOAK_2_TOOLTIP = "Renders the user invisible until their next turn or if they attack.",	
		CLOAK_2_FLAVOR = "改 进 的 散 热 模 式 使 这 个 装 置 比 标 准 型 的 能 够 使 用 更 长 时 间 。 ",	

		CLOAK_3 = "隐 形 装 置 III",
		CLOAK_3_TOOLTIP = "Renders the user invisible until their next turn or if they attack. When used, also renders nearby agents in a small area invisible.",
		CLOAK_3_FLAVOR = "隐 形 装 置 拥 有 更 大 范 围 的 视 野 ， 能 够 混 淆 更 大 的 区 域 。 ",	

		--hacking tool 
		BUSTER_1 = "破 坏 者 芯 片 I",
		BUSTER_1_TOOLTIP = "用 它 手 动 突 破 2道 防 火 墙 。 ",
		BUSTER_1_FLAVOR = "脚 本 小 子 和 低 级 企 业 系 统 管 理 员 的 最 爱 ， 破 坏 者 芯 片 自 动 破 解 防 火 墙 。 ",

		BUSTER_2 = "破 坏 者 芯 片 II",
		BUSTER_2_TOOLTIP = "用 它 手 动 突 破 3道 防 火 墙 。 ",
		BUSTER_2_FLAVOR = "脚 本 小 子 和 低 级 企 业 系 统 管 理 员 的 最 爱 ， 破 坏 者 芯 片 自 动 破 解 防 火 墙 。 ",

		BUSTER_3 = "破 坏 者 芯 片 III",
		BUSTER_3_TOOLTIP = "用 它 手 动 突 破 4道 防 火 墙 。 ",
		BUSTER_3_FLAVOR = "脚 本 小 子 和 低 级 企 业 系 统 管 理 员 的 最 爱 ， 破 坏 者 芯 片 自 动 破 解 防 火 墙 。 ",

		--hacking tool 
		PROTOCHIP = "Prototype Chip",
		PROTOCHIP_TOOLTIP = "Use at a console to drain and store PWR. Stored PWR can be used to hack devices.",
		PROTOCHIP_FLAVOR = "This bleeding-edge device is a stolen classified prototype.",
        PROTOCHIP_HEADER = "STORED PWR",
        PROTOCHIP_FORMAT = "%d / %d stored PWR",

		ACCELERATOR_1 = "加 速 器 芯 片 I",
		ACCELERATOR_1_TOOLTIP = "在 控 制 台 使 用 ， 产 生 的 能 源 数 量 增 加 1。 ",
		ACCELERATOR_1_FLAVOR = "优 化 其 流 程 树 ， 并 清 空 回 收 站 有 可 能 增 加 控 制 台 的 上 行 潜 力 。 ",

		ACCELERATOR_2 = "加 速 器 芯 片 II",
		ACCELERATOR_2_TOOLTIP = "在 控 制 台 使 用 ， 产 生 的 能 源 数 量 增 加 2。 ",
		ACCELERATOR_2_FLAVOR = "优 化 其 流 程 树 ， 并 清 空 回 收 站 有 可 能 增 加 控 制 台 的 上 行 潜 力 。 ",	

		ACCELERATOR_3 = "加 速 器 芯 片 III",
		ACCELERATOR_3_TOOLTIP = "在 控 制 台 使 用 ， 产 生 的 能 源 数 量 增 加 4。 ",
		ACCELERATOR_3_FLAVOR = "优 化 其 流 程 树 ， 并 清 空 回 收 站 有 可 能 增 加 控 制 台 的 上 行 潜 力 。 ",

		TAZER_SHALEM = "Salvaged Disrupter",
		TAZER_SHALEM_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_SHALEM_FLAVOR = "萨 勒 姆 的 个 人 神 经 干 扰 器 不 是 特 别 的 好 ， 但 是 出 于 情 感 因 素 他 一 直 留 着 它 。 ",

		TAZER_DECKARD = "Tracking Neural Disrupter",
		TAZER_DECKARD_TOOLTIP = "Melee range. TAGS guards on KO, tracking their movement.", --"Take down targets from the side or rear. TAGS guards on KO, tracking their movement.",
		TAZER_DECKARD_FLAVOR = "Always the paranoid type, Decker modded his disrupter to implant a subdermal tracking chip in its victims.",

		--cattle prod not for robots
		TAZER_1 = "神 经 干 扰 器 ",
		TAZER_1_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_1_FLAVOR = "神 经 干 扰 器 用 闪 关 灯 在 一 段 时 间 内 替 换 人 的 思 想 。 ",

		TAZER_2 = "神 经 干 扰 器 II",
		TAZER_2_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_2_FLAVOR = "神 经 干 扰 器 用 闪 关 灯 在 一 段 时 间 内 替 换 人 的 思 想 。 ",		

		TAZER_3 = "神 经 干 扰 器 III",
		TAZER_3_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_3_FLAVOR = "神 经 干 扰 器 用 闪 关 灯 在 一 段 时 间 内 替 换 人 的 思 想 。 ",	

		--same as neural but uses PWR (others have cooldown)
		TAZER_PWR_NIKA = "妮 佳 的 电 压 干 扰 器 ",
		TAZER_PWR_NIKA_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_PWR_NIKA_FLAVOR = "妮 佳 每 次 用 她 的 干 扰 器 干 掉 某 人 就 在 上 面 刻 一 道 划 痕 。 这 几 年 它 明 显 变 轻 了 。 ",

		TAZER_PWR_1 = "电 压 干 扰 器 I",
		TAZER_PWR_1_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_PWR_1_FLAVOR = "电 压 干 扰 器 引 导 能 源 干 扰 目 标 的 理 性 圈 ， 使 他 们 瘫 痪 一 段 时 间 。 ",

		TAZER_PWR_2 = "电 压 干 扰 器 II",
		TAZER_PWR_2_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_PWR_2_FLAVOR = "电 压 干 扰 器 引 导 能 源 干 扰 目 标 的 理 性 圈 ， 使 他 们 瘫 痪 一 段 时 间 。 ",		

		TAZER_PWR_3 = "电 压 干 扰 器 III",
		TAZER_PWR_3_TOOLTIP = "Melee range", --"Take down targets from the side or rear",
		TAZER_PWR_3_FLAVOR = "电 压 干 扰 器 引 导 能 源 干 扰 目 标 的 理 性 圈 ， 使 他 们 瘫 痪 一 段 时 间 。 ",		

		LOCK_DECODER_1 = "门 锁 解 码 器 ",
		LOCK_DECODER_1_TOOLTIP = "Place on a locked door to decode and disable the lock in 2 turns.",
		LOCK_DECODER_1_FLAVOR = "能 够 通 过 安 全 门 加 密 锁 的 紧 凑 多 核 设 备 。 ",	

        
        --dispensor goes on cooldown
		SHOCK_TRAP_TONY = "改 装 的 电 击 陷 阱 ",
		SHOCK_TRAP_TONY_TOOLTIP = "放 置 在 门 上 。 门 打 开 时 触 发 。 无 视 护 甲 。 ",
		SHOCK_TRAP_TONY_FLAVOR = "徐 博 士 在 大 学 不 止 一 次 受 到 纪 律 处 分 ， 因 为 他 在 办 公 时 间 把 激 活 的 电 击 陷 阱 放 在 门 上 。 ",

		SHOCK_TRAP_1 = "电 击 陷 阱 I",
		SHOCK_TRAP_1_TOOLTIP = "放 置 在 门 上 。 门 打 开 时 触 发 。 无 视 护 甲 。 ",
		SHOCK_TRAP_1_FLAVOR = "一 个 神 经 干 扰 器 可 以 安 装 在 门 上 当 作 一 个 简 易 的 陷 阱 。 ",		

		SHOCK_TRAP_2 = "电 击 陷 阱 II",
		SHOCK_TRAP_2_TOOLTIP = "放 置 在 门 上 。 门 打 开 时 触 发 。 无 视 护 甲 。 ",
		SHOCK_TRAP_2_FLAVOR = "一 个 神 经 干 扰 器 可 以 安 装 在 门 上 当 作 一 个 简 易 的 陷 阱 。 ",	

		SHOCK_TRAP_3 = "电 击 陷 阱 III",
		SHOCK_TRAP_3_TOOLTIP = "放 置 在 门 上 。 门 打 开 时 触 发 。 有 一 个 范 围 效 果 。 无 视 护 甲 。 ",
		SHOCK_TRAP_3_FLAVOR = "一 个 神 经 干 扰 器 可 以 安 装 在 门 上 当 作 一 个 简 易 的 陷 阱 。 ",			

		SHOCK_TRAP_MOD = "临 时 配 备 的 电 击 陷 阱 ",
		SHOCK_TRAP_MOD_TOOLTIP = "放 置 在 门 上 。 门 打 开 时 触 发 。 一 次 性 。 无 视 护 甲 。 ",
		SHOCK_TRAP_MOD_FLAVOR = "由 可 用 部 件 拼 凑 。 它 可 能 有 用 。 ",			

		--teslaish, dispensor
		EMP_TONY = "Tony's Modded EMP",
		EMP_TONY_TOOLTIP = "Detonates at the end of the turn. Disables all Mainframe devices and drones in a range of 3 tiles",
		EMP_TONY_FLAVOR = "The Doctor took a standard EMP pack and installed his own easier to use operating software.",		

		EMP_1 = "EMP包 裹 I",
		EMP_1_TOOLTIP = "Detonates at the end of the turn. Disables all Mainframe devices and drones in a range of 3 tiles",
		EMP_1_FLAVOR = "An EMP pack generates a large static charge in the air, scrambling electronics within a radius. Often used as safety devices in automated assembly lines.",		

		EMP_2 = "EMP包 裹 II",
		EMP_2_TOOLTIP = "Detonates at the end of the turn. Disables all Mainframe devices and drones in a range of 5 tiles",
		EMP_2_FLAVOR = "An EMP pack generates a large static charge in the air, scrambling electronics within a radius. Often used as safety devices in automated assembly lines.",			

		EMP_3 = "EMP包 裹 III",
		EMP_3_TOOLTIP = "Detonates at the end of the turn when primed. Disables all Mainframe devices and drones in a range of 7 tiles",
		EMP_3_FLAVOR = "An EMP pack generates a large static charge in the air, scrambling electronics within a radius. Often used as safety devices in automated assembly lines.",					

		VAULT_PASS = "Vault Access Card",
		VAULT_PASS_TOOLTIP = "Opens the special high-security vault doors in corporate vault and cybernetics lab locations.",
		VAULT_PASS_FLAVOR = "As it turns out, the code was just 'password123'.",

		EXIT_PASS = "Exit Access Card",
		EXIT_PASS_TOOLTIP = "Used to access the high-security door leading to the exit teleporter.",
		EXIT_PASS_FLAVOR = "As it turns out, the code is a pretty secure 1024 bit key.",

		INCOGNITA_DRIVE = "Incognita Memory Drive",
		INCOGNITA_DRIVE_TOOLTIP = "Plug this into the mainframe to take over OMNI's network.",
		INCOGNITA_DRIVE_FLAVOR = "Quantum shadow recursion allows for the entirety of Incognita's personality matrix to be stored on a standard data drive, but it degrades over time.",

		PASS_CARD = "Lvl1 Security Passcard",
		PASS_CARD_TOOLTIP = "Opens lvl1 security doors in this facility. Discarded at end of mission.",
		PASS_CARD_FLAVOR = "Corporate employees are issued security passcards to track and control their movement throughout all company facilities. They also provide a discount at the cafeteria.",

		DAEMON_BLOCKER = "Archdaemon抑 制 器 ",
		DAEMON_BLOCKER_TOOLTIP = "在 抑 制 器 站 点 充 电 阻 止 危 险 的 Archdaemon。 ",
		DAEMON_BLOCKER_FLAVOR = "企 业 正 着 手 制 作 一 个 危 险 的 后 台 程 序 原 型 。 谢 天 谢 地 ， 根 据 我 们 的 情 报 ， 它 们 听 起 来 不 像 能 在 标 准 设 施 上 激 活 。 ",

		WIRELESS_SCANNER = "无 效 扫 描 仪 ",
		WIRELESS_SCANNER_CUSTOM = "自 定 义 扫 描 器 ",
		WIRELESS_SCANNER_TOOLTIP = "被 动 扫 描 范 围 内 的 主 机 设 备 。 ",
		WIRELESS_SCANNER_FLAVOR = "",

		ECON_CHIP = "经 济 芯 片 ",
		ECON_CHIP_TOOLTIP = "从 控 制 台 收 集 资 金 而 不 是 能 源 。 每 个 能 源 点 50资 金 。 ",
		ECON_CHIP_FLAVOR = "SHL程 序 是 非 常 复 杂 的 账 务 处 理 算 法 ， 非 常 创 造 性 的 采 用 了 小 数 点 。 ",

		ECON_CHIP_BANKS = "银 行 自 定 义 经 济 芯 片 ",
		ECON_CHIP_BANKS_TOOLTIP = "从 控 制 台 收 集 资 金 而 不 是 能 源 。 每 个 能 源 点 50资 金 。 ",
		ECON_CHIP_BANKS_FLAVOR = "This trusty device has probably seen more credits run through its circuits than some small countries.",

		DEFIBRILLATOR = "VENTRICULAR LANCE",
		DEFIBRILLATOR_TOOLTIP = "Gives the agent +1 ARMOR PIERCING to all weapons for one turn.",
		DEFIBRILLATOR_FLAVOR = "A cardiac shot of aggression straight to the heart. Be sure to punch clean through the rib cage for positive results.",

		SCAN_CHIP = "扫 描 芯 片 ",
		SCAN_CHIP_TOOLTIP = "在 主 机 上 显 示 隐 藏 的 后 台 程 序 并 确 认 它 的 类 型 。 ",
		SCAN_CHIP_FLAVOR = "Initially a 'search and destroy' virus protection device, its software development team could not keep up in the virtual space cold war. It still makes for a useful diagnostic tool.",

		BATON = "单 纤 维 警 棍 ",
		BATON_TOOLTIP = "近 战 攻 击 是 致 命 的 。 ",
		BATON_FLAVOR = "尽 管 它 看 起 来 像 简 单 的 棍 子 ， 实 际 上 它 是 短 鞭 ， 多 亏 了 分 子 结 构 的 进 步 。 细 丝 用 肉 眼 几 乎 是 看 不 见 的 ， 结 果 就 是 往 往 很 难 看 到 。 ",

	},	

	PROPS = {
		CONSOLE_CORE ="控 制 台 数 据 库 ",
		DAEMON_CORE ="后 台 程 序 数 据 库 ",
		MAP_CORE = "设 施 数 据 库 ",
		CAMERA_CORE = "摄 像 机 数 据 库 ", 

		LASER_BEAM = "激 光 ",
		LASER_BEAM_TOOLTIP = "激 光 束 是 致 命 的 。 ",

		INFRARED_BEAM = "红 外 线 ",
		INFRARED_BEAM_TOOLTIP = "这 些 光 线 会 促 进 报 警 追 踪 器 。 ",
		
		INFRARED_WALL = "红 外 墙 ",
		INFRARED_WALL_TOOLTIP = "这 些 光 线 会 激 活 安 全 后 台 程 序 。 ",

		SITE_PLANS = "Site list",
		SITE_PLANS_DESC = "带 回 中 心 ， 显 示 要 渗 透 的 新 目 标 。 ",
		CORP_INTEL = "企 业 情 报 ",				
		CORP_INTEL_DESC = "This is rare technology that can be sold. Bring this back to Central to get a credit payout.",

		ARTIFACT =  "Research Experiment",
		ARTIFACT_DESC = "An ongoing science project. The black market will pay well for its secrets.\n\nBring it with you when you exit the level.",		
		
		VALUABLE_TECH ="有 价 值 的 科 技 ",
		VALUABLE_TECH_DESC = "Monst3r will be able to fence this tech.",

		GENERIC_USABLE = "通 用 ",	

		EYEBALL = "眼 珠 ",
		SMOKE = "烟 雾 ",
		SMOKE_EDGE = "烟 雾 边 缘 ",

		KEY = "钥 匙 ",
		NOTE = "注 意 ",
		POSTER = "海 报 ",

		LASER_EMITTER = "激 光 面 板 ",
		BEAM_EMITTER = "光 束 发 射 器 ",
		WALL_EMITTER = "红 外 线 发 射 器 ",

		SECURITY_CAMERA = "Security Camera",
		SOUND_BUG = "窃 听 器 ",
		SOUND_BUG_TOOLTIP = "Alerts guards and raises the alarm when it hears a loud sound.",
		TURRET = "炮 塔 ",

		TURRET_GENERATOR = "电 源 供 给 ",
		TURRET_GENERATOR_TOGGLE = "Toggle Generator",
		TURRET_GENERATOR_TOGGLE_TIP = "Toggles nearby turret power ON or OFF.",

		LASER_GENERATOR = "电 源 供 给 ",
		LASER_GENERATOR_TOGGLE = "Toggle Generator",
		LASER_GENERATOR_TOGGLE_TIP = "Toggles power to laser emitters on the grid.",

		STORE = "纳 米 制 造 商 ",
		STORE_LARGE = "纳 米 制 造 商 ",
        STORE_PROGRAM_TOOLTIP = "{1} PWR",
		HOSTAGE = "人 质 ",	
		PRISONER ="囚 犯 ",
		CAPTURED_AGENT = "被 俘 的 特 工 ",
		SAFE ="企 业 保 险 箱 ",
		GUARD_LOCKER = "Secure Locker",
		AUGMENT_GRAFTER = "增 强 移 植 者 ",
		INHIBITOR = "抑 制 器 充 电 器 ",
		SERVER_TERMINAL = "主 服 务 器 终 端 ", 
		MINI_SERVER_TERMINAL = "Secondary Server Terminal",
		CONSOLE = "控 制 台 ",
		YELLOW_LEVEL_CONSOLE = "OMNI Mainframe Lock",
		FINAL_CONSOLE = "FULL ACCESS HUB",
		ENDING_JACKIN = "Security Hub",
		DATA_CORE = "主 机 碎 片 ",
		SHOCK_TRAP = "电 击 陷 阱 ",
		DOOR_DECODER = "门 解 码 器 ",

		ALARM = "警 报 ",
		DETENTION_PROCESSOR = "Cell Door Console", 
		VAULT_PROCESSOR = "金 库 终 端 ", 
		DEPOSIT_BOXES = "存 储 箱 ",
		SECURE_CASE = "保 险 箱 ",
		CELL_DOOR = "牢 房 门 ",
		PUBLIC_TERMINAL = "管 理 员 访 问 终 端 ", 
		FTM_SCANNER = "FTM Scanning Amp", 
		PWR_REVERSAL_NODE = "能 源 反 向 节 点 ", 
		ADVANCED_CORP_EQUIP = "Advanced Corporate Equipment",
		FTM_SCANNER_TAB = "Scanning AMP",

		FINAL_TERMINAL = "Quantum Data Terminal",
	},

    GUARDS =
    {
        CEO = "FINANCIAL EXECUTIVE",
        GUARD = "SECURITY GUARD",
        SUPPORT_GUARD = "SUPPORT GUARD",
        ELITE_GUARD = "ELITE SECURITY",
        CAPTAIN = "CAPTAIN",
        MKI = "MODDED MKI",
        MKII = "MODDED MKII",
        HEAVY_GUARD = "HEAVY SECURITY",
        SPEC_OPS = "SPEC OPS",
        ENFORCER = "ENFORCER",
        ELITE_ENFORCER = "ELITE ENFORCER",
        OBAKE_DRONE = "OBAKE DRONE v1.0",
        OBAKE_DRONE2 = "OBAKE DRONE v2.0",
        NULL_DRONE = "NULL DRONE",
        CAMERA_DRONE = "CAMERA DRONE",
        AKUMA_DRONE = "AKUMA DRONE",
        OMNI_OBSERVER = "OMNI OBSERVER",
        OMNI_HUNTER = "OMNI HUNTER",
        OMNI_CRIER = "OMNI HARBINGER",
        OMNI_KILLER = "OMNI KILLER",
        OMNI_PROTECTOR = "OMNI PROTECTOR",
        OMNI_SOLDIER = "OMNI SOLDIER",
    },

    SKILLS = {
        STEALTH_NAME = "SPEED",
        STEALTH_DESC = "Enhances the speed of an agent's movement.",
        STEALTH1_TOOLTIP = "Standard movement",
        STEALTH3_TOOLTIP = "加 +1移 动 速 ",
        STEALTH5_TOOLTIP = "Adds +1 movement\n+1 sprint speed",

        HACKING_NAME = "入 侵 中 ",
        HACKING_DESC = "增 加 从 被 黑 控 制 台 获 得 的 能 源 。 ",
        HACKING1_TOOLTIP = "能 够 劫 持 控 制 台 ",
        HACKING2_TOOLTIP = "Adds +1 PWR per Console Hijack", 
        HACKING5_TOOLTIP = "Adds +2 PWR per Console Hijack",

        INVENTORY_NAME = "力 量 ",
        INVENTORY_DESC = "Increases the number of items the agent can carry without being slowed and improves DRAG speed",
        INVENTORY1_TOOLTIP = "Carry 3 items",
        INVENTORY2_TOOLTIP = "Carry 4 items\nImproved DRAG speed",
        INVENTORY3_TOOLTIP = "Carry 5 items",
        INVENTORY4_TOOLTIP = "Carry 6 items\nImproved DRAG speed",
        INVENTORY5_TOOLTIP = "Carry 7 items\nAdds +1 KO damage to melee weapons",

        ANARCHY_NAME = "无 政 府 状 态 ",
        ANARCHY_DESC = "Allows this agent to siphon credits from guards and find more items.",
        ANARCHY1_TOOLTIP = "从 击 倒 的 守 卫 身 上 偷 东 西 ",
        ANARCHY2_TOOLTIP = "从 背 后 偷 东 西 ",
        ANARCHY3_TOOLTIP = "STEAL +15% more credits from guards",
        ANARCHY4_TOOLTIP = "STEAL +20% more credits from guards",
        ANARCHY5_TOOLTIP = "偷 到 物 品 的 概 率 增 加 ",
    },

    -- SCREENS CUSTOM STRINGS
    LOADING =
    {
        ERR_BODY = "There was an error loading. Pressing CONTINUE will load to the state before the error occured.\n<font1_10_r>\n{1}</>",
        ERR_TITLE = "OOPS!",
        TRY_AGAIN = "REGENERATE LEVEL",
    },

    OPTIONS =
    {
        MSAA = "MSAA x{1}",
        DISABLED = "Disabled",
        KEY_CONFLICTS = "Key Conflicts",
        CONFIRM = "Do you wish to keep these settings?",
        CONFIRM_TITLE = "Confirm Settings",
        CONFIRM_RESET = "Do you want to reset bindings to default settings? Current key bindings will be lost.",
        RESET_BINDINGS = "Reset Bindings",
        ENTER_BINDING = "Enter the new key binding for '{1}'\nCurrent: [{2}]\nDefault: [{3}]",
        SELECT_INPUT = "SELECT INPUT",
        DEFAULT = "Default",
        FILTER1 = "Protanopia",
        FILTER2 = "Deuteranopia",
        FILTER3 = "Tritanopia",
		QUALITY =
		{
			LOW = "Low - {1}",
			MEDIUM = "Medium - {1}",
			NORMAL = "Normal - {1}",
			HIGH = "High - {1}",
			VERY_HIGH = "Very High - {1}",
			ULTRA = "Ultra - {1}",
		},
    },

	TUTORIAL_DIALOGS =
	{
		PEEK_AROUND_CORNERS = "PEEK AROUND CORNERS",
		GUARD_BLIND_SPOTS = "GUARD BLIND SPOTS",
		MANIPULATE_GUARDS = "MANIPULATE GUARDS",
		PEEK_AROUND_DOORS = "PEEK AROUND DOORS",
		REWINDS = "倒 回 ",
		TURN_BASED = "TURN-BASED MOVES",
		DAEMONS = "恶 魔 ",
		LOCKPICK = "USING LOCKPICK",
		TACTICAL_VIEW = "TACTICAL VIEW",
		ALARM = "SECURITY LEVELS",
		PINNING = "PINNING",
		COOLDOWN = "COOLDOWN",
	},

    SIGNUP =
    {
        VALIDATE_EMAIL = "Email must be at least {1} characters long.",
        INVALID_EMAIL = "Invalid email format.",
        NO_COUNTRY = "Please enter a country of origin.",
        SIGNING_UP = "Signing Up...",
        SIGNED_UP =  "You are now signed-up to receive updates.\nYou will receive a confirmation email to\n{1}\nshortly.",
        SIGNUP_ERROR = "There was an error signing up ({1} - {2}).  Please try again later.",

    },

    LOADING_TIP_FINAL = "Operator, this is what you've prepared for. Let's hope it was enough.",
    LOADING_TIP_TUTORIAL = "Missing agent located: Decker, Brian. Initializing failsafe neural tap. Operator interface ready in 3...2...1...",
    LOADING_TIP_FIRST = "You'll never survive a stand-up fight with the corps, so don't give them one. Stick to cover and stay out of sight.",

    DEATH_TIPS = DEATH_TIPS,

    LOADING_TIPS = util.extend( DEATH_TIPS )
    {
        "Standing on a knocked out enemy prevents them from awakening.",
        "End your agents' turns with their backs against cover objects. It'll lengthen their life expectancy.",
        "If you make a mistake, you can use REWIND to go back in time.",
        "Augments are passive upgrades for your agents. They can be extremely helpful.",
        "Scout ahead, and observe guards to see their patrol paths.",
        --"The Sankaku corporation is filled with hackable drones.",
        --"Advanced Plastech personnel are merged with the mainframe. Be careful.",
        --"K&O guards",
        "Peek around open doors to get a clearer view of the room.",
        "Sprinting allows an agent to move further, but the sound will attract nearby security.",
        --"The Plastech corporation use psionics to… something or other ….",
        "Weapon reloads are expensive and hard to find. Use ammunition sparingly. ",
        "Experiment with different items, augments and programs to create powerful synergies with each other.",
        "Win or lose, each campaign earns you XP that unlocks new agents and programs. ",
        "Certain firewalls are protected by Daemons. Hacking them will cause an enemy program to install.",
        "Consider your targets carefully. Each Corporation has different strengths and weaknesses.",
        "Lethal weapons are rare and costly, but sometimes they're the only way out of a tough situation.",
        "You can use one AP to OBSERVE a guard and see his predicted movement path for the next turn.",
        "Move behind and around cover to avoid investigating guards.",
        "Incapacitated agents can be dragged to the exit.",
        "Each level is procedurally generated, so make sure you scout thoroughly. Information is power.",
        "If you lose an agent during a mission, you may be able to find them in a Detention Center.",
        "Server Farms contain many new programs for Incognita, improving your ability to breach enemy firewalls.",
        "Unlocking new starting agents and programs can drastically change your strategies.",
        "Hold [ALT] to turn on Tactical View and get a clearer picture of the current situation.",
		"As the difficulty of the missions increase, each corporation will bring in unique threats to counter you.",
		"You can find powerful weapons in nanofabs, but you'll need to make sure you save credits to buy them.",
	},

	WIN_TIPS = 
	{
		CUSTOM = "Thank you for playing!",
		BEGINNER = "Congratulations on completing Beginner Mode!\nThe real test of Invisible, Inc. begins in Experienced Mode. Can you survive the increased resistance and a reduced safety net?",
		EXPERIENCED = "Congratulations on completing Experienced Mode!\nFor a greater challenge, try Expert Mode. As the base difficulty of the game, we pull no punches here.",
		EXPERT = "Congratulations on completing Expert Mode!\nFor the ultimate challenge, you can try Expert Plus Mode.",
		EXPERT_PLUS = "Thank you for playing!\nFor even more variety, you can try our Time Attack and Endless options.",
	},

	-- These are auto-generated by the UI tool.
	SCREENS = include( "strings_screens" ),

    CREDIT_ROLL = include( "strings_credits" ),
}

--local strictify = include( "strict" )
--strictify( STRINGS, true )

return STRINGS


